
;CodeVisionAVR C Compiler V2.05.3 Standard
;(C) Copyright 1998-2011 Pavel Haiduc, HP InfoTech s.r.l.
;http://www.hpinfotech.com

;Chip type                : ATmega32
;Program type             : Application
;Clock frequency          : 8.000000 MHz
;Memory model             : Small
;Optimize for             : Size
;(s)printf features       : int, width
;(s)scanf features        : int, width
;External RAM size        : 0
;Data Stack size          : 512 byte(s)
;Heap size                : 0 byte(s)
;Promote 'char' to 'int'  : Yes
;'char' is unsigned       : Yes
;8 bit enums              : Yes
;Global 'const' stored in FLASH     : No
;Enhanced function parameter passing: Yes
;Enhanced core instructions         : On
;Smart register allocation          : On
;Automatic register allocation      : On

	#pragma AVRPART ADMIN PART_NAME ATmega32
	#pragma AVRPART MEMORY PROG_FLASH 32768
	#pragma AVRPART MEMORY EEPROM 1024
	#pragma AVRPART MEMORY INT_SRAM SIZE 2143
	#pragma AVRPART MEMORY INT_SRAM START_ADDR 0x60

	#define CALL_SUPPORTED 1

	.LISTMAC
	.EQU UDRE=0x5
	.EQU RXC=0x7
	.EQU USR=0xB
	.EQU UDR=0xC
	.EQU SPSR=0xE
	.EQU SPDR=0xF
	.EQU EERE=0x0
	.EQU EEWE=0x1
	.EQU EEMWE=0x2
	.EQU EECR=0x1C
	.EQU EEDR=0x1D
	.EQU EEARL=0x1E
	.EQU EEARH=0x1F
	.EQU WDTCR=0x21
	.EQU MCUCR=0x35
	.EQU GICR=0x3B
	.EQU SPL=0x3D
	.EQU SPH=0x3E
	.EQU SREG=0x3F

	.DEF R0X0=R0
	.DEF R0X1=R1
	.DEF R0X2=R2
	.DEF R0X3=R3
	.DEF R0X4=R4
	.DEF R0X5=R5
	.DEF R0X6=R6
	.DEF R0X7=R7
	.DEF R0X8=R8
	.DEF R0X9=R9
	.DEF R0XA=R10
	.DEF R0XB=R11
	.DEF R0XC=R12
	.DEF R0XD=R13
	.DEF R0XE=R14
	.DEF R0XF=R15
	.DEF R0X10=R16
	.DEF R0X11=R17
	.DEF R0X12=R18
	.DEF R0X13=R19
	.DEF R0X14=R20
	.DEF R0X15=R21
	.DEF R0X16=R22
	.DEF R0X17=R23
	.DEF R0X18=R24
	.DEF R0X19=R25
	.DEF R0X1A=R26
	.DEF R0X1B=R27
	.DEF R0X1C=R28
	.DEF R0X1D=R29
	.DEF R0X1E=R30
	.DEF R0X1F=R31

	.EQU __SRAM_START=0x0060
	.EQU __SRAM_END=0x085F
	.EQU __DSTACK_SIZE=0x0200
	.EQU __HEAP_SIZE=0x0000
	.EQU __CLEAR_SRAM_SIZE=__SRAM_END-__SRAM_START+1

	.MACRO __CPD1N
	CPI  R30,LOW(@0)
	LDI  R26,HIGH(@0)
	CPC  R31,R26
	LDI  R26,BYTE3(@0)
	CPC  R22,R26
	LDI  R26,BYTE4(@0)
	CPC  R23,R26
	.ENDM

	.MACRO __CPD2N
	CPI  R26,LOW(@0)
	LDI  R30,HIGH(@0)
	CPC  R27,R30
	LDI  R30,BYTE3(@0)
	CPC  R24,R30
	LDI  R30,BYTE4(@0)
	CPC  R25,R30
	.ENDM

	.MACRO __CPWRR
	CP   R@0,R@2
	CPC  R@1,R@3
	.ENDM

	.MACRO __CPWRN
	CPI  R@0,LOW(@2)
	LDI  R30,HIGH(@2)
	CPC  R@1,R30
	.ENDM

	.MACRO __ADDB1MN
	SUBI R30,LOW(-@0-(@1))
	.ENDM

	.MACRO __ADDB2MN
	SUBI R26,LOW(-@0-(@1))
	.ENDM

	.MACRO __ADDW1MN
	SUBI R30,LOW(-@0-(@1))
	SBCI R31,HIGH(-@0-(@1))
	.ENDM

	.MACRO __ADDW2MN
	SUBI R26,LOW(-@0-(@1))
	SBCI R27,HIGH(-@0-(@1))
	.ENDM

	.MACRO __ADDW1FN
	SUBI R30,LOW(-2*@0-(@1))
	SBCI R31,HIGH(-2*@0-(@1))
	.ENDM

	.MACRO __ADDD1FN
	SUBI R30,LOW(-2*@0-(@1))
	SBCI R31,HIGH(-2*@0-(@1))
	SBCI R22,BYTE3(-2*@0-(@1))
	.ENDM

	.MACRO __ADDD1N
	SUBI R30,LOW(-@0)
	SBCI R31,HIGH(-@0)
	SBCI R22,BYTE3(-@0)
	SBCI R23,BYTE4(-@0)
	.ENDM

	.MACRO __ADDD2N
	SUBI R26,LOW(-@0)
	SBCI R27,HIGH(-@0)
	SBCI R24,BYTE3(-@0)
	SBCI R25,BYTE4(-@0)
	.ENDM

	.MACRO __SUBD1N
	SUBI R30,LOW(@0)
	SBCI R31,HIGH(@0)
	SBCI R22,BYTE3(@0)
	SBCI R23,BYTE4(@0)
	.ENDM

	.MACRO __SUBD2N
	SUBI R26,LOW(@0)
	SBCI R27,HIGH(@0)
	SBCI R24,BYTE3(@0)
	SBCI R25,BYTE4(@0)
	.ENDM

	.MACRO __ANDBMNN
	LDS  R30,@0+(@1)
	ANDI R30,LOW(@2)
	STS  @0+(@1),R30
	.ENDM

	.MACRO __ANDWMNN
	LDS  R30,@0+(@1)
	ANDI R30,LOW(@2)
	STS  @0+(@1),R30
	LDS  R30,@0+(@1)+1
	ANDI R30,HIGH(@2)
	STS  @0+(@1)+1,R30
	.ENDM

	.MACRO __ANDD1N
	ANDI R30,LOW(@0)
	ANDI R31,HIGH(@0)
	ANDI R22,BYTE3(@0)
	ANDI R23,BYTE4(@0)
	.ENDM

	.MACRO __ANDD2N
	ANDI R26,LOW(@0)
	ANDI R27,HIGH(@0)
	ANDI R24,BYTE3(@0)
	ANDI R25,BYTE4(@0)
	.ENDM

	.MACRO __ORBMNN
	LDS  R30,@0+(@1)
	ORI  R30,LOW(@2)
	STS  @0+(@1),R30
	.ENDM

	.MACRO __ORWMNN
	LDS  R30,@0+(@1)
	ORI  R30,LOW(@2)
	STS  @0+(@1),R30
	LDS  R30,@0+(@1)+1
	ORI  R30,HIGH(@2)
	STS  @0+(@1)+1,R30
	.ENDM

	.MACRO __ORD1N
	ORI  R30,LOW(@0)
	ORI  R31,HIGH(@0)
	ORI  R22,BYTE3(@0)
	ORI  R23,BYTE4(@0)
	.ENDM

	.MACRO __ORD2N
	ORI  R26,LOW(@0)
	ORI  R27,HIGH(@0)
	ORI  R24,BYTE3(@0)
	ORI  R25,BYTE4(@0)
	.ENDM

	.MACRO __DELAY_USB
	LDI  R24,LOW(@0)
__DELAY_USB_LOOP:
	DEC  R24
	BRNE __DELAY_USB_LOOP
	.ENDM

	.MACRO __DELAY_USW
	LDI  R24,LOW(@0)
	LDI  R25,HIGH(@0)
__DELAY_USW_LOOP:
	SBIW R24,1
	BRNE __DELAY_USW_LOOP
	.ENDM

	.MACRO __GETD1S
	LDD  R30,Y+@0
	LDD  R31,Y+@0+1
	LDD  R22,Y+@0+2
	LDD  R23,Y+@0+3
	.ENDM

	.MACRO __GETD2S
	LDD  R26,Y+@0
	LDD  R27,Y+@0+1
	LDD  R24,Y+@0+2
	LDD  R25,Y+@0+3
	.ENDM

	.MACRO __PUTD1S
	STD  Y+@0,R30
	STD  Y+@0+1,R31
	STD  Y+@0+2,R22
	STD  Y+@0+3,R23
	.ENDM

	.MACRO __PUTD2S
	STD  Y+@0,R26
	STD  Y+@0+1,R27
	STD  Y+@0+2,R24
	STD  Y+@0+3,R25
	.ENDM

	.MACRO __PUTDZ2
	STD  Z+@0,R26
	STD  Z+@0+1,R27
	STD  Z+@0+2,R24
	STD  Z+@0+3,R25
	.ENDM

	.MACRO __CLRD1S
	STD  Y+@0,R30
	STD  Y+@0+1,R30
	STD  Y+@0+2,R30
	STD  Y+@0+3,R30
	.ENDM

	.MACRO __POINTB1MN
	LDI  R30,LOW(@0+(@1))
	.ENDM

	.MACRO __POINTW1MN
	LDI  R30,LOW(@0+(@1))
	LDI  R31,HIGH(@0+(@1))
	.ENDM

	.MACRO __POINTD1M
	LDI  R30,LOW(@0)
	LDI  R31,HIGH(@0)
	LDI  R22,BYTE3(@0)
	LDI  R23,BYTE4(@0)
	.ENDM

	.MACRO __POINTW1FN
	LDI  R30,LOW(2*@0+(@1))
	LDI  R31,HIGH(2*@0+(@1))
	.ENDM

	.MACRO __POINTD1FN
	LDI  R30,LOW(2*@0+(@1))
	LDI  R31,HIGH(2*@0+(@1))
	LDI  R22,BYTE3(2*@0+(@1))
	LDI  R23,BYTE4(2*@0+(@1))
	.ENDM

	.MACRO __POINTB2MN
	LDI  R26,LOW(@0+(@1))
	.ENDM

	.MACRO __POINTW2MN
	LDI  R26,LOW(@0+(@1))
	LDI  R27,HIGH(@0+(@1))
	.ENDM

	.MACRO __POINTW2FN
	LDI  R26,LOW(2*@0+(@1))
	LDI  R27,HIGH(2*@0+(@1))
	.ENDM

	.MACRO __POINTD2FN
	LDI  R26,LOW(2*@0+(@1))
	LDI  R27,HIGH(2*@0+(@1))
	LDI  R24,BYTE3(2*@0+(@1))
	LDI  R25,BYTE4(2*@0+(@1))
	.ENDM

	.MACRO __POINTBRM
	LDI  R@0,LOW(@1)
	.ENDM

	.MACRO __POINTWRM
	LDI  R@0,LOW(@2)
	LDI  R@1,HIGH(@2)
	.ENDM

	.MACRO __POINTBRMN
	LDI  R@0,LOW(@1+(@2))
	.ENDM

	.MACRO __POINTWRMN
	LDI  R@0,LOW(@2+(@3))
	LDI  R@1,HIGH(@2+(@3))
	.ENDM

	.MACRO __POINTWRFN
	LDI  R@0,LOW(@2*2+(@3))
	LDI  R@1,HIGH(@2*2+(@3))
	.ENDM

	.MACRO __GETD1N
	LDI  R30,LOW(@0)
	LDI  R31,HIGH(@0)
	LDI  R22,BYTE3(@0)
	LDI  R23,BYTE4(@0)
	.ENDM

	.MACRO __GETD2N
	LDI  R26,LOW(@0)
	LDI  R27,HIGH(@0)
	LDI  R24,BYTE3(@0)
	LDI  R25,BYTE4(@0)
	.ENDM

	.MACRO __GETB1MN
	LDS  R30,@0+(@1)
	.ENDM

	.MACRO __GETB1HMN
	LDS  R31,@0+(@1)
	.ENDM

	.MACRO __GETW1MN
	LDS  R30,@0+(@1)
	LDS  R31,@0+(@1)+1
	.ENDM

	.MACRO __GETD1MN
	LDS  R30,@0+(@1)
	LDS  R31,@0+(@1)+1
	LDS  R22,@0+(@1)+2
	LDS  R23,@0+(@1)+3
	.ENDM

	.MACRO __GETBRMN
	LDS  R@0,@1+(@2)
	.ENDM

	.MACRO __GETWRMN
	LDS  R@0,@2+(@3)
	LDS  R@1,@2+(@3)+1
	.ENDM

	.MACRO __GETWRZ
	LDD  R@0,Z+@2
	LDD  R@1,Z+@2+1
	.ENDM

	.MACRO __GETD2Z
	LDD  R26,Z+@0
	LDD  R27,Z+@0+1
	LDD  R24,Z+@0+2
	LDD  R25,Z+@0+3
	.ENDM

	.MACRO __GETB2MN
	LDS  R26,@0+(@1)
	.ENDM

	.MACRO __GETW2MN
	LDS  R26,@0+(@1)
	LDS  R27,@0+(@1)+1
	.ENDM

	.MACRO __GETD2MN
	LDS  R26,@0+(@1)
	LDS  R27,@0+(@1)+1
	LDS  R24,@0+(@1)+2
	LDS  R25,@0+(@1)+3
	.ENDM

	.MACRO __PUTB1MN
	STS  @0+(@1),R30
	.ENDM

	.MACRO __PUTW1MN
	STS  @0+(@1),R30
	STS  @0+(@1)+1,R31
	.ENDM

	.MACRO __PUTD1MN
	STS  @0+(@1),R30
	STS  @0+(@1)+1,R31
	STS  @0+(@1)+2,R22
	STS  @0+(@1)+3,R23
	.ENDM

	.MACRO __PUTB1EN
	LDI  R26,LOW(@0+(@1))
	LDI  R27,HIGH(@0+(@1))
	CALL __EEPROMWRB
	.ENDM

	.MACRO __PUTW1EN
	LDI  R26,LOW(@0+(@1))
	LDI  R27,HIGH(@0+(@1))
	CALL __EEPROMWRW
	.ENDM

	.MACRO __PUTD1EN
	LDI  R26,LOW(@0+(@1))
	LDI  R27,HIGH(@0+(@1))
	CALL __EEPROMWRD
	.ENDM

	.MACRO __PUTBR0MN
	STS  @0+(@1),R0
	.ENDM

	.MACRO __PUTBMRN
	STS  @0+(@1),R@2
	.ENDM

	.MACRO __PUTWMRN
	STS  @0+(@1),R@2
	STS  @0+(@1)+1,R@3
	.ENDM

	.MACRO __PUTBZR
	STD  Z+@1,R@0
	.ENDM

	.MACRO __PUTWZR
	STD  Z+@2,R@0
	STD  Z+@2+1,R@1
	.ENDM

	.MACRO __GETW1R
	MOV  R30,R@0
	MOV  R31,R@1
	.ENDM

	.MACRO __GETW2R
	MOV  R26,R@0
	MOV  R27,R@1
	.ENDM

	.MACRO __GETWRN
	LDI  R@0,LOW(@2)
	LDI  R@1,HIGH(@2)
	.ENDM

	.MACRO __PUTW1R
	MOV  R@0,R30
	MOV  R@1,R31
	.ENDM

	.MACRO __PUTW2R
	MOV  R@0,R26
	MOV  R@1,R27
	.ENDM

	.MACRO __ADDWRN
	SUBI R@0,LOW(-@2)
	SBCI R@1,HIGH(-@2)
	.ENDM

	.MACRO __ADDWRR
	ADD  R@0,R@2
	ADC  R@1,R@3
	.ENDM

	.MACRO __SUBWRN
	SUBI R@0,LOW(@2)
	SBCI R@1,HIGH(@2)
	.ENDM

	.MACRO __SUBWRR
	SUB  R@0,R@2
	SBC  R@1,R@3
	.ENDM

	.MACRO __ANDWRN
	ANDI R@0,LOW(@2)
	ANDI R@1,HIGH(@2)
	.ENDM

	.MACRO __ANDWRR
	AND  R@0,R@2
	AND  R@1,R@3
	.ENDM

	.MACRO __ORWRN
	ORI  R@0,LOW(@2)
	ORI  R@1,HIGH(@2)
	.ENDM

	.MACRO __ORWRR
	OR   R@0,R@2
	OR   R@1,R@3
	.ENDM

	.MACRO __EORWRR
	EOR  R@0,R@2
	EOR  R@1,R@3
	.ENDM

	.MACRO __GETWRS
	LDD  R@0,Y+@2
	LDD  R@1,Y+@2+1
	.ENDM

	.MACRO __PUTBSR
	STD  Y+@1,R@0
	.ENDM

	.MACRO __PUTWSR
	STD  Y+@2,R@0
	STD  Y+@2+1,R@1
	.ENDM

	.MACRO __MOVEWRR
	MOV  R@0,R@2
	MOV  R@1,R@3
	.ENDM

	.MACRO __INWR
	IN   R@0,@2
	IN   R@1,@2+1
	.ENDM

	.MACRO __OUTWR
	OUT  @2+1,R@1
	OUT  @2,R@0
	.ENDM

	.MACRO __CALL1MN
	LDS  R30,@0+(@1)
	LDS  R31,@0+(@1)+1
	ICALL
	.ENDM

	.MACRO __CALL1FN
	LDI  R30,LOW(2*@0+(@1))
	LDI  R31,HIGH(2*@0+(@1))
	CALL __GETW1PF
	ICALL
	.ENDM

	.MACRO __CALL2EN
	LDI  R26,LOW(@0+(@1))
	LDI  R27,HIGH(@0+(@1))
	CALL __EEPROMRDW
	ICALL
	.ENDM

	.MACRO __GETW1STACK
	IN   R26,SPL
	IN   R27,SPH
	ADIW R26,@0+1
	LD   R30,X+
	LD   R31,X
	.ENDM

	.MACRO __GETD1STACK
	IN   R26,SPL
	IN   R27,SPH
	ADIW R26,@0+1
	LD   R30,X+
	LD   R31,X+
	LD   R22,X
	.ENDM

	.MACRO __NBST
	BST  R@0,@1
	IN   R30,SREG
	LDI  R31,0x40
	EOR  R30,R31
	OUT  SREG,R30
	.ENDM


	.MACRO __PUTB1SN
	LDD  R26,Y+@0
	LDD  R27,Y+@0+1
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	ST   X,R30
	.ENDM

	.MACRO __PUTW1SN
	LDD  R26,Y+@0
	LDD  R27,Y+@0+1
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	ST   X+,R30
	ST   X,R31
	.ENDM

	.MACRO __PUTD1SN
	LDD  R26,Y+@0
	LDD  R27,Y+@0+1
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	CALL __PUTDP1
	.ENDM

	.MACRO __PUTB1SNS
	LDD  R26,Y+@0
	LDD  R27,Y+@0+1
	ADIW R26,@1
	ST   X,R30
	.ENDM

	.MACRO __PUTW1SNS
	LDD  R26,Y+@0
	LDD  R27,Y+@0+1
	ADIW R26,@1
	ST   X+,R30
	ST   X,R31
	.ENDM

	.MACRO __PUTD1SNS
	LDD  R26,Y+@0
	LDD  R27,Y+@0+1
	ADIW R26,@1
	CALL __PUTDP1
	.ENDM

	.MACRO __PUTB1PMN
	LDS  R26,@0
	LDS  R27,@0+1
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	ST   X,R30
	.ENDM

	.MACRO __PUTW1PMN
	LDS  R26,@0
	LDS  R27,@0+1
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	ST   X+,R30
	ST   X,R31
	.ENDM

	.MACRO __PUTD1PMN
	LDS  R26,@0
	LDS  R27,@0+1
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	CALL __PUTDP1
	.ENDM

	.MACRO __PUTB1PMNS
	LDS  R26,@0
	LDS  R27,@0+1
	ADIW R26,@1
	ST   X,R30
	.ENDM

	.MACRO __PUTW1PMNS
	LDS  R26,@0
	LDS  R27,@0+1
	ADIW R26,@1
	ST   X+,R30
	ST   X,R31
	.ENDM

	.MACRO __PUTD1PMNS
	LDS  R26,@0
	LDS  R27,@0+1
	ADIW R26,@1
	CALL __PUTDP1
	.ENDM

	.MACRO __PUTB1RN
	MOVW R26,R@0
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	ST   X,R30
	.ENDM

	.MACRO __PUTW1RN
	MOVW R26,R@0
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	ST   X+,R30
	ST   X,R31
	.ENDM

	.MACRO __PUTD1RN
	MOVW R26,R@0
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	CALL __PUTDP1
	.ENDM

	.MACRO __PUTB1RNS
	MOVW R26,R@0
	ADIW R26,@1
	ST   X,R30
	.ENDM

	.MACRO __PUTW1RNS
	MOVW R26,R@0
	ADIW R26,@1
	ST   X+,R30
	ST   X,R31
	.ENDM

	.MACRO __PUTD1RNS
	MOVW R26,R@0
	ADIW R26,@1
	CALL __PUTDP1
	.ENDM

	.MACRO __PUTB1RON
	MOV  R26,R@0
	MOV  R27,R@1
	SUBI R26,LOW(-@2)
	SBCI R27,HIGH(-@2)
	ST   X,R30
	.ENDM

	.MACRO __PUTW1RON
	MOV  R26,R@0
	MOV  R27,R@1
	SUBI R26,LOW(-@2)
	SBCI R27,HIGH(-@2)
	ST   X+,R30
	ST   X,R31
	.ENDM

	.MACRO __PUTD1RON
	MOV  R26,R@0
	MOV  R27,R@1
	SUBI R26,LOW(-@2)
	SBCI R27,HIGH(-@2)
	CALL __PUTDP1
	.ENDM

	.MACRO __PUTB1RONS
	MOV  R26,R@0
	MOV  R27,R@1
	ADIW R26,@2
	ST   X,R30
	.ENDM

	.MACRO __PUTW1RONS
	MOV  R26,R@0
	MOV  R27,R@1
	ADIW R26,@2
	ST   X+,R30
	ST   X,R31
	.ENDM

	.MACRO __PUTD1RONS
	MOV  R26,R@0
	MOV  R27,R@1
	ADIW R26,@2
	CALL __PUTDP1
	.ENDM


	.MACRO __GETB1SX
	MOVW R30,R28
	SUBI R30,LOW(-@0)
	SBCI R31,HIGH(-@0)
	LD   R30,Z
	.ENDM

	.MACRO __GETB1HSX
	MOVW R30,R28
	SUBI R30,LOW(-@0)
	SBCI R31,HIGH(-@0)
	LD   R31,Z
	.ENDM

	.MACRO __GETW1SX
	MOVW R30,R28
	SUBI R30,LOW(-@0)
	SBCI R31,HIGH(-@0)
	LD   R0,Z+
	LD   R31,Z
	MOV  R30,R0
	.ENDM

	.MACRO __GETD1SX
	MOVW R30,R28
	SUBI R30,LOW(-@0)
	SBCI R31,HIGH(-@0)
	LD   R0,Z+
	LD   R1,Z+
	LD   R22,Z+
	LD   R23,Z
	MOVW R30,R0
	.ENDM

	.MACRO __GETB2SX
	MOVW R26,R28
	SUBI R26,LOW(-@0)
	SBCI R27,HIGH(-@0)
	LD   R26,X
	.ENDM

	.MACRO __GETW2SX
	MOVW R26,R28
	SUBI R26,LOW(-@0)
	SBCI R27,HIGH(-@0)
	LD   R0,X+
	LD   R27,X
	MOV  R26,R0
	.ENDM

	.MACRO __GETD2SX
	MOVW R26,R28
	SUBI R26,LOW(-@0)
	SBCI R27,HIGH(-@0)
	LD   R0,X+
	LD   R1,X+
	LD   R24,X+
	LD   R25,X
	MOVW R26,R0
	.ENDM

	.MACRO __GETBRSX
	MOVW R30,R28
	SUBI R30,LOW(-@1)
	SBCI R31,HIGH(-@1)
	LD   R@0,Z
	.ENDM

	.MACRO __GETWRSX
	MOVW R30,R28
	SUBI R30,LOW(-@2)
	SBCI R31,HIGH(-@2)
	LD   R@0,Z+
	LD   R@1,Z
	.ENDM

	.MACRO __GETBRSX2
	MOVW R26,R28
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	LD   R@0,X
	.ENDM

	.MACRO __GETWRSX2
	MOVW R26,R28
	SUBI R26,LOW(-@2)
	SBCI R27,HIGH(-@2)
	LD   R@0,X+
	LD   R@1,X
	.ENDM

	.MACRO __LSLW8SX
	MOVW R30,R28
	SUBI R30,LOW(-@0)
	SBCI R31,HIGH(-@0)
	LD   R31,Z
	CLR  R30
	.ENDM

	.MACRO __PUTB1SX
	MOVW R26,R28
	SUBI R26,LOW(-@0)
	SBCI R27,HIGH(-@0)
	ST   X,R30
	.ENDM

	.MACRO __PUTW1SX
	MOVW R26,R28
	SUBI R26,LOW(-@0)
	SBCI R27,HIGH(-@0)
	ST   X+,R30
	ST   X,R31
	.ENDM

	.MACRO __PUTD1SX
	MOVW R26,R28
	SUBI R26,LOW(-@0)
	SBCI R27,HIGH(-@0)
	ST   X+,R30
	ST   X+,R31
	ST   X+,R22
	ST   X,R23
	.ENDM

	.MACRO __CLRW1SX
	MOVW R26,R28
	SUBI R26,LOW(-@0)
	SBCI R27,HIGH(-@0)
	ST   X+,R30
	ST   X,R30
	.ENDM

	.MACRO __CLRD1SX
	MOVW R26,R28
	SUBI R26,LOW(-@0)
	SBCI R27,HIGH(-@0)
	ST   X+,R30
	ST   X+,R30
	ST   X+,R30
	ST   X,R30
	.ENDM

	.MACRO __PUTB2SX
	MOVW R30,R28
	SUBI R30,LOW(-@0)
	SBCI R31,HIGH(-@0)
	ST   Z,R26
	.ENDM

	.MACRO __PUTW2SX
	MOVW R30,R28
	SUBI R30,LOW(-@0)
	SBCI R31,HIGH(-@0)
	ST   Z+,R26
	ST   Z,R27
	.ENDM

	.MACRO __PUTD2SX
	MOVW R30,R28
	SUBI R30,LOW(-@0)
	SBCI R31,HIGH(-@0)
	ST   Z+,R26
	ST   Z+,R27
	ST   Z+,R24
	ST   Z,R25
	.ENDM

	.MACRO __PUTBSRX
	MOVW R30,R28
	SUBI R30,LOW(-@1)
	SBCI R31,HIGH(-@1)
	ST   Z,R@0
	.ENDM

	.MACRO __PUTWSRX
	MOVW R30,R28
	SUBI R30,LOW(-@2)
	SBCI R31,HIGH(-@2)
	ST   Z+,R@0
	ST   Z,R@1
	.ENDM

	.MACRO __PUTB1SNX
	MOVW R26,R28
	SUBI R26,LOW(-@0)
	SBCI R27,HIGH(-@0)
	LD   R0,X+
	LD   R27,X
	MOV  R26,R0
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	ST   X,R30
	.ENDM

	.MACRO __PUTW1SNX
	MOVW R26,R28
	SUBI R26,LOW(-@0)
	SBCI R27,HIGH(-@0)
	LD   R0,X+
	LD   R27,X
	MOV  R26,R0
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	ST   X+,R30
	ST   X,R31
	.ENDM

	.MACRO __PUTD1SNX
	MOVW R26,R28
	SUBI R26,LOW(-@0)
	SBCI R27,HIGH(-@0)
	LD   R0,X+
	LD   R27,X
	MOV  R26,R0
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	ST   X+,R30
	ST   X+,R31
	ST   X+,R22
	ST   X,R23
	.ENDM

	.MACRO __MULBRR
	MULS R@0,R@1
	MOVW R30,R0
	.ENDM

	.MACRO __MULBRRU
	MUL  R@0,R@1
	MOVW R30,R0
	.ENDM

	.MACRO __MULBRR0
	MULS R@0,R@1
	.ENDM

	.MACRO __MULBRRU0
	MUL  R@0,R@1
	.ENDM

	.MACRO __MULBNWRU
	LDI  R26,@2
	MUL  R26,R@0
	MOVW R30,R0
	MUL  R26,R@1
	ADD  R31,R0
	.ENDM

;NAME DEFINITIONS FOR GLOBAL VARIABLES ALLOCATED TO REGISTERS
	.DEF _t1ovf=R5

	.CSEG
	.ORG 0x00

;START OF CODE MARKER
__START_OF_CODE:

;INTERRUPT VECTORS
	JMP  __RESET
	JMP  0x00
	JMP  0x00
	JMP  0x00
	JMP  0x00
	JMP  0x00
	JMP  0x00
	JMP  0x00
	JMP  0x00
	JMP  _timer1_ovf_isr
	JMP  0x00
	JMP  0x00
	JMP  0x00
	JMP  0x00
	JMP  0x00
	JMP  0x00
	JMP  0x00
	JMP  0x00
	JMP  0x00
	JMP  0x00
	JMP  0x00

_hoshdar:
	.DB  0x52,0x49,0x46,0x46,0xB8,0x1F,0x0,0x0
	.DB  0x57,0x41,0x56,0x45,0x66,0x6D,0x74,0x20
	.DB  0x12,0x0,0x0,0x0,0x1,0x0,0x1,0x0
	.DB  0x40,0x1F,0x0,0x0,0x40,0x1F,0x0,0x0
	.DB  0x1,0x0,0x8,0x0,0x0,0x0,0x66,0x61
	.DB  0x63,0x74,0x4,0x0,0x0,0x0,0x46,0x1F
	.DB  0x0,0x0,0x64,0x61,0x74,0x61,0x46,0x1F
	.DB  0x0,0x0,0x80,0x7F,0x80,0x7F,0x80,0x7F
	.DB  0x80,0x7F,0x80,0x7F,0x80,0x7F,0x80,0x7F
	.DB  0x80,0x7F,0x80,0x80,0x80,0x80,0x7F,0x7F
	.DB  0x7F,0x80,0x7F,0x80,0x80,0x80,0x80,0x80
	.DB  0x7F,0x80,0x7F,0x80,0x7F,0x80,0x7F,0x80
	.DB  0x7F,0x80,0x7F,0x80,0x7F,0x80,0x7F,0x80
	.DB  0x7F,0x80,0x7F,0x80,0x7F,0x80,0x7F,0x81
	.DB  0x81,0x81,0x81,0x81,0x81,0x81,0x80,0x80
	.DB  0x7E,0x7C,0x7F,0x83,0x84,0x7E,0x79,0x7C
	.DB  0x83,0x88,0x82,0x77,0x75,0x81,0x8C,0x88
	.DB  0x78,0x71,0x7B,0x8D,0x8D,0x7D,0x6E,0x74
	.DB  0x8A,0x93,0x84,0x6E,0x6D,0x83,0x97,0x8E
	.DB  0x72,0x66,0x79,0x96,0x98,0x7A,0x63,0x6E
	.DB  0x8F,0x9F,0x87,0x64,0x62,0x85,0xA3,0x95
	.DB  0x6C,0x5A,0x77,0x9F,0xA1,0x79,0x57,0x66
	.DB  0x95,0xAA,0x8A,0x5C,0x59,0x87,0xAE,0x9B
	.DB  0x66,0x4E,0x74,0xA8,0xAB,0x77,0x4D,0x60
	.DB  0x9C,0xB5,0x8D,0x53,0x4F,0x88,0xB7,0xA2
	.DB  0x61,0x45,0x72,0xB1,0xB4,0x76,0x43,0x5B
	.DB  0xA1,0xBF,0x8F,0x4B,0x47,0x89,0xC1,0xA8
	.DB  0x5C,0x3B,0x6F,0xB8,0xBC,0x74,0x39,0x55
	.DB  0xA6,0xC9,0x91,0x43,0x3F,0x8B,0xCA,0xAD
	.DB  0x57,0x33,0x6D,0xC0,0xC4,0x73,0x31,0x4F
	.DB  0xAA,0xD2,0x94,0x3C,0x37,0x8C,0xD2,0xB2
	.DB  0x52,0x29,0x6B,0xC6,0xCB,0x72,0x28,0x4B
	.DB  0xAF,0xD9,0x95,0x35,0x31,0x8E,0xDA,0xB7
	.DB  0x4E,0x22,0x69,0xCD,0xD1,0x70,0x21,0x46
	.DB  0xB3,0xE0,0x97,0x30,0x2B,0x8E,0xE0,0xBB
	.DB  0x4C,0x1B,0x67,0xD2,0xD7,0x6F,0x1C,0x43
	.DB  0xB5,0xE6,0x97,0x2B,0x26,0x90,0xE6,0xBE
	.DB  0x48,0x15,0x65,0xD6,0xDB,0x6F,0x16,0x40
	.DB  0xB8,0xEB,0x99,0x27,0x22,0x91,0xEB,0xC1
	.DB  0x46,0x11,0x65,0xDA,0xDF,0x6E,0x12,0x3D
	.DB  0xBA,0xEF,0x9A,0x24,0x1E,0x91,0xEF,0xC3
	.DB  0x44,0xF,0x64,0xDC,0xE2,0x6E,0x10,0x3B
	.DB  0xBC,0xF2,0x9B,0x22,0x1D,0x91,0xF1,0xC4
	.DB  0x43,0xD,0x64,0xDE,0xE4,0x6D,0xD,0x3A
	.DB  0xBC,0xF3,0x9C,0x21,0x1B,0x91,0xF2,0xC5
	.DB  0x42,0xC,0x63,0xDF,0xE4,0x6D,0xD,0x3A
	.DB  0xBD,0xF4,0x9C,0x20,0x1A,0x92,0xF2,0xC5
	.DB  0x42,0xC,0x64,0xDE,0xE4,0x6E,0xD,0x3A
	.DB  0xBC,0xF4,0x9B,0x21,0x1C,0x91,0xF1,0xC4
	.DB  0x43,0xD,0x64,0xDD,0xE2,0x6D,0xF,0x3B
	.DB  0xBC,0xF1,0x9A,0x23,0x1E,0x91,0xEF,0xC3
	.DB  0x44,0xF,0x65,0xDB,0xE0,0x6F,0x12,0x3D
	.DB  0xBA,0xEF,0x9A,0x26,0x20,0x91,0xEB,0xC0
	.DB  0x46,0x13,0x65,0xD7,0xDC,0x6F,0x16,0x40
	.DB  0xB8,0xEA,0x98,0x29,0x24,0x90,0xE7,0xBE
	.DB  0x49,0x17,0x67,0xD3,0xD9,0x70,0x1B,0x43
	.DB  0xB5,0xE5,0x98,0x2E,0x29,0x8E,0xE1,0xBB
	.DB  0x4B,0x1E,0x68,0xCF,0xD4,0x71,0x21,0x46
	.DB  0xB2,0xDE,0x96,0x32,0x2F,0x8E,0xDB,0xB6
	.DB  0x4F,0x24,0x6A,0xC9,0xCD,0x71,0x28,0x4B
	.DB  0xAE,0xD7,0x94,0x38,0x35,0x8D,0xD4,0xB2
	.DB  0x53,0x2C,0x6C,0xC3,0xC7,0x73,0x2F,0x4F
	.DB  0xAA,0xD0,0x92,0x3F,0x3B,0x8B,0xCB,0xAD
	.DB  0x58,0x34,0x6D,0xBC,0xBF,0x74,0x38,0x55
	.DB  0xA5,0xC6,0x90,0x47,0x44,0x8A,0xC3,0xA8
	.DB  0x5D,0x3E,0x70,0xB4,0xB7,0x76,0x42,0x5B
	.DB  0xA0,0xBC,0x8E,0x4F,0x4C,0x88,0xB9,0xA1
	.DB  0x62,0x47,0x72,0xAB,0xAE,0x77,0x4C,0x60
	.DB  0x9A,0xB2,0x8C,0x57,0x56,0x87,0xAE,0x9B
	.DB  0x67,0x53,0x75,0xA3,0xA5,0x7A,0x56,0x67
	.DB  0x95,0xA8,0x89,0x60,0x5E,0x85,0xA4,0x94
	.DB  0x6D,0x5D,0x78,0x9B,0x9C,0x7A,0x61,0x6D
	.DB  0x8E,0x9C,0x86,0x69,0x69,0x83,0x99,0x8F
	.DB  0x73,0x68,0x7A,0x91,0x92,0x7D,0x6D,0x74
	.DB  0x89,0x91,0x84,0x73,0x73,0x82,0x8D,0x88
	.DB  0x79,0x74,0x7D,0x88,0x88,0x7F,0x78,0x7C
	.DB  0x83,0x85,0x80,0x7C,0x7D,0x80,0x82,0x80
	.DB  0x7E,0x80,0x80,0x7E,0x7E,0x80,0x83,0x82
	.DB  0x7C,0x79,0x7E,0x85,0x87,0x7E,0x76,0x7A
	.DB  0x85,0x8A,0x82,0x75,0x74,0x83,0x8E,0x89
	.DB  0x77,0x6E,0x7B,0x8F,0x90,0x7C,0x6B,0x73
	.DB  0x8B,0x97,0x85,0x6B,0x69,0x84,0x9B,0x90
	.DB  0x71,0x63,0x79,0x98,0x9A,0x7B,0x5F,0x6C
	.DB  0x92,0xA2,0x88,0x62,0x60,0x86,0xA5,0x96
	.DB  0x6B,0x57,0x76,0xA1,0xA4,0x79,0x55,0x65
	.DB  0x98,0xAD,0x8B,0x59,0x56,0x87,0xAF,0x9D
	.DB  0x64,0x4C,0x73,0xAA,0xAD,0x77,0x4A,0x5F
	.DB  0x9D,0xB8,0x8D,0x50,0x4D,0x89,0xB9,0xA3
	.DB  0x5F,0x42,0x70,0xB2,0xB6,0x75,0x41,0x59
	.DB  0xA2,0xC1,0x8F,0x48,0x45,0x8A,0xC3,0xA9
	.DB  0x5B,0x38,0x6F,0xBB,0xBE,0x74,0x37,0x53
	.DB  0xA7,0xCB,0x91,0x41,0x3D,0x8C,0xCC,0xAF
	.DB  0x56,0x30,0x6D,0xC1,0xC5,0x73,0x2F,0x4E
	.DB  0xAB,0xD3,0x94,0x3A,0x36,0x8D,0xD4,0xB3
	.DB  0x52,0x28,0x6A,0xC8,0xCC,0x71,0x26,0x49
	.DB  0xB0,0xDB,0x96,0x34,0x30,0x8E,0xDB,0xB7
	.DB  0x4D,0x21,0x69,0xCE,0xD2,0x70,0x20,0x45
	.DB  0xB3,0xE2,0x97,0x2E,0x29,0x90,0xE2,0xBB
	.DB  0x4A,0x1A,0x67,0xD3,0xD8,0x6F,0x1A,0x42
	.DB  0xB6,0xE7,0x99,0x2A,0x25,0x90,0xE7,0xBF
	.DB  0x47,0x14,0x66,0xD7,0xDD,0x6F,0x16,0x3F
	.DB  0xB9,0xEC,0x99,0x26,0x21,0x91,0xEC,0xC1
	.DB  0x45,0x10,0x65,0xDA,0xE0,0x6D,0x11,0x3D
	.DB  0xBB,0xEF,0x9A,0x23,0x1E,0x92,0xF0,0xC3
	.DB  0x44,0xD,0x64,0xDD,0xE1,0x6D,0xF,0x3B
	.DB  0xBD,0xF2,0x9B,0x22,0x1C,0x92,0xF1,0xC5
	.DB  0x43,0xC,0x64,0xDD,0xE4,0x6D,0xE,0x2A
	.DB  0xA6,0xF5,0xB5,0x43,0xB,0x60,0xDC,0xE5
	.DB  0x72,0xF,0x37,0xB9,0xF4,0x9F,0x23,0x19
	.DB  0x8E,0xF1,0xC8,0x46,0xB,0x60,0xDB,0xE6
	.DB  0x72,0xE,0x38,0xB9,0xF4,0x9F,0x23,0x19
	.DB  0x8E,0xF0,0xC7,0x46,0xC,0x60,0xDB,0xE4
	.DB  0x71,0x10,0x38,0xB9,0xF2,0x9E,0x24,0x1B
	.DB  0x8D,0xEE,0xC6,0x47,0xF,0x61,0xD9,0xE2
	.DB  0x72,0x13,0x3A,0xB7,0xEF,0x9E,0x27,0x1E
	.DB  0x8D,0xEA,0xC4,0x49,0x12,0x62,0xD6,0xE0
	.DB  0x72,0x17,0x3D,0xB6,0xEB,0x9C,0x2A,0x22
	.DB  0x8C,0xE6,0xC1,0x4B,0x17,0x62,0xD2,0xDA
	.DB  0x73,0x1B,0x40,0xB3,0xE6,0x9B,0x2F,0x27
	.DB  0x8C,0xE1,0xBE,0x4E,0x1D,0x65,0xCE,0xD5
	.DB  0x74,0x22,0x44,0xAF,0xDF,0x99,0x34,0x2D
	.DB  0x8B,0xDB,0xBA,0x52,0x23,0x66,0xC8,0xCF
	.DB  0x75,0x28,0x48,0xAC,0xD9,0x98,0x3A,0x33
	.DB  0x8A,0xD3,0xB5,0x56,0x2A,0x69,0xC3,0xC9
	.DB  0x76,0x30,0x4D,0xA8,0xD1,0x95,0x40,0x3A
	.DB  0x8A,0xCB,0xAF,0x5A,0x33,0x6B,0xBC,0xC1
	.DB  0x76,0x38,0x52,0xA3,0xC7,0x93,0x48,0x42
	.DB  0x88,0xC2,0xAA,0x5E,0x3D,0x6E,0xB3,0xB9
	.DB  0x78,0x42,0x58,0x9E,0xBE,0x91,0x4F,0x4A
	.DB  0x87,0xB8,0xA4,0x63,0x46,0x71,0xAC,0xB0
	.DB  0x79,0x4C,0x5F,0x9A,0xB4,0x8D,0x58,0x53
	.DB  0x85,0xAF,0x9E,0x68,0x51,0x73,0xA3,0xA7
	.DB  0x7A,0x56,0x65,0x94,0xA9,0x8B,0x60,0x5D
	.DB  0x85,0xA4,0x96,0x6D,0x5C,0x76,0x9A,0x9D
	.DB  0x7C,0x60,0x6C,0x8F,0x9E,0x88,0x69,0x67
	.DB  0x83,0x99,0x8F,0x73,0x67,0x79,0x92,0x93
	.DB  0x7D,0x6C,0x73,0x88,0x92,0x85,0x72,0x71
	.DB  0x82,0x8E,0x88,0x79,0x73,0x7C,0x89,0x89
	.DB  0x7E,0x77,0x7B,0x83,0x86,0x82,0x7C,0x7C
	.DB  0x80,0x82,0x81,0x7F,0x7F,0x7F,0x7F,0x7F
	.DB  0x80,0x82,0x81,0x7D,0x7A,0x7E,0x85,0x86
	.DB  0x7E,0x77,0x7A,0x85,0x8A,0x82,0x75,0x74
	.DB  0x81,0x8E,0x88,0x78,0x6F,0x7B,0x8E,0x8F
	.DB  0x7D,0x6D,0x73,0x8B,0x96,0x86,0x6D,0x69
	.DB  0x83,0x99,0x90,0x71,0x63,0x78,0x97,0x9A
	.DB  0x7C,0x61,0x6B,0x90,0xA1,0x88,0x63,0x61
	.DB  0x84,0xA3,0x97,0x6D,0x58,0x74,0xA0,0xA4
	.DB  0x7A,0x56,0x64,0x96,0xAD,0x8C,0x5B,0x57
	.DB  0x86,0xAE,0x9E,0x67,0x4D,0x72,0xA8,0xAD
	.DB  0x7A,0x4C,0x5E,0x9B,0xB7,0x8E,0x52,0x4D
	.DB  0x87,0xB8,0xA4,0x61,0x43,0x70,0xB1,0xB7
	.DB  0x78,0x42,0x58,0xA0,0xC1,0x91,0x4B,0x45
	.DB  0x88,0xC2,0xAA,0x5D,0x39,0x6D,0xB8,0xBE
	.DB  0x76,0x38,0x52,0xA4,0xCB,0x94,0x44,0x3D
	.DB  0x89,0xCB,0xB0,0x58,0x31,0x6A,0xBF,0xC7
	.DB  0x76,0x30,0x4D,0xA8,0xD4,0x97,0x3C,0x35
	.DB  0x8A,0xD2,0xB5,0x55,0x28,0x68,0xC6,0xCE
	.DB  0x75,0x29,0x47,0xAD,0xDB,0x98,0x36,0x2E
	.DB  0x8C,0xDA,0xBA,0x51,0x21,0x66,0xCB,0xD4
	.DB  0x74,0x21,0x43,0xB0,0xE2,0x9B,0x30,0x29
	.DB  0x8D,0xE1,0xBE,0x4E,0x1A,0x64,0xD0,0xD9
	.DB  0x74,0x1C,0x3F,0xB4,0xE8,0x9C,0x2D,0x24
	.DB  0x8C,0xE6,0xC2,0x4B,0x15,0x62,0xD4,0xDE
	.DB  0x73,0x17,0x3C,0xB5,0xED,0x9D,0x29,0x1F
	.DB  0x8D,0xEA,0xC3,0x49,0x11,0x61,0xD8,0xE1
	.DB  0x72,0x14,0x3A,0xB7,0xF0,0x9E,0x26,0x1C
	.DB  0x8D,0xED,0xC7,0x47,0xE,0x61,0xDA,0xE3
	.DB  0x72,0x10,0x38,0xB9,0xF3,0x9F,0x24,0x1A
	.DB  0x8E,0xEF,0xC7,0x46,0xB,0x60,0xDB,0xE5
	.DB  0x71,0xE,0x37,0xB9,0xF4,0x9E,0x23,0x19
	.DB  0x8E,0xF1,0xC8,0x45,0xA,0x60,0xDC,0xE6
	.DB  0x72,0xF,0x37,0xBA,0xF3,0x9F,0x23,0x1A
	.DB  0x8D,0xF1,0xC8,0x46,0xB,0x60,0xDB,0xE5
	.DB  0x71,0xF,0x38,0xB9,0xF4,0x9F,0x23,0x1A
	.DB  0x8E,0xEF,0xC7,0x47,0xD,0x61,0xDA,0xE3
	.DB  0x71,0x10,0x39,0xB8,0xF1,0x9E,0x26,0x1C
	.DB  0x8E,0xEC,0xC5,0x47,0xF,0x61,0xD8,0xE1
	.DB  0x71,0x14,0x3B,0xB6,0xEE,0x9C,0x28,0x1F
	.DB  0x8D,0xE9,0xC3,0x49,0x13,0x63,0xD5,0xDE
	.DB  0x73,0x18,0x3E,0xB4,0xEA,0x9C,0x2C,0x23
	.DB  0x8C,0xE5,0xC0,0x4C,0x18,0x64,0xD1,0xD9
	.DB  0x73,0x1D,0x41,0xB1,0xE4,0x9B,0x30,0x28
	.DB  0x8C,0xDF,0xBC,0x4F,0x1D,0x65,0xCC,0xD4
	.DB  0x74,0x23,0x45,0xAE,0xDD,0x98,0x35,0x2E
	.DB  0x8A,0xD8,0xB8,0x52,0x24,0x67,0xC7,0xCD
	.DB  0x74,0x2A,0x49,0xAA,0xD6,0x97,0x3B,0x35
	.DB  0x8A,0xD1,0xB3,0x56,0x2D,0x69,0xC0,0xC7
	.DB  0x76,0x32,0x4E,0xA6,0xCE,0x95,0x43,0x3C
	.DB  0x89,0xC9,0xAE,0x5B,0x36,0x6C,0xBA,0xBF
	.DB  0x76,0x3B,0x54,0xA2,0xC6,0x92,0x49,0x44
	.DB  0x87,0xC0,0xA9,0x5F,0x3F,0x6E,0xB1,0xB7
	.DB  0x78,0x44,0x5A,0x9D,0xBB,0x90,0x51,0x4D
	.DB  0x87,0xB7,0xA2,0x65,0x49,0x71,0xAA,0xAE
	.DB  0x79,0x4E,0x60,0x98,0xB1,0x8D,0x59,0x56
	.DB  0x85,0xAC,0x9B,0x6A,0x54,0x73,0xA1,0xA4
	.DB  0x7B,0x58,0x67,0x93,0xA6,0x8A,0x62,0x60
	.DB  0x84,0xA1,0x95,0x6F,0x5E,0x76,0x98,0x9B
	.DB  0x7C,0x64,0x6E,0x8D,0x9B,0x87,0x6B,0x69
	.DB  0x82,0x96,0x8E,0x75,0x6A,0x79,0x90,0x90
	.DB  0x7D,0x6E,0x75,0x88,0x8F,0x84,0x76,0x74
	.DB  0x7D,0x8A,0x89,0x7F,0x75,0x79,0x83,0x87
	.DB  0x82,0x7B,0x7A,0x80,0x83,0x81,0x7E,0x7D
	.DB  0x7F,0x80,0x7F,0x7F,0x81,0x81,0x7D,0x7C
	.DB  0x7E,0x83,0x85,0x7F,0x78,0x7A,0x84,0x8A
	.DB  0x82,0x77,0x74,0x80,0x8D,0x89,0x79,0x70
	.DB  0x7A,0x8D,0x90,0x7D,0x6D,0x72,0x89,0x95
	.DB  0x85,0x6E,0x6A,0x82,0x98,0x90,0x72,0x64
	.DB  0x77,0x95,0x9A,0x7C,0x62,0x6B,0x8F,0xA1
	.DB  0x8A,0x65,0x60,0x83,0xA3,0x97,0x6E,0x59
	.DB  0x73,0x9E,0xA4,0x7C,0x58,0x64,0x94,0xAC
	.DB  0x8D,0x5C,0x56,0x83,0xAC,0x9F,0x69,0x4D
	.DB  0x70,0xA7,0xAD,0x7B,0x4D,0x5D,0x99,0xB7
	.DB  0x90,0x54,0x4E,0x85,0xB7,0xA5,0x64,0x44
	.DB  0x6D,0xAE,0xB7,0x7A,0x43,0x56,0x9D,0xC0
	.DB  0x93,0x4D,0x44,0x86,0xC1,0xAB,0x5F,0x3A
	.DB  0x6B,0xB6,0xBF,0x79,0x3A,0x50,0xA2,0xCA
	.DB  0x97,0x46,0x3C,0x86,0xCA,0xB2,0x5B,0x31
	.DB  0x67,0xBD,0xC7,0x78,0x32,0x4B,0xA6,0xD3
	.DB  0x99,0x3F,0x34,0x87,0xD2,0xB7,0x58,0x29
	.DB  0x65,0xC3,0xCF,0x78,0x29,0x45,0xAA,0xDA
	.DB  0x9B,0x38,0x2D,0x88,0xD9,0xBC,0x54,0x21
	.DB  0x63,0xC9,0xD5,0x77,0x23,0x41,0xAD,0xE1
	.DB  0x9D,0x34,0x26,0x89,0xDF,0xC1,0x50,0x1A
	.DB  0x61,0xCE,0xDA,0x76,0x1E,0x3D,0xB0,0xE8
	.DB  0x9F,0x30,0x22,0x89,0xE5,0xC4,0x4E,0x15
	.DB  0x60,0xD2,0xDF,0x76,0x18,0x39,0xB2,0xEC
	.DB  0xA0,0x2B,0x1E,0x89,0xE9,0xC7,0x4C,0x11
	.DB  0x5E,0xD5,0xE3,0x75,0x14,0x37,0xB4,0xF0
	.DB  0xA2,0x29,0x1B,0x89,0xEB,0xC8,0x4A,0xD
	.DB  0x5D,0xD7,0xE5,0x75,0x12,0x35,0xB5,0xF3
	.DB  0xA2,0x27,0x19,0x8A,0xEF,0xCA,0x49,0xB
	.DB  0x5C,0xD9,0xE8,0x75,0x10,0x34,0xB6,0xF5
	.DB  0xA3,0x26,0x16,0x89,0xEF,0xCB,0x4A,0xA
	.DB  0x5C,0xDA,0xE8,0x75,0xF,0x33,0xB6,0xF5
	.DB  0xA2,0x25,0x17,0x8A,0xF0,0xCB,0x49,0xA
	.DB  0x5C,0xDA,0xE7,0x75,0x10,0x34,0xB6,0xF4
	.DB  0xA3,0x26,0x18,0x89,0xEE,0xCA,0x4A,0xB
	.DB  0x5D,0xD8,0xE6,0x75,0x11,0x36,0xB5,0xF2
	.DB  0xA2,0x28,0x19,0x89,0xED,0xC9,0x4B,0xF
	.DB  0x5D,0xD6,0xE4,0x76,0x15,0x38,0xB3,0xEF
	.DB  0xA1,0x2A,0x1E,0x89,0xE8,0xC6,0x4D,0x12
	.DB  0x5F,0xD3,0xE0,0x76,0x18,0x3B,0xB1,0xEA
	.DB  0x9F,0x2D,0x21,0x89,0xE4,0xC3,0x4F,0x17
	.DB  0x60,0xD0,0xDB,0x76,0x1E,0x3E,0xAE,0xE5
	.DB  0x9E,0x32,0x26,0x88,0xDF,0xC0,0x52,0x1E
	.DB  0x62,0xCB,0xD6,0x77,0x24,0x41,0xAC,0xDF
	.DB  0x9D,0x38,0x2C,0x88,0xD9,0xBB,0x54,0x23
	.DB  0x63,0xC5,0xCF,0x77,0x2A,0x46,0xA8,0xD7
	.DB  0x9A,0x3D,0x33,0x87,0xD1,0xB6,0x59,0x2C
	.DB  0x66,0xBF,0xC9,0x78,0x32,0x4B,0xA4,0xCF
	.DB  0x98,0x44,0x3A,0x87,0xC9,0xB1,0x5C,0x34
	.DB  0x69,0xB9,0xC1,0x79,0x3B,0x51,0xA1,0xC5
	.DB  0x95,0x4B,0x42,0x85,0xC0,0xAA,0x60,0x3E
	.DB  0x6C,0xB1,0xB8,0x7A,0x43,0x58,0x9C,0xBC
	.DB  0x92,0x51,0x4B,0x84,0xB7,0xA4,0x66,0x48
	.DB  0x6F,0xAA,0xB0,0x7B,0x4D,0x5E,0x97,0xB2
	.DB  0x8F,0x59,0x55,0x84,0xAD,0x9D,0x6A,0x53
	.DB  0x73,0xA1,0xA6,0x7C,0x58,0x65,0x92,0xA7
	.DB  0x8B,0x62,0x5E,0x82,0xA2,0x96,0x70,0x5E
	.DB  0x76,0x98,0x9C,0x7D,0x63,0x6C,0x8C,0x9C
	.DB  0x87,0x6B,0x68,0x82,0x97,0x8F,0x75,0x69
	.DB  0x79,0x90,0x92,0x7E,0x6E,0x73,0x87,0x90
	.DB  0x84,0x74,0x72,0x81,0x8C,0x88,0x7A,0x74
	.DB  0x7C,0x86,0x87,0x7F,0x79,0x7C,0x82,0x84
	.DB  0x81,0x7F,0x80,0x7F,0x7F,0x81,0x80,0x80
	.DB  0x81,0x81,0x81,0x81,0x81,0x81,0x81,0x81
	.DB  0x81,0x81,0x81,0x81,0x81,0x81,0x81,0x81
	.DB  0x81,0x81,0x81,0x81,0x81,0x81,0x81,0x81
	.DB  0x81,0x81,0x81,0x81,0x81,0x81,0x81,0x81
	.DB  0x81,0x81,0x81,0x81,0x81,0x81,0x81,0x81
	.DB  0x81,0x81,0x81,0x81,0x81,0x81,0x81,0x81
	.DB  0x81,0x81,0x81,0x81,0x81,0x81,0x81,0x81
	.DB  0x81,0x81,0x81,0x81,0x81,0x81,0x81,0x80
	.DB  0x81,0x81,0x81,0x81,0x80,0x81,0x81,0x81
	.DB  0x81,0x80,0x80,0x81,0x81,0x81,0x80,0x80
	.DB  0x81,0x81,0x81,0x80,0x80,0x80,0x81,0x81
	.DB  0x81,0x80,0x80,0x81,0x81,0x81,0x80,0x80
	.DB  0x80,0x81,0x81,0x80,0x80,0x80,0x81,0x81
	.DB  0x80,0x80,0x80,0x80,0x81,0x81,0x80,0x80
	.DB  0x80,0x81,0x81,0x80,0x80,0x80,0x81,0x81
	.DB  0x80,0x80,0x80,0x80,0x81,0x80,0x80,0x80
	.DB  0x80,0x81,0x81,0x80,0x80,0x80,0x81,0x81
	.DB  0x80,0x80,0x80,0x80,0x81,0x80,0x80,0x80
	.DB  0x80,0x81,0x80,0x80,0x80,0x80,0x80,0x81
	.DB  0x80,0x80,0x80,0x80,0x81,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x7F,0x80,0x80,0x7F
	.DB  0x7F,0x80,0x80,0x7F,0x80,0x80,0x7F,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x7F,0x7F,0x80,0x7F,0x7F,0x80
	.DB  0x80,0x7F,0x80,0x80,0x80,0x80,0x7F,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x7F,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x7F,0x80,0x80,0x80,0x7F,0x80
	.DB  0x80,0x7F,0x80,0x7F,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x7F,0x80,0x80,0x80
	.DB  0x80,0x7F,0x80,0x7F,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x7F,0x80
	.DB  0x7F,0x80,0x80,0x80,0x7F,0x80,0x80,0x7F
	.DB  0x80,0x7F,0x80,0x80,0x80,0x80,0x7F,0x80
	.DB  0x80,0x80,0x80,0x7F,0x80,0x80,0x80,0x7F
	.DB  0x80,0x7F,0x7F,0x80,0x80,0x80,0x80,0x80
	.DB  0x7F,0x80,0x80,0x80,0x7F,0x80,0x80,0x80
	.DB  0x80,0x7F,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x7F,0x80,0x80,0x80,0x80,0x7F,0x80,0x80
	.DB  0x80,0x80,0x80,0x7F,0x7F,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x7F,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x7F,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x7F,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x7F,0x80,0x7F,0x80,0x7F,0x7F,0x7F
	.DB  0x80,0x7F,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x7F,0x80,0x7F,0x80,0x7F
	.DB  0x80,0x80,0x7F,0x80,0x80,0x7F,0x80,0x80
	.DB  0x80,0x7F,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x7F,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x7F,0x80,0x80
	.DB  0x7F,0x80,0x80,0x80,0x80,0x80,0x80,0x7F
	.DB  0x7F,0x80,0x80,0x80,0x7F,0x80,0x80,0x7F
	.DB  0x80,0x80,0x7F,0x80,0x7F,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x7F,0x80,0x80,0x7F,0x80,0x7F,0x80,0x80
	.DB  0x80,0x7F,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x7F,0x80,0x80,0x80,0x7F,0x80
	.DB  0x7F,0x7F,0x80,0x80,0x7F,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x7F,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x7F,0x7F,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x7F,0x80,0x7F
	.DB  0x80,0x7F,0x80,0x7F,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x7F,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x7F,0x80,0x7F,0x80,0x80,0x80
	.DB  0x80,0x7F,0x7F,0x80,0x7F,0x80,0x80,0x80
	.DB  0x7F,0x80,0x80,0x80,0x80,0x80,0x7F,0x80
	.DB  0x80,0x80,0x80,0x80,0x7F,0x80,0x7F,0x80
	.DB  0x80,0x80,0x7F,0x80,0x7F,0x80,0x80,0x80
	.DB  0x7F,0x80,0x80,0x80,0x7F,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x7F,0x80,0x7F,0x80,0x7F,0x80,0x7F
	.DB  0x80,0x7F,0x80,0x7F,0x80,0x7F,0x80,0x7F
	.DB  0x80,0x7F,0x80,0x7F,0x80,0x7F,0x80,0x7F
	.DB  0x80,0x7F,0x80,0x7F,0x80,0x7F,0x80,0x7F
	.DB  0x80,0x7F,0x80,0x7F,0x80,0x7F,0x80,0x7F
	.DB  0x80,0x7F,0x80,0x7F,0x80,0x7F,0x80,0x7F
	.DB  0x80,0x7F,0x80,0x7F,0x80,0x7F,0x80,0x7F
	.DB  0x80,0x7F,0x80,0x7F,0x80,0x7F,0x80,0x7F
	.DB  0x80,0x7F,0x80,0x7F,0x80,0x7F,0x80,0x80
	.DB  0x7F,0x80,0x7F,0x80,0x7F,0x80,0x7F,0x7F
	.DB  0x7E,0x75,0x57,0x60,0x91,0xAC,0x8F,0x5C
	.DB  0x54,0x7F,0xAC,0x9F,0x6B,0x4C,0x6C,0xA4
	.DB  0xAE,0x7E,0x4D,0x59,0x96,0xB6,0x92,0x55
	.DB  0x4A,0x80,0xB5,0xA7,0x66,0x41,0x68,0xAB
	.DB  0xB8,0x7D,0x43,0x51,0x99,0xC1,0x96,0x4F
	.DB  0x40,0x7F,0xBF,0xAF,0x62,0x38,0x65,0xB2
	.DB  0xC1,0x7D,0x39,0x4A,0x9C,0xCB,0x9B,0x46
	.DB  0x38,0x80,0xC7,0xB5,0x5F,0x2F,0x61,0xB9
	.DB  0xC8,0x7D,0x33,0x44,0xA0,0xD2,0x9D,0x41
	.DB  0x30,0x80,0xCF,0xBB,0x5C,0x26,0x5E,0xBF
	.DB  0xD1,0x7D,0x2A,0x3F,0xA3,0xDB,0xA0,0x3C
	.DB  0x29,0x81,0xD6,0xC1,0x58,0x1F,0x5C,0xC4
	.DB  0xD7,0x7C,0x24,0x3B,0xA6,0xE1,0xA3,0x36
	.DB  0x23,0x81,0xDD,0xC5,0x55,0x19,0x59,0xC8
	.DB  0xDD,0x7C,0x1E,0x37,0xA9,0xE8,0xA5,0x33
	.DB  0x1E,0x81,0xE2,0xC8,0x54,0x13,0x57,0xCC
	.DB  0xE2,0x7D,0x19,0x34,0xAB,0xEC,0xA6,0x2F
	.DB  0x1A,0x81,0xE6,0xCB,0x52,0x10,0x56,0xD0
	.DB  0xE6,0x7C,0x15,0x31,0xAC,0xF0,0xA8,0x2C
	.DB  0x16,0x81,0xE9,0xCE,0x51,0xC,0x55,0xD2
	.DB  0xE8,0x7D,0x13,0x2F,0xAD,0xF3,0xA9,0x2B
	.DB  0x14,0x81,0xEB,0xD0,0x50,0x9,0x54,0xD3
	.DB  0xEA,0x7C,0x12,0x2E,0xAE,0xF4,0xA9,0x2A
	.DB  0x13,0x81,0xED,0xD1,0x4F,0x9,0x54,0xD4
	.DB  0xEB,0x7D,0x12,0x2D,0xAE,0xF4,0xAA,0x2A
	.DB  0x13,0x82,0xEC,0xD0,0x4F,0x9,0x54,0xD3
	.DB  0xEA,0x7D,0x11,0x2E,0xAE,0xF4,0xA9,0x2B
	.DB  0x14,0x82,0xEB,0xCF,0x51,0xB,0x55,0xD2
	.DB  0xE8,0x7C,0x14,0x30,0xAD,0xF2,0xA9,0x2C
	.DB  0x17,0x82,0xE9,0xCD,0x52,0xE,0x56,0xD0
	.DB  0xE6,0x7D,0x17,0x31,0xAC,0xEE,0xA7,0x2F
	.DB  0x19,0x81,0xE5,0xCB,0x53,0x12,0x57,0xCE
	.DB  0xE2,0x7C,0x1B,0x35,0xAA,0xEA,0xA6,0x32
	.DB  0x1D,0x81,0xE1,0xC8,0x55,0x16,0x59,0xCB
	.DB  0xDE,0x7D,0x1F,0x38,0xA8,0xE5,0xA4,0x36
	.DB  0x23,0x80,0xDB,0xC4,0x57,0x1D,0x5B,0xC5
	.DB  0xD8,0x7D,0x26,0x3C,0xA5,0xDE,0xA2,0x3B
	.DB  0x29,0x81,0xD5,0xBF,0x5A,0x23,0x5E,0xC0
	.DB  0xD2,0x7D,0x2C,0x42,0xA3,0xD7,0x9F,0x41
	.DB  0x30,0x81,0xCE,0xB9,0x5E,0x2C,0x61,0xBB
	.DB  0xCA,0x7D,0x34,0x48,0xA0,0xCF,0x9C,0x46
	.DB  0x39,0x81,0xC6,0xB4,0x61,0x35,0x65,0xB5
	.DB  0xC2,0x7E,0x3C,0x4E,0x9C,0xC6,0x99,0x4D
	.DB  0x41,0x80,0xBD,0xAD,0x65,0x3E,0x68,0xAD
	.DB  0xB9,0x7E,0x46,0x55,0x98,0xBB,0x95,0x54
	.DB  0x4A,0x81,0xB5,0xA6,0x69,0x48,0x6B,0xA6
	.DB  0xB0,0x7F,0x4F,0x5C,0x94,0xB0,0x91,0x5C
	.DB  0x53,0x81,0xAB,0x9F,0x6D,0x53,0x6F,0x9E
	.DB  0xA6,0x7F,0x5A,0x64,0x90,0xA6,0x8D,0x64
	.DB  0x5E,0x80,0xA0,0x97,0x72,0x5E,0x74,0x96
	.DB  0x9C,0x7F,0x64,0x6B,0x8A,0x9B,0x89,0x6D
	.DB  0x68,0x7F,0x95,0x8F,0x77,0x6A,0x77,0x8E
	.DB  0x91,0x7F,0x6E,0x74,0x86,0x8F,0x85,0x76
	.DB  0x74,0x7F,0x8A,0x88,0x7B,0x75,0x7C,0x86
	.DB  0x87,0x80,0x7A,0x7C,0x82,0x83,0x81,0x7E
	.DB  0x7D,0x7F,0x80,0x7F,0x80,0x82,0x81,0x7D
	.DB  0x7C,0x80,0x85,0x84,0x7C,0x78,0x7C,0x86
	.DB  0x88,0x7F,0x75,0x76,0x84,0x8D,0x85,0x75
	.DB  0x71,0x81,0x8F,0x8C,0x78,0x6C,0x78,0x8F
	.DB  0x94,0x7F,0x6A,0x6E,0x89,0x99,0x88,0x6C
	.DB  0x66,0x80,0x9B,0x93,0x73,0x60,0x74,0x97
	.DB  0x9E,0x7F,0x5F,0x67,0x8F,0xA4,0x8D,0x64
	.DB  0x5C,0x81,0xA6,0x9C,0x6F,0x55,0x70,0x9F
	.DB  0xA8,0x7E,0x55,0x5F,0x92,0xAF,0x91,0x5D
	.DB  0x52,0x81,0xAF,0xA4,0x6B,0x4B,0x6C,0xA7
	.DB  0xB1,0x7E,0x4B,0x58,0x96,0xB9,0x95,0x54
	.DB  0x49,0x81,0xB9,0xAA,0x66,0x40,0x69,0xAE
	.DB  0xBB,0x7E,0x41,0x51,0x9B,0xC3,0x99,0x4E
	.DB  0x40,0x81,0xC2,0xB2,0x62,0x36,0x65,0xB5
	.DB  0xC4,0x7E,0x38,0x4B,0x9F,0xCD,0x9B,0x47
	.DB  0x37,0x81,0xCB,0xB7,0x5F,0x2E,0x61,0xBB
	.DB  0xCC,0x7D,0x31,0x45,0xA2,0xD6,0x9F,0x40
	.DB  0x2F,0x81,0xD2,0xBD,0x5B,0x26,0x5E,0xC1
	.DB  0xD4,0x7D,0x2A,0x40,0xA6,0xDD,0xA1,0x3B
	.DB  0x29,0x81,0xD8,0xC1,0x58,0x1E,0x5C,0xC7
	.DB  0xDA,0x7E,0x24,0x3B,0xA8,0xE4,0xA4,0x37
	.DB  0x23,0x82,0xDF,0xC6,0x56,0x18,0x5A,0xCB
	.DB  0xDF,0x7D,0x1E,0x36,0xAA,0xE9,0xA6,0x33
	.DB  0x1E,0x81,0xE4,0xCA,0x54,0x13,0x58,0xCE
	.DB  0xE4,0x7D,0x19,0x33,0xAC,0xEE,0xA8,0x2F
	.DB  0x19,0x81,0xE8,0xCD,0x52,0xF,0x57,0xD1
	.DB  0xE8,0x7D,0x17,0x2D,0x96,0xF0,0xBE,0x40
	.DB  0x8,0x52,0xD0,0xEA,0x81,0x16,0x2C,0xAA
	.DB  0xF3,0xAD,0x2F,0x14,0x7E,0xEB,0xD3,0x55
	.DB  0xB,0x51,0xD1,0xEC,0x81,0x14,0x2B,0xAB
	.DB  0xF5,0xAE,0x2E,0x12,0x7F,0xEB,0xD4,0x54
	.DB  0xA,0x51,0xD2,0xED,0x81,0x13,0x2B,0xAB
	.DB  0xF5,0xAE,0x2E,0x12,0x7E,0xEC,0xD4,0x54
	.DB  0xB,0x51,0xD1,0xEC,0x82,0x14,0x2B,0xAB
	.DB  0xF4,0xAE,0x2E,0x13,0x7E,0xEA,0xD3,0x55
	.DB  0xB,0x52,0xD1,0xEB,0x81,0x15,0x2D,0xAA
	.DB  0xF3,0xAD,0x2F,0x16,0x7E,0xE9,0xD1,0x56
	.DB  0xF,0x53,0xCE,0xE8,0x81,0x19,0x2F,0xA9
	.DB  0xEF,0xAB,0x33,0x19,0x7E,0xE5,0xCF,0x57
	.DB  0x13,0x54,0xCB,0xE5,0x81,0x1C,0x32,0xA7
	.DB  0xEB,0xAA,0x35,0x1D,0x7E,0xE0,0xCB,0x59
	.DB  0x17,0x56,0xC8,0xE0,0x81,0x21,0x36,0xA5
	.DB  0xE5,0xA8,0x39,0x22,0x7E,0xDB,0xC7,0x5B
	.DB  0x1D,0x59,0xC3,0xDA,0x81,0x27,0x3B,0xA3
	.DB  0xDF,0xA5,0x3E,0x28,0x7E,0xD6,0xC3,0x5D
	.DB  0x23,0x5B,0xBF,0xD3,0x81,0x2D,0x3F,0xA0
	.DB  0xD8,0xA2,0x43,0x2F,0x7E,0xCD,0xBD,0x61
	.DB  0x2C,0x5E,0xB9,0xCC,0x81,0x35,0x45,0x9D
	.DB  0xD0,0x9F,0x49,0x37,0x7E,0xC7,0xB7,0x63
	.DB  0x34,0x61,0xB4,0xC5,0x81,0x3D,0x4C,0x9A
	.DB  0xC6,0x9B,0x4F,0x3F,0x7E,0xBD,0xAF,0x67
	.DB  0x3D,0x66,0xAC,0xBB,0x81,0x46,0x53,0x96
	.DB  0xBC,0x97,0x56,0x49,0x7F,0xB5,0xA9,0x6C
	.DB  0x48,0x69,0xA5,0xB2,0x81,0x4F,0x5A,0x92
	.DB  0xB1,0x93,0x5D,0x53,0x7F,0xAB,0xA1,0x6F
	.DB  0x53,0x6E,0x9F,0xA7,0x80,0x59,0x62,0x8E
	.DB  0xA7,0x8F,0x65,0x5D,0x7E,0xA0,0x98,0x73
	.DB  0x5D,0x72,0x96,0x9D,0x80,0x64,0x6A,0x8A
	.DB  0x9C,0x8A,0x6C,0x67,0x7F,0x96,0x91,0x77
	.DB  0x69,0x77,0x8E,0x93,0x80,0x6F,0x72,0x86
	.DB  0x90,0x86,0x75,0x72,0x7F,0x8C,0x88,0x7B
	.DB  0x74,0x7B,0x86,0x88,0x80,0x79,0x7B,0x81
	.DB  0x84,0x81,0x7D,0x7C,0x80,0x81,0x80,0x80
	.DB  0x80,0x80,0x7D,0x7D,0x80,0x84,0x83,0x7D
	.DB  0x79,0x7D,0x86,0x88,0x7F,0x76,0x78,0x84
	.DB  0x8D,0x85,0x76,0x71,0x7F,0x8F,0x8C,0x78
	.DB  0x6C,0x78,0x8E,0x93,0x80,0x6B,0x70,0x88
	.DB  0x99,0x8A,0x6E,0x67,0x7F,0x99,0x94,0x75
	.DB  0x61,0x74,0x96,0x9E,0x80,0x60,0x68,0x8C
	.DB  0xA2,0x8E,0x65,0x5C,0x80,0xA4,0x9D,0x71
	.DB  0x56,0x70,0x9E,0xA9,0x81,0x57,0x5F,0x91
	.DB  0xAE,0x92,0x5E,0x52,0x80,0xAE,0xA4,0x6D
	.DB  0x4C,0x6B,0xA5,0xB2,0x80,0x4D,0x57,0x94
	.DB  0xB9,0x96,0x57,0x49,0x7F,0xB7,0xAB,0x69
	.DB  0x41,0x67,0xAC,0xBC,0x80,0x43,0x50,0x99
	.DB  0xC3,0x9A,0x4F,0x40,0x7F,0xC0,0xB2,0x65
	.DB  0x37,0x63,0xB3,0xC4,0x80,0x3A,0x49,0x9C
	.DB  0xCC,0x9D,0x49,0x37,0x7F,0xC8,0xB9,0x61
	.DB  0x2E,0x5F,0xB9,0xCD,0x81,0x33,0x44,0x9F
	.DB  0xD5,0xA2,0x44,0x2F,0x7F,0xD0,0xBF,0x5F
	.DB  0x27,0x5C,0xBF,0xD4,0x80,0x2B,0x3E,0xA2
	.DB  0xDC,0xA4,0x3D,0x28,0x7F,0xD7,0xC4,0x5C
	.DB  0x1F,0x59,0xC3,0xDA,0x80,0x25,0x39,0xA5
	.DB  0xE3,0xA7,0x3A,0x22,0x7F,0xDD,0xC9,0x5A
	.DB  0x18,0x57,0xC8,0xE1,0x81,0x20,0x34,0xA6
	.DB  0xE9,0xA9,0x35,0x1D,0x7E,0xE2,0xCD,0x58
	.DB  0x14,0x54,0xCC,0xE5,0x81,0x1B,0x30,0xA8
	.DB  0xEE,0xAB,0x33,0x18,0x7E,0xE6,0xD0,0x57
	.DB  0x10,0x53,0xCF,0xE9,0x80,0x18,0x2F,0xAA
	.DB  0xF2,0xAD,0x30,0x15,0x7F,0xE9,0xD2,0x55
	.DB  0xC,0x52,0xD1,0xEB,0x81,0x15,0x2C,0xAA
	.DB  0xF3,0xAE,0x2E,0x14,0x7E,0xEA,0xD3,0x55
	.DB  0xB,0x52,0xD2,0xEC,0x81,0x14,0x2C,0xAB
	.DB  0xF4,0xAE,0x2E,0x12,0x7E,0xEC,0xD4,0x54
	.DB  0xA,0x51,0xD2,0xED,0x81,0x14,0x2C,0xAB
	.DB  0xF5,0xAE,0x2D,0x12,0x7E,0xEB,0xD3,0x54
	.DB  0xA,0x52,0xD1,0xEC,0x82,0x14,0x2C,0xAB
	.DB  0xF4,0xAD,0x2E,0x14,0x7E,0xEA,0xD3,0x55
	.DB  0xD,0x52,0xD0,0xEA,0x81,0x16,0x2D,0xAA
	.DB  0xF2,0xAD,0x2F,0x16,0x7E,0xE7,0xD0,0x56
	.DB  0xF,0x53,0xCE,0xE8,0x81,0x19,0x30,0xA8
	.DB  0xEE,0xAB,0x32,0x19,0x7E,0xE4,0xCD,0x57
	.DB  0x13,0x55,0xCB,0xE4,0x81,0x1D,0x33,0xA7
	.DB  0xEA,0xA9,0x36,0x1E,0x7E,0xDF,0xCA,0x5A
	.DB  0x18,0x57,0xC7,0xDE,0x81,0x22,0x37,0xA5
	.DB  0xE4,0xA7,0x3A,0x23,0x7E,0xDA,0xC6,0x5B
	.DB  0x1E,0x59,0xC2,0xD8,0x81,0x28,0x3C,0xA2
	.DB  0xDD,0xA5,0x3F,0x2A,0x7F,0xD4,0xC1,0x5E
	.DB  0x26,0x5D,0xBE,0xD2,0x80,0x2F,0x41,0x9F
	.DB  0xD6,0xA1,0x44,0x31,0x7E,0xCC,0xBB,0x61
	.DB  0x2E,0x5F,0xB8,0xCA,0x81,0x37,0x47,0x9D
	.DB  0xCD,0x9E,0x4A,0x39,0x7F,0xC4,0xB5,0x64
	.DB  0x37,0x63,0xB1,0xC2,0x80,0x3F,0x4E,0x99
	.DB  0xC5,0x9A,0x50,0x42,0x7F,0xBC,0xAD,0x67
	.DB  0x40,0x67,0xAB,0xB9,0x80,0x48,0x55,0x95
	.DB  0xB9,0x96,0x58,0x4B,0x7E,0xB2,0xA7,0x6C
	.DB  0x4B,0x6B,0xA4,0xAF,0x80,0x51,0x5C,0x91
	.DB  0xAF,0x92,0x5F,0x54,0x7F,0xA9,0x9F,0x70
	.DB  0x55,0x6F,0x9C,0xA5,0x80,0x5C,0x64,0x8D
	.DB  0xA4,0x8E,0x67,0x5C,0x77,0x9A,0x9C,0x7A
	.DB  0x60,0x69,0x89,0x9C,0x8C,0x6D,0x66,0x7E
	.DB  0x97,0x93,0x77,0x68,0x75,0x8E,0x94,0x81
	.DB  0x6E,0x71,0x85,0x92,0x87,0x75,0x71,0x7F
	.DB  0x8C,0x89,0x7B,0x74,0x7A,0x86,0x89,0x81
	.DB  0x79,0x7B,0x82,0x85,0x81,0x7C,0x7C,0x7F
	.DB  0x82,0x80,0x7E,0x80,0x80,0x7E,0x7E,0x7F
	.DB  0x82,0x83,0x7D,0x79,0x7C,0x84,0x87,0x80
	.DB  0x77,0x78,0x83,0x8A,0x84,0x77,0x73,0x80
	.DB  0x8D,0x8C,0x79,0x6E,0x77,0x8C,0x92,0x80
	.DB  0x6D,0x70,0x87,0x97,0x8A,0x6F,0x67,0x7E
	.DB  0x99,0x94,0x76,0x63,0x73,0x94,0x9C,0x81
	.DB  0x62,0x67,0x8C,0xA2,0x8F,0x67,0x5D,0x7E
	.DB  0xA2,0x9C,0x72,0x57,0x6E,0x9C,0xA8,0x81
	.DB  0x58,0x5E,0x8F,0xAD,0x93,0x5F,0x52,0x7D
	.DB  0xAC,0xA4,0x6E,0x4C,0x69,0xA3,0xB2,0x81
	.DB  0x4E,0x56,0x92,0xB8,0x98,0x58,0x48,0x7D
	.DB  0xB5,0xAC,0x6B,0x41,0x65,0xAA,0xBC,0x82
	.DB  0x44,0x4F,0x96,0xC2,0x9C,0x52,0x3F,0x7C
	.DB  0xBF,0xB3,0x67,0x38,0x60,0xB1,0xC4,0x83
	.DB  0x3D,0x48,0x9A,0xCC,0xA1,0x4C,0x36,0x7C
	.DB  0xC7,0xBA,0x65,0x30,0x5D,0xB7,0xCD,0x83
	.DB  0x34,0x42,0x9C,0xD4,0xA3,0x46,0x2E,0x7C
	.DB  0xCF,0xC0,0x61,0x27,0x5A,0xBB,0xD4,0x84
	.DB  0x2D,0x3B,0x9F,0xDC,0xA7,0x41,0x27,0x7B
	.DB  0xD5,0xC6,0x5F,0x1F,0x56,0xC0,0xDB,0x84
	.DB  0x27,0x37,0xA2,0xE3,0xAA,0x3C,0x20,0x7B
	.DB  0xDB,0xCA,0x5D,0x19,0x54,0xC5,0xE0,0x84
	.DB  0x21,0x32,0xA3,0xE8,0xAC,0x39,0x1C,0x7B
	.DB  0xE0,0xCE,0x5B,0x14,0x52,0xC8,0xE6,0x85
	.DB  0x1D,0x2F,0xA4,0xED,0xAF,0x35,0x18,0x7B
	.DB  0xE4,0xD2,0x5A,0xF,0x50,0xCB,0xEA,0x85
	.DB  0x19,0x2C,0xA6,0xF1,0xB0,0x32,0x14,0x7A
	.DB  0xE7,0xD4,0x58,0xC,0x4E,0xCD,0xEC,0x85
	.DB  0x17,0x2A,0xA7,0xF3,0xB1,0x31,0x12,0x7A
	.DB  0xEA,0xD6,0x58,0xA,0x4E,0xCF,0xEE,0x85
	.DB  0x16,0x29,0xA7,0xF5,0xB2,0x31,0x11,0x7A
	.DB  0xEA,0xD7,0x58,0x9,0x4D,0xCF,0xEE,0x85
	.DB  0x15,0x29,0xA7,0xF5,0xB2,0x30,0x11,0x7A
	.DB  0xE9,0xD7,0x58,0xA,0x4E,0xCE,0xEE,0x86
	.DB  0x15,0x29,0xA7,0xF4,0xB2,0x32,0x12,0x7A
	.DB  0xE8,0xD5,0x58,0xC,0x4E,0xCD,0xEC,0x85
	.DB  0x18,0x2A,0xA7,0xF2,0xB1,0x33,0x15,0x7A
	.DB  0xE6,0xD3,0x59,0xF,0x4F,0xCB,0xE9,0x84
	.DB  0x1A,0x2D,0xA6,0xEF,0xAF,0x35,0x18,0x7A
	.DB  0xE2,0xD0,0x5A,0x12,0x51,0xC9,0xE6,0x84
	.DB  0x1E,0x30,0xA4,0xE9,0xAD,0x39,0x1D,0x7B
	.DB  0xDE,0xCD,0x5C,0x18,0x53,0xC5,0xE0,0x85
	.DB  0x23,0x34,0xA2,0xE5,0xAB,0x3C,0x21,0x7A
	.DB  0xD9,0xC9,0x5E,0x1E,0x56,0xC1,0xDA,0x84
	.DB  0x29,0x39,0x9F,0xDE,0xA8,0x41,0x28,0x7B
	.DB  0xD3,0xC3,0x61,0x25,0x59,0xBB,0xD4,0x85
	.DB  0x30,0x3F,0x9D,0xD6,0xA5,0x46,0x2F,0x7C
	.DB  0xCC,0xBE,0x64,0x2D,0x5C,0xB6,0xCC,0x83
	.DB  0x37,0x44,0x9A,0xCE,0xA1,0x4B,0x37,0x7B
	.DB  0xC4,0xB7,0x66,0x35,0x60,0xB0,0xC3,0x83
	.DB  0x40,0x4B,0x96,0xC4,0x9E,0x52,0x40,0x7C
	.DB  0xBB,0xB0,0x6A,0x3F,0x64,0xAA,0xBA,0x82
	.DB  0x48,0x52,0x93,0xBB,0x99,0x59,0x4A,0x7D
	.DB  0xB2,0xA9,0x6D,0x4A,0x68,0xA3,0xB1,0x82
	.DB  0x51,0x5B,0x90,0xB1,0x95,0x60,0x54,0x7D
	.DB  0xA8,0xA1,0x71,0x54,0x6D,0x9C,0xA7,0x82
	.DB  0x5B,0x63,0x8C,0xA6,0x90,0x67,0x5E,0x7E
	.DB  0x9F,0x99,0x75,0x60,0x72,0x95,0x9C,0x81
	.DB  0x66,0x6B,0x89,0x9A,0x8B,0x6F,0x68,0x7E
	.DB  0x94,0x90,0x79,0x6B,0x78,0x8D,0x91,0x81
	.DB  0x70,0x73,0x81,0x80,0x7F,0x80,0x7F,0x80
	.DB  0x81,0x80,0x81,0x81,0x81,0x81,0x81,0x81
	.DB  0x81,0x81,0x81,0x81,0x81,0x81,0x81,0x81
	.DB  0x81,0x81,0x81,0x81,0x81,0x81,0x81,0x81
	.DB  0x81,0x81,0x81,0x81,0x81,0x81,0x81,0x81
	.DB  0x81,0x81,0x81,0x81,0x81,0x81,0x81,0x81
	.DB  0x81,0x81,0x81,0x81,0x81,0x81,0x81,0x81
	.DB  0x81,0x81,0x81,0x81,0x81,0x81,0x81,0x81
	.DB  0x81,0x81,0x81,0x81,0x81,0x81,0x81,0x81
	.DB  0x81,0x81,0x81,0x81,0x81,0x81,0x81,0x81
	.DB  0x81,0x81,0x81,0x81,0x81,0x81,0x81,0x81
	.DB  0x81,0x81,0x81,0x80,0x81,0x81,0x81,0x81
	.DB  0x80,0x81,0x81,0x81,0x81,0x80,0x80,0x81
	.DB  0x81,0x81,0x80,0x80,0x81,0x81,0x81,0x80
	.DB  0x80,0x80,0x81,0x81,0x81,0x80,0x80,0x81
	.DB  0x81,0x81,0x80,0x80,0x80,0x81,0x81,0x80
	.DB  0x80,0x80,0x81,0x81,0x80,0x80,0x80,0x80
	.DB  0x81,0x81,0x80,0x80,0x80,0x81,0x81,0x80
	.DB  0x80,0x80,0x81,0x81,0x80,0x80,0x80,0x80
	.DB  0x81,0x80,0x80,0x80,0x80,0x81,0x81,0x80
	.DB  0x80,0x80,0x80,0x81,0x80,0x80,0x80,0x80
	.DB  0x81,0x80,0x80,0x80,0x80,0x81,0x80,0x80
	.DB  0x80,0x80,0x80,0x81,0x80,0x80,0x80,0x80
	.DB  0x81,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x7F,0x80,0x80,0x80,0x7F,0x80,0x7F,0x7F
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x7F,0x80,0x80,0x80,0x7F,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x7F,0x80,0x7F,0x7F,0x7F,0x80
	.DB  0x80,0x80,0x7F,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x7F,0x7F,0x80,0x80,0x80,0x80,0x7F,0x7F
	.DB  0x80,0x7F,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x7F,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x7F,0x80,0x80
	.DB  0x80,0x80,0x7F,0x7F,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x7F,0x80,0x80,0x7F,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x7F,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x7F,0x7F,0x7F,0x7F
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x7F,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x7F,0x7F,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x7F,0x7F,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x7F,0x80,0x80,0x80
	.DB  0x7F,0x80,0x80,0x80,0x80,0x80,0x80,0x7F
	.DB  0x80,0x7F,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x7F,0x80,0x80,0x80,0x80,0x80,0x7F,0x80
	.DB  0x7F,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x7F,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x7F,0x80,0x80,0x80,0x7F,0x7F,0x7F
	.DB  0x80,0x80,0x7F,0x80,0x80,0x80,0x80,0x7F
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x7F,0x80
	.DB  0x80,0x80,0x80,0x7F,0x80,0x7F,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x7F,0x80,0x80,0x7F
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x7F,0x80,0x80
	.DB  0x80,0x7F,0x80,0x80,0x80,0x80,0x7F,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x7F,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x7F,0x7F,0x80,0x80
	.DB  0x80,0x7F,0x80,0x80,0x80,0x80,0x7F,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x7F,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x7F,0x80,0x80,0x80,0x7F
	.DB  0x80,0x80,0x7F,0x80,0x80,0x7F,0x80,0x7F
	.DB  0x80,0x7F,0x7F,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x7F,0x80,0x80,0x80,0x80,0x80
	.DB  0x7F,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
	.DB  0x80,0x80,0x80,0x80,0x7F,0x80,0x80,0x7F
	.DB  0x7F,0x80,0x80,0x80,0x7F,0x80,0x7F,0x80
	.DB  0x7F,0x80,0x7F,0x80,0x7F,0x80,0x7F,0x80
	.DB  0x7F,0x80,0x7F,0x80,0x7F,0x80,0x7F,0x80
	.DB  0x7F,0x80,0x7F,0x80,0x7F,0x80,0x7F,0x80
	.DB  0x7F,0x80,0x7F,0x80,0x7F,0x80,0x7F,0x80
	.DB  0x7F,0x80,0x7F,0x80,0x7F,0x80,0x7F,0x80
	.DB  0x7F,0x80,0x7F,0x80,0x7F,0x80,0x7F,0x80
	.DB  0x7F,0x80,0x7F,0x80,0x7F,0x80,0x80,0x80
	.DB  0x7F,0x80,0x80,0x80,0x80,0x7F,0x80,0x7F
	.DB  0x80,0x7F,0x80,0x7F,0x80,0x7F,0x80,0x7F
	.DB  0x80,0x7F,0x80,0x7F,0x80,0x7F,0x80,0x7F
	.DB  0x80,0x7F,0x80,0x7F,0x80,0x7F,0x80,0x7F
	.DB  0x80,0x7F,0x80,0x7F,0x80,0x7F,0x80,0x7F
	.DB  0x80,0x7F,0x80,0x7F,0x80,0x7F,0x80,0x7F
	.DB  0x80,0x7F,0x7F,0x7F,0x92,0x9A,0x76,0x5D
	.DB  0x6B,0x92,0xA1,0x85,0x5E,0x5F,0x87,0xA6
	.DB  0x95,0x68,0x56,0x77,0xA3,0xA3,0x75,0x52
	.DB  0x65,0x99,0xAC,0x87,0x55,0x56,0x89,0xB0
	.DB  0x9A,0x61,0x4B,0x75,0xAB,0xAB,0x73,0x47
	.DB  0x60,0x9F,0xB7,0x89,0x4D,0x4E,0x8B,0xBB
	.DB  0xA0,0x5A,0x41,0x73,0xB4,0xB4,0x70,0x3D
	.DB  0x5A,0xA4,0xC1,0x8B,0x45,0x45,0x8D,0xC3
	.DB  0xA5,0x56,0x37,0x71,0xBC,0xBB,0x6F,0x34
	.DB  0x55,0xAA,0xC9,0x8C,0x3D,0x3E,0x8E,0xCC
	.DB  0xAA,0x50,0x2E,0x6F,0xC4,0xC3,0x6D,0x2C
	.DB  0x50,0xAF,0xD2,0x8E,0x36,0x37,0x91,0xD4
	.DB  0xAF,0x4C,0x28,0x6E,0xCB,0xC9,0x6B,0x24
	.DB  0x4C,0xB3,0xD9,0x8F,0x2F,0x31,0x92,0xDC
	.DB  0xB3,0x48,0x20,0x6D,0xD1,0xD0,0x6A,0x1E
	.DB  0x48,0xB7,0xE0,0x90,0x2A,0x2B,0x94,0xE3
	.DB  0xB6,0x44,0x1A,0x6C,0xD6,0xD4,0x68,0x18
	.DB  0x46,0xBA,0xE6,0x92,0x25,0x27,0x95,0xE9
	.DB  0xB9,0x41,0x14,0x6B,0xDA,0xD9,0x67,0x13
	.DB  0x43,0xBD,0xEB,0x93,0x22,0x23,0x96,0xEC
	.DB  0xBC,0x40,0x11,0x6A,0xDE,0xDC,0x67,0xF
	.DB  0x41,0xBF,0xEF,0x94,0x1F,0x21,0x96,0xF0
	.DB  0xBE,0x3E,0xD,0x6A,0xE0,0xDE,0x66,0xD
	.DB  0x40,0xC0,0xF1,0x94,0x1D,0x1F,0x96,0xF1
	.DB  0xBE,0x3C,0xC,0x69,0xE1,0xDF,0x66,0xC
	.DB  0x3F,0xC1,0xF2,0x95,0x1C,0x1D,0x97,0xF2
	.DB  0xBF,0x3D,0xC,0x6A,0xE1,0xE0,0x67,0xB
	.DB  0x3E,0xC2,0xF2,0x94,0x1C,0x1E,0x97,0xF1
	.DB  0xBE,0x3C,0xB,0x6A,0xE1,0xDF,0x67,0xC
	.DB  0x40,0xC1,0xF1,0x94,0x1D,0x1F,0x97,0xF1
	.DB  0xBE,0x3D,0xE,0x6A,0xDF,0xDE,0x67,0xE
	.DB  0x40,0xC0,0xEF,0x94,0x1F,0x21,0x97,0xEE
	.DB  0xBC,0x3F,0x11,0x6A,0xDD,0xDC,0x68,0x11
	.DB  0x42,0xBE,0xEB,0x93,0x23,0x25,0x95,0xEA
	.DB  0xBB,0x42,0x14,0x6B,0xD9,0xD8,0x69,0x15
	.DB  0x44,0xBB,0xE7,0x92,0x26,0x28,0x94,0xE6
	.DB  0xB8,0x44,0x1A,0x6C,0xD5,0xD3,0x6A,0x1B
	.DB  0x48,0xB8,0xE2,0x91,0x2B,0x2D,0x93,0xE0
	.DB  0xB5,0x47,0x20,0x6E,0xCF,0xCE,0x6B,0x22
	.DB  0x4B,0xB4,0xDB,0x90,0x30,0x33,0x92,0xD9
	.DB  0xB0,0x4B,0x27,0x6F,0xCA,0xC8,0x6D,0x29
	.DB  0x50,0xB1,0xD3,0x8E,0x37,0x39,0x91,0xD2
	.DB  0xAD,0x51,0x2F,0x70,0xC2,0xC1,0x6F,0x31
	.DB  0x54,0xAC,0xCB,0x8D,0x3F,0x41,0x8F,0xC9
	.DB  0xA7,0x56,0x38,0x72,0xBB,0xBA,0x70,0x3A
	.DB  0x59,0xA7,0xC2,0x8B,0x47,0x48,0x8D,0xBF
	.DB  0xA2,0x5B,0x42,0x74,0xB3,0xB2,0x73,0x44
	.DB  0x5F,0xA0,0xB8,0x8A,0x4F,0x51,0x8B,0xB6
	.DB  0x9D,0x61,0x4B,0x75,0xAB,0xAA,0x75,0x4E
	.DB  0x64,0x9A,0xAD,0x88,0x58,0x59,0x88,0xAB
	.DB  0x97,0x66,0x55,0x78,0xA1,0xA1,0x77,0x59
	.DB  0x6B,0x94,0xA3,0x86,0x61,0x62,0x86,0xA0
	.DB  0x91,0x6E,0x60,0x7A,0x98,0x96,0x79,0x65
	.DB  0x71,0x8E,0x98,0x84,0x6B,0x6C,0x83,0x95
	.DB  0x8B,0x74,0x6C,0x7C,0x8E,0x8D,0x7B,0x70
	.DB  0x77,0x88,0x8D,0x81,0x75,0x76,0x81,0x8A
	.DB  0x84,0x7B,0x78,0x7E,0x85,0x84,0x7F,0x7C
	.DB  0x7E,0x81,0x82,0x7F,0x7E,0x80,0x7F,0x7E
	.DB  0x7E,0x81,0x82,0x80,0x7B,0x7A,0x81,0x86
	.DB  0x84,0x7A,0x75,0x7D,0x89,0x8A,0x7D,0x72
	.DB  0x78,0x88,0x8F,0x83,0x71,0x71,0x83,0x93
	.DB  0x8B,0x73,0x6A,0x7B,0x94,0x93,0x7A,0x67
	.DB  0x72,0x8E,0x9B,0x85,0x67,0x68,0x86,0x9E
	.DB  0x90,0x6D,0x5F,0x79,0x9C,0x9D,0x78,0x5C
	.DB  0x6B,0x95,0xA5,0x86,0x5D,0x5E,0x88,0xAA
	.DB  0x97,0x67,0x54,0x77,0xA6,0xA6,0x75,0x51
	.DB  0x65,0x9B,0xB0,0x88,0x54,0x54,0x8B,0xB4
	.DB  0x9C,0x61,0x4A,0x75,0xAF,0xAE,0x74,0x46
	.DB  0x60,0xA2,0xBA,0x8A,0x4C,0x4D,0x8D,0xBE
	.DB  0xA2,0x5B,0x3F,0x73,0xB8,0xB7,0x71,0x3C
	.DB  0x5A,0xA7,0xC4,0x8C,0x43,0x43,0x8F,0xC7
	.DB  0xA7,0x55,0x36,0x72,0xBF,0xBE,0x6F,0x33
	.DB  0x55,0xAC,0xCE,0x8E,0x3D,0x3E,0x90,0xD0
	.DB  0xAD,0x51,0x2E,0x71,0xC7,0xC6,0x6D,0x2B
	.DB  0x50,0xB1,0xD5,0x90,0x35,0x36,0x92,0xD8
	.DB  0xB0,0x4B,0x26,0x6F,0xCD,0xCC,0x6C,0x23
	.DB  0x4C,0xB6,0xDC,0x91,0x2F,0x30,0x94,0xDF
	.DB  0xB4,0x48,0x20,0x6D,0xD2,0xD2,0x6A,0x1D
	.DB  0x48,0xB9,0xE2,0x92,0x2A,0x2B,0x94,0xE5
	.DB  0xB7,0x45,0x19,0x6D,0xD7,0xD7,0x68,0x19
	.DB  0x3F,0xA6,0xEB,0xA8,0x34,0x1C,0x7C,0xDA
	.DB  0xDB,0x6D,0x15,0x41,0xBA,0xEC,0x98,0x25
	.DB  0x22,0x93,0xEC,0xC0,0x43,0x11,0x67,0xDC
	.DB  0xDF,0x6C,0x11,0x3F,0xBC,0xEF,0x98,0x22
	.DB  0x1F,0x94,0xEF,0xC1,0x41,0xE,0x67,0xDE
	.DB  0xE1,0x6B,0xE,0x3D,0xBD,0xF2,0x99,0x20
	.DB  0x1D,0x94,0xF2,0xC2,0x40,0xD,0x66,0xDF
	.DB  0xE2,0x6B,0xD,0x3C,0xBE,0xF3,0x99,0x20
	.DB  0x1C,0x93,0xF2,0xC3,0x41,0xB,0x66,0xE0
	.DB  0xE3,0x6B,0xC,0x3D,0xBF,0xF3,0x99,0x20
	.DB  0x1C,0x93,0xF2,0xC3,0x40,0xC,0x66,0xDF
	.DB  0xE2,0x6B,0xD,0x3C,0xBE,0xF2,0x99,0x20
	.DB  0x1E,0x94,0xF0,0xC2,0x41,0xD,0x67,0xDE
	.DB  0xE1,0x6C,0x10,0x3E,0xBD,0xEF,0x98,0x23
	.DB  0x20,0x93,0xEE,0xC0,0x43,0x11,0x67,0xDC
	.DB  0xDE,0x6C,0x12,0x40,0xBB,0xED,0x98,0x25
	.DB  0x22,0x93,0xEA,0xBE,0x45,0x14,0x68,0xD9
	.DB  0xDB,0x6D,0x17,0x42,0xB9,0xE8,0x96,0x29
	.DB  0x27,0x92,0xE6,0xBC,0x48,0x19,0x6A,0xD4
	.DB  0xD6,0x6D,0x1C,0x46,0xB6,0xE3,0x96,0x2E
	.DB  0x2C,0x91,0xE0,0xB8,0x4B,0x1F,0x6A,0xCF
	.DB  0xD1,0x6E,0x22,0x49,0xB2,0xDD,0x94,0x33
	.DB  0x31,0x8F,0xD9,0xB4,0x4F,0x26,0x6D,0xC9
	.DB  0xCA,0x70,0x2A,0x4D,0xAE,0xD5,0x92,0x39
	.DB  0x38,0x8E,0xD2,0xAF,0x53,0x2E,0x6E,0xC3
	.DB  0xC4,0x72,0x31,0x53,0xAA,0xCC,0x90,0x41
	.DB  0x3F,0x8D,0xCA,0xAB,0x57,0x37,0x6F,0xBB
	.DB  0xBC,0x73,0x3B,0x57,0xA5,0xC3,0x8E,0x48
	.DB  0x47,0x8B,0xC0,0xA5,0x5D,0x40,0x71,0xB3
	.DB  0xB4,0x75,0x44,0x5C,0x9F,0xBA,0x8C,0x50
	.DB  0x50,0x89,0xB6,0x9F,0x62,0x4A,0x74,0xAB
	.DB  0xAC,0x76,0x4E,0x62,0x9A,0xB0,0x8B,0x59
	.DB  0x58,0x88,0xAC,0x9A,0x68,0x55,0x76,0xA2
	.DB  0xA2,0x78,0x58,0x69,0x94,0xA5,0x87,0x62
	.DB  0x61,0x85,0xA1,0x93,0x6E,0x60,0x79,0x99
	.DB  0x99,0x7B,0x63,0x6F,0x8E,0x9A,0x85,0x6B
	.DB  0x6B,0x84,0x96,0x8C,0x74,0x6B,0x7C,0x8F
	.DB  0x8F,0x7D,0x6F,0x76,0x87,0x8E,0x83,0x75
	.DB  0x75,0x81,0x8A,0x85,0x7A,0x77,0x7E,0x85
	.DB  0x85,0x7E,0x7B,0x7C,0x81,0x83,0x80,0x7F
	.DB  0x7F,0x7F,0x7F,0x7F,0x80,0x82,0x80,0x7C
	.DB  0x7C,0x81,0x86,0x84,0x7B,0x76,0x7D,0x88
	.DB  0x89,0x7D,0x73,0x78,0x88,0x8E,0x83,0x73
	.DB  0x71,0x83,0x92,0x8A,0x74,0x6B,0x7B,0x91
	.DB  0x93,0x7B,0x68,0x71,0x8D,0x99,0x85,0x68
	.DB  0x67,0x85,0x9D,0x91,0x6E,0x60,0x79,0x9B
	.DB  0x9C,0x7A,0x5D,0x6A,0x94,0xA4,0x87,0x5F
	.DB  0x5E,0x87,0xA8,0x97,0x69,0x55,0x76,0xA4
	.DB  0xA6,0x78,0x52,0x65,0x9A,0xAF,0x8A,0x56
	.DB  0x55,0x89,0xB2,0x9E,0x63,0x4A,0x74,0xAD
	.DB  0xAF,0x75,0x48,0x5F,0x9F,0xBA,0x8C,0x4E
	.DB  0x4C,0x8A,0xBC,0xA3,0x5D,0x40,0x72,0xB5
	.DB  0xB7,0x73,0x3D,0x59,0xA5,0xC4,0x8F,0x45
	.DB  0x43,0x8C,0xC6,0xA9,0x58,0x37,0x70,0xBD
	.DB  0xBF,0x73,0x35,0x52,0xA9,0xCD,0x91,0x3F
	.DB  0x3D,0x8E,0xCE,0xAE,0x53,0x2F,0x6E,0xC4
	.DB  0xC7,0x71,0x2D,0x4E,0xAE,0xD6,0x93,0x38
	.DB  0x35,0x8F,0xD7,0xB3,0x4F,0x26,0x6C,0xCB
	.DB  0xCD,0x6F,0x25,0x4A,0xB2,0xDC,0x94,0x31
	.DB  0x2F,0x91,0xDE,0xB7,0x4B,0x1F,0x6A,0xD0
	.DB  0xD2,0x6E,0x1E,0x46,0xB6,0xE3,0x95,0x2C
	.DB  0x2A,0x92,0xE4,0xBA,0x48,0x19,0x69,0xD6
	.DB  0xD8,0x6D,0x19,0x43,0xB9,0xE9,0x96,0x27
	.DB  0x25,0x93,0xE9,0xBE,0x45,0x14,0x67,0xDA
	.DB  0xDC,0x6C,0x14,0x40,0xBB,0xEC,0x97,0x25
	.DB  0x22,0x93,0xED,0xC0,0x43,0x11,0x68,0xDC
	.DB  0xDF,0x6B,0x10,0x3E,0xBD,0xF0,0x98,0x22
	.DB  0x1F,0x93,0xF0,0xC2,0x42,0xE,0x66,0xDE
	.DB  0xE1,0x6C,0xE,0x3C,0xBE,0xF2,0x99,0x20
	.DB  0x1D,0x94,0xF2,0xC3,0x40,0xC,0x67,0xE0
	.DB  0xE2,0x6B,0xD,0x3D,0xBF,0xF3,0x99,0x1F
	.DB  0x1C,0x94,0xF3,0xC2,0x40,0xC,0x66,0xE0
	.DB  0xE3,0x6B,0xD,0x3C,0xBF,0xF3,0x99,0x20
	.DB  0x1D,0x94,0xF2,0xC3,0x40,0xD,0x66,0xDF
	.DB  0xE2,0x6B,0xD,0x3D,0xBE,0xF2,0x99,0x21
	.DB  0x1E,0x94,0xF0,0xC1,0x42,0xE,0x67,0xDD
	.DB  0xE0,0x6C,0xF,0x3E,0xBD,0xEF,0x98,0x23
	.DB  0x20,0x93,0xEE,0xC0,0x43,0x11,0x67,0xDB
	.DB  0xDD,0x6C,0x13,0x40,0xBA,0xEB,0x98,0x26
	.DB  0x24,0x92,0xEA,0xBE,0x46,0x16,0x68,0xD7
	.DB  0xD9,0x6D,0x18,0x43,0xB8,0xE6,0x96,0x29
	.DB  0x27,0x91,0xE4,0xBA,0x48,0x1A,0x69,0xD2
	.DB  0xD5,0x6E,0x1D,0x46,0xB5,0xE1,0x95,0x2F
	.DB  0x2D,0x91,0xDE,0xB7,0x4B,0x21,0x6B,0xCE
	.DB  0xCF,0x6F,0x24,0x4A,0xB1,0xDB,0x93,0x34
	.DB  0x32,0x90,0xD8,0xB3,0x4F,0x28,0x6C,0xC8
	.DB  0xC9,0x70,0x2B,0x4E,0xAD,0xD3,0x91,0x3B
	.DB  0x3A,0x8D,0xCF,0xAE,0x54,0x31,0x6E,0xC0
	.DB  0xC2,0x72,0x33,0x53,0xA9,0xCB,0x90,0x41
	.DB  0x41,0x8D,0xC7,0xAA,0x5A,0x39,0x70,0xB9
	.DB  0xBA,0x74,0x3D,0x59,0xA4,0xC1,0x8E,0x4A
	.DB  0x4A,0x8B,0xBE,0xA3,0x5E,0x43,0x72,0xB0
	.DB  0xB2,0x75,0x46,0x5E,0x9E,0xB8,0x8C,0x52
	.DB  0x4C,0x7E,0xAF,0xA7,0x6D,0x4D,0x68,0x9A
	.DB  0xB0,0x8C,0x59,0x56,0x86,0xAC,0x9B,0x69
	.DB  0x54,0x75,0xA1,0xA4,0x7A,0x58,0x68,0x94
	.DB  0xA6,0x89,0x62,0x61,0x84,0xA1,0x94,0x6F
	.DB  0x5E,0x78,0x99,0x9A,0x7B,0x63,0x6E,0x8D
	.DB  0x9A,0x86,0x6B,0x6A,0x83,0x96,0x8D,0x75
	.DB  0x6A,0x7B,0x90,0x90,0x7D,0x6E,0x76,0x88
	.DB  0x8F,0x84,0x75,0x74,0x82,0x8B,0x86,0x7A
	.DB  0x75,0x7D,0x86,0x87,0x7F,0x7A,0x7D,0x82
	.DB  0x83,0x81,0x7E,0x7D,0x7F,0x80,0x7F,0x80
	.DB  0x82,0x80,0x7D,0x7D,0x81,0x85,0x83,0x7C
	.DB  0x78,0x7D,0x87,0x88,0x7E,0x74,0x78,0x86
	.DB  0x8D,0x83,0x74,0x72,0x82,0x90,0x8B,0x76
	.DB  0x6C,0x7B,0x90,0x93,0x7C,0x69,0x70,0x8C
	.DB  0x99,0x86,0x6A,0x68,0x84,0x9C,0x91,0x70
	.DB  0x61,0x77,0x9A,0x9D,0x7B,0x5E,0x6A,0x92
	.DB  0xA4,0x88,0x61,0x5E,0x85,0xA7,0x98,0x6A
	.DB  0x55,0x75,0xA2,0xA5,0x79,0x53,0x64,0x98
	.DB  0xAF,0x8C,0x59,0x55,0x87,0xB1,0x9E,0x65
	.DB  0x4B,0x72,0xAB,0xAF,0x77,0x48,0x5E,0x9D
	.DB  0xB9,0x8E,0x4F,0x4C,0x88,0xBB,0xA5,0x60
	.DB  0x41,0x70,0xB3,0xB7,0x76,0x3F,0x57,0xA1
	.DB  0xC3,0x91,0x48,0x43,0x8A,0xC4,0xAB,0x5B
	.DB  0x37,0x6D,0xBA,0xC1,0x74,0x35,0x52,0xA6
	.DB  0xCC,0x93,0x41,0x3B,0x8A,0xCD,0xB1,0x56
	.DB  0x2F,0x6C,0xC2,0xC7,0x73,0x2D,0x4C,0xAC
	.DB  0xD5,0x95,0x3A,0x34,0x8B,0xD5,0xB5,0x52
	.DB  0x26,0x69,0xC9,0xCF,0x72,0x26,0x48,0xAF
	.DB  0xDD,0x97,0x34,0x2E,0x8D,0xDC,0xB9,0x4E
	.DB  0x1F,0x67,0xCE,0xD5,0x72,0x20,0x44,0xB3
	.DB  0xE3,0x99,0x2F,0x29,0x8E,0xE2,0xBD,0x4B
	.DB  0x19,0x65,0xD3,0xDA,0x71,0x1A,0x40,0xB5
	.DB  0xE8,0x9A,0x2B,0x23,0x8F,0xE8,0xC0,0x48
	.DB  0x14,0x64,0xD6,0xDE,0x70,0x15,0x3D,0xB7
	.DB  0xED,0x9B,0x26,0x20,0x8F,0xEB,0xC3,0x47
	.DB  0x10,0x64,0xDA,0xE1,0x6F,0x12,0x3B,0xBA
	.DB  0xF1,0x9C,0x24,0x1C,0x90,0xEE,0xC4,0x45
	.DB  0xD,0x62,0xDC,0xE3,0x6F,0x10,0x3A,0xBB
	.DB  0xF3,0x9D,0x22,0x1B,0x90,0xF1,0xC5,0x45
	.DB  0xC,0x63,0xDD,0xE5,0x6F,0xE,0x39,0xBC
	.DB  0xF4,0x9C,0x22,0x1A,0x90,0xF2,0xC7,0x44
	.DB  0xB,0x62,0xDE,0xE4,0x6F,0xE,0x39,0xBB
	.DB  0xF4,0x9C,0x21,0x1A,0x90,0xF1,0xC6,0x44
	.DB  0xB,0x63,0xDD,0xE4,0x6F,0xF,0x3A,0xBA
	.DB  0xF3,0x9D,0x23,0x1C,0x8F,0xEF,0xC5,0x45
	.DB  0xE,0x63,0xDB,0xE3,0x6F,0x11,0x3B,0xB9
	.DB  0xF0,0x9B,0x25,0x1E,0x8F,0xED,0xC4,0x46
	.DB  0x10,0x64,0xD9,0xDF,0x70,0x14,0x3D,0xB8
	.DB  0xED,0x9A,0x28,0x21,0x8E,0xE9,0xC1,0x48
	.DB  0x14,0x65,0xD6,0xDB,0x71,0x18,0x3F,0xB6
	.DB  0xE8,0x9A,0x2C,0x25,0x8F,0xE4,0xBF,0x4B
	.DB  0x19,0x65,0xD1,0xD7,0x71,0x1E,0x43,0xB3
	.DB  0xE3,0x99,0x30,0x2B,0x8D,0xDF,0xBA,0x4E
	.DB  0x20,0x68,0xCC,0xD2,0x72,0x24,0x47,0xAF
	.DB  0xDC,0x97,0x36,0x31,0x8C,0xD7,0xB6,0x52
	.DB  0x27,0x6A,0xC6,0xCC,0x73,0x2B,0x4C,0xAB
	.DB  0xD4,0x94,0x3C,0x37,0x8B,0xD0,0xB1,0x56
	.DB  0x30,0x6B,0xBF,0xC5,0x75,0x34,0x50,0xA7
	.DB  0xCB,0x93,0x43,0x3F,0x8A,0xC7,0xAC,0x5A
	.DB  0x38,0x6D,0xB8,0xBC,0x76,0x3C,0x56,0xA2
	.DB  0xC3,0x90,0x4B,0x47,0x89,0xBE,0xA6,0x5F
	.DB  0x43,0x70,0xB0,0xB3,0x77,0x46,0x5D,0x9D
	.DB  0xB8,0x8D,0x52,0x50,0x87,0xB4,0x9F,0x65
	.DB  0x4C,0x73,0xA8,0xAB,0x78,0x50,0x63,0x97
	.DB  0xAE,0x8B,0x5B,0x59,0x86,0xAA,0x99,0x6B
	.DB  0x4C,0x49,0x53,0x54,0x38,0x0,0x0,0x0
	.DB  0x49,0x4E,0x46,0x4F,0x49,0x43,0x4F,0x50
	.DB  0x16,0x0,0x0,0x0,0x41,0x31,0x20,0x46
	.DB  0x72,0x65,0x65,0x20,0x53,0x6F,0x75,0x6E
	.DB  0x64,0x20,0x45,0x66,0x66,0x65,0x63,0x74
	.DB  0x73,0x0,0x49,0x4E,0x41,0x4D,0xE,0x0
	.DB  0x0,0x0,0x4D,0x69,0x73,0x73,0x6C,0x65
	.DB  0x20,0x42,0x65,0x65,0x70,0x20,0x33,0x0

__RESET:
	CLI
	CLR  R30
	OUT  EECR,R30

;INTERRUPT VECTORS ARE PLACED
;AT THE START OF FLASH
	LDI  R31,1
	OUT  GICR,R31
	OUT  GICR,R30
	OUT  MCUCR,R30

;DISABLE WATCHDOG
	LDI  R31,0x18
	OUT  WDTCR,R31
	OUT  WDTCR,R30

;CLEAR R2-R14
	LDI  R24,(14-2)+1
	LDI  R26,2
	CLR  R27
__CLEAR_REG:
	ST   X+,R30
	DEC  R24
	BRNE __CLEAR_REG

;CLEAR SRAM
	LDI  R24,LOW(__CLEAR_SRAM_SIZE)
	LDI  R25,HIGH(__CLEAR_SRAM_SIZE)
	LDI  R26,__SRAM_START
__CLEAR_SRAM:
	ST   X+,R30
	SBIW R24,1
	BRNE __CLEAR_SRAM

;HARDWARE STACK POINTER INITIALIZATION
	LDI  R30,LOW(__SRAM_END-__HEAP_SIZE)
	OUT  SPL,R30
	LDI  R30,HIGH(__SRAM_END-__HEAP_SIZE)
	OUT  SPH,R30

;DATA STACK POINTER INITIALIZATION
	LDI  R28,LOW(__SRAM_START+__DSTACK_SIZE)
	LDI  R29,HIGH(__SRAM_START+__DSTACK_SIZE)

	JMP  _main

	.ESEG
	.ORG 0

	.DSEG
	.ORG 0x260

	.CSEG
;/*****************************************************
;This program was produced by the
;CodeWizardAVR V2.05.3 Standard
;Automatic Program Generator
; Copyright 1998-2011 Pavel Haiduc, HP InfoTech s.r.l.
;http://www.hpinfotech.com
;
;Project :
;Version :
;Date    : 8/3/2014
;Author  : HAMID
;Company :
;Comments:
;
;
;Chip type               : ATmega32
;Program type            : Application
;AVR Core Clock frequency: 8.000000 MHz
;Memory model            : Small
;External RAM size       : 0
;Data Stack size         : 512
;*****************************************************/
;
;#include <mega32.h>
	#ifndef __SLEEP_DEFINED__
	#define __SLEEP_DEFINED__
	.EQU __se_bit=0x80
	.EQU __sm_mask=0x70
	.EQU __sm_powerdown=0x20
	.EQU __sm_powersave=0x30
	.EQU __sm_standby=0x60
	.EQU __sm_ext_standby=0x70
	.EQU __sm_adc_noise_red=0x10
	.SET power_ctrl_reg=mcucr
	#endif
;unsigned char t1ovf;
;typedef unsigned int  ply;
;const flash char hoshdar [8128] = {
;    0x52, 0x49, 0x46, 0x46, 0xB8, 0x1F, 0x00, 0x00, 0x57, 0x41, 0x56, 0x45, 0x66, 0x6D, 0x74, 0x20,
;    0x12, 0x00, 0x00, 0x00, 0x01, 0x00, 0x01, 0x00, 0x40, 0x1F, 0x00, 0x00, 0x40, 0x1F, 0x00, 0x00,
;    0x01, 0x00, 0x08, 0x00, 0x00, 0x00, 0x66, 0x61, 0x63, 0x74, 0x04, 0x00, 0x00, 0x00, 0x46, 0x1F,
;    0x00, 0x00, 0x64, 0x61, 0x74, 0x61, 0x46, 0x1F, 0x00, 0x00, 0x80, 0x7F, 0x80, 0x7F, 0x80, 0x7F,
;    0x80, 0x7F, 0x80, 0x7F, 0x80, 0x7F, 0x80, 0x7F, 0x80, 0x7F, 0x80, 0x80, 0x80, 0x80, 0x7F, 0x7F,
;    0x7F, 0x80, 0x7F, 0x80, 0x80, 0x80, 0x80, 0x80, 0x7F, 0x80, 0x7F, 0x80, 0x7F, 0x80, 0x7F, 0x80,
;    0x7F, 0x80, 0x7F, 0x80, 0x7F, 0x80, 0x7F, 0x80, 0x7F, 0x80, 0x7F, 0x80, 0x7F, 0x80, 0x7F, 0x81,
;    0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x80, 0x80, 0x7E, 0x7C, 0x7F, 0x83, 0x84, 0x7E, 0x79, 0x7C,
;    0x83, 0x88, 0x82, 0x77, 0x75, 0x81, 0x8C, 0x88, 0x78, 0x71, 0x7B, 0x8D, 0x8D, 0x7D, 0x6E, 0x74,
;    0x8A, 0x93, 0x84, 0x6E, 0x6D, 0x83, 0x97, 0x8E, 0x72, 0x66, 0x79, 0x96, 0x98, 0x7A, 0x63, 0x6E,
;    0x8F, 0x9F, 0x87, 0x64, 0x62, 0x85, 0xA3, 0x95, 0x6C, 0x5A, 0x77, 0x9F, 0xA1, 0x79, 0x57, 0x66,
;    0x95, 0xAA, 0x8A, 0x5C, 0x59, 0x87, 0xAE, 0x9B, 0x66, 0x4E, 0x74, 0xA8, 0xAB, 0x77, 0x4D, 0x60,
;    0x9C, 0xB5, 0x8D, 0x53, 0x4F, 0x88, 0xB7, 0xA2, 0x61, 0x45, 0x72, 0xB1, 0xB4, 0x76, 0x43, 0x5B,
;    0xA1, 0xBF, 0x8F, 0x4B, 0x47, 0x89, 0xC1, 0xA8, 0x5C, 0x3B, 0x6F, 0xB8, 0xBC, 0x74, 0x39, 0x55,
;    0xA6, 0xC9, 0x91, 0x43, 0x3F, 0x8B, 0xCA, 0xAD, 0x57, 0x33, 0x6D, 0xC0, 0xC4, 0x73, 0x31, 0x4F,
;    0xAA, 0xD2, 0x94, 0x3C, 0x37, 0x8C, 0xD2, 0xB2, 0x52, 0x29, 0x6B, 0xC6, 0xCB, 0x72, 0x28, 0x4B,
;    0xAF, 0xD9, 0x95, 0x35, 0x31, 0x8E, 0xDA, 0xB7, 0x4E, 0x22, 0x69, 0xCD, 0xD1, 0x70, 0x21, 0x46,
;    0xB3, 0xE0, 0x97, 0x30, 0x2B, 0x8E, 0xE0, 0xBB, 0x4C, 0x1B, 0x67, 0xD2, 0xD7, 0x6F, 0x1C, 0x43,
;    0xB5, 0xE6, 0x97, 0x2B, 0x26, 0x90, 0xE6, 0xBE, 0x48, 0x15, 0x65, 0xD6, 0xDB, 0x6F, 0x16, 0x40,
;    0xB8, 0xEB, 0x99, 0x27, 0x22, 0x91, 0xEB, 0xC1, 0x46, 0x11, 0x65, 0xDA, 0xDF, 0x6E, 0x12, 0x3D,
;    0xBA, 0xEF, 0x9A, 0x24, 0x1E, 0x91, 0xEF, 0xC3, 0x44, 0x0F, 0x64, 0xDC, 0xE2, 0x6E, 0x10, 0x3B,
;    0xBC, 0xF2, 0x9B, 0x22, 0x1D, 0x91, 0xF1, 0xC4, 0x43, 0x0D, 0x64, 0xDE, 0xE4, 0x6D, 0x0D, 0x3A,
;    0xBC, 0xF3, 0x9C, 0x21, 0x1B, 0x91, 0xF2, 0xC5, 0x42, 0x0C, 0x63, 0xDF, 0xE4, 0x6D, 0x0D, 0x3A,
;    0xBD, 0xF4, 0x9C, 0x20, 0x1A, 0x92, 0xF2, 0xC5, 0x42, 0x0C, 0x64, 0xDE, 0xE4, 0x6E, 0x0D, 0x3A,
;    0xBC, 0xF4, 0x9B, 0x21, 0x1C, 0x91, 0xF1, 0xC4, 0x43, 0x0D, 0x64, 0xDD, 0xE2, 0x6D, 0x0F, 0x3B,
;    0xBC, 0xF1, 0x9A, 0x23, 0x1E, 0x91, 0xEF, 0xC3, 0x44, 0x0F, 0x65, 0xDB, 0xE0, 0x6F, 0x12, 0x3D,
;    0xBA, 0xEF, 0x9A, 0x26, 0x20, 0x91, 0xEB, 0xC0, 0x46, 0x13, 0x65, 0xD7, 0xDC, 0x6F, 0x16, 0x40,
;    0xB8, 0xEA, 0x98, 0x29, 0x24, 0x90, 0xE7, 0xBE, 0x49, 0x17, 0x67, 0xD3, 0xD9, 0x70, 0x1B, 0x43,
;    0xB5, 0xE5, 0x98, 0x2E, 0x29, 0x8E, 0xE1, 0xBB, 0x4B, 0x1E, 0x68, 0xCF, 0xD4, 0x71, 0x21, 0x46,
;    0xB2, 0xDE, 0x96, 0x32, 0x2F, 0x8E, 0xDB, 0xB6, 0x4F, 0x24, 0x6A, 0xC9, 0xCD, 0x71, 0x28, 0x4B,
;    0xAE, 0xD7, 0x94, 0x38, 0x35, 0x8D, 0xD4, 0xB2, 0x53, 0x2C, 0x6C, 0xC3, 0xC7, 0x73, 0x2F, 0x4F,
;    0xAA, 0xD0, 0x92, 0x3F, 0x3B, 0x8B, 0xCB, 0xAD, 0x58, 0x34, 0x6D, 0xBC, 0xBF, 0x74, 0x38, 0x55,
;    0xA5, 0xC6, 0x90, 0x47, 0x44, 0x8A, 0xC3, 0xA8, 0x5D, 0x3E, 0x70, 0xB4, 0xB7, 0x76, 0x42, 0x5B,
;    0xA0, 0xBC, 0x8E, 0x4F, 0x4C, 0x88, 0xB9, 0xA1, 0x62, 0x47, 0x72, 0xAB, 0xAE, 0x77, 0x4C, 0x60,
;    0x9A, 0xB2, 0x8C, 0x57, 0x56, 0x87, 0xAE, 0x9B, 0x67, 0x53, 0x75, 0xA3, 0xA5, 0x7A, 0x56, 0x67,
;    0x95, 0xA8, 0x89, 0x60, 0x5E, 0x85, 0xA4, 0x94, 0x6D, 0x5D, 0x78, 0x9B, 0x9C, 0x7A, 0x61, 0x6D,
;    0x8E, 0x9C, 0x86, 0x69, 0x69, 0x83, 0x99, 0x8F, 0x73, 0x68, 0x7A, 0x91, 0x92, 0x7D, 0x6D, 0x74,
;    0x89, 0x91, 0x84, 0x73, 0x73, 0x82, 0x8D, 0x88, 0x79, 0x74, 0x7D, 0x88, 0x88, 0x7F, 0x78, 0x7C,
;    0x83, 0x85, 0x80, 0x7C, 0x7D, 0x80, 0x82, 0x80, 0x7E, 0x80, 0x80, 0x7E, 0x7E, 0x80, 0x83, 0x82,
;    0x7C, 0x79, 0x7E, 0x85, 0x87, 0x7E, 0x76, 0x7A, 0x85, 0x8A, 0x82, 0x75, 0x74, 0x83, 0x8E, 0x89,
;    0x77, 0x6E, 0x7B, 0x8F, 0x90, 0x7C, 0x6B, 0x73, 0x8B, 0x97, 0x85, 0x6B, 0x69, 0x84, 0x9B, 0x90,
;    0x71, 0x63, 0x79, 0x98, 0x9A, 0x7B, 0x5F, 0x6C, 0x92, 0xA2, 0x88, 0x62, 0x60, 0x86, 0xA5, 0x96,
;    0x6B, 0x57, 0x76, 0xA1, 0xA4, 0x79, 0x55, 0x65, 0x98, 0xAD, 0x8B, 0x59, 0x56, 0x87, 0xAF, 0x9D,
;    0x64, 0x4C, 0x73, 0xAA, 0xAD, 0x77, 0x4A, 0x5F, 0x9D, 0xB8, 0x8D, 0x50, 0x4D, 0x89, 0xB9, 0xA3,
;    0x5F, 0x42, 0x70, 0xB2, 0xB6, 0x75, 0x41, 0x59, 0xA2, 0xC1, 0x8F, 0x48, 0x45, 0x8A, 0xC3, 0xA9,
;    0x5B, 0x38, 0x6F, 0xBB, 0xBE, 0x74, 0x37, 0x53, 0xA7, 0xCB, 0x91, 0x41, 0x3D, 0x8C, 0xCC, 0xAF,
;    0x56, 0x30, 0x6D, 0xC1, 0xC5, 0x73, 0x2F, 0x4E, 0xAB, 0xD3, 0x94, 0x3A, 0x36, 0x8D, 0xD4, 0xB3,
;    0x52, 0x28, 0x6A, 0xC8, 0xCC, 0x71, 0x26, 0x49, 0xB0, 0xDB, 0x96, 0x34, 0x30, 0x8E, 0xDB, 0xB7,
;    0x4D, 0x21, 0x69, 0xCE, 0xD2, 0x70, 0x20, 0x45, 0xB3, 0xE2, 0x97, 0x2E, 0x29, 0x90, 0xE2, 0xBB,
;    0x4A, 0x1A, 0x67, 0xD3, 0xD8, 0x6F, 0x1A, 0x42, 0xB6, 0xE7, 0x99, 0x2A, 0x25, 0x90, 0xE7, 0xBF,
;    0x47, 0x14, 0x66, 0xD7, 0xDD, 0x6F, 0x16, 0x3F, 0xB9, 0xEC, 0x99, 0x26, 0x21, 0x91, 0xEC, 0xC1,
;    0x45, 0x10, 0x65, 0xDA, 0xE0, 0x6D, 0x11, 0x3D, 0xBB, 0xEF, 0x9A, 0x23, 0x1E, 0x92, 0xF0, 0xC3,
;    0x44, 0x0D, 0x64, 0xDD, 0xE1, 0x6D, 0x0F, 0x3B, 0xBD, 0xF2, 0x9B, 0x22, 0x1C, 0x92, 0xF1, 0xC5,
;    0x43, 0x0C, 0x64, 0xDD, 0xE4, 0x6D, 0x0E, 0x2A, 0xA6, 0xF5, 0xB5, 0x43, 0x0B, 0x60, 0xDC, 0xE5,
;    0x72, 0x0F, 0x37, 0xB9, 0xF4, 0x9F, 0x23, 0x19, 0x8E, 0xF1, 0xC8, 0x46, 0x0B, 0x60, 0xDB, 0xE6,
;    0x72, 0x0E, 0x38, 0xB9, 0xF4, 0x9F, 0x23, 0x19, 0x8E, 0xF0, 0xC7, 0x46, 0x0C, 0x60, 0xDB, 0xE4,
;    0x71, 0x10, 0x38, 0xB9, 0xF2, 0x9E, 0x24, 0x1B, 0x8D, 0xEE, 0xC6, 0x47, 0x0F, 0x61, 0xD9, 0xE2,
;    0x72, 0x13, 0x3A, 0xB7, 0xEF, 0x9E, 0x27, 0x1E, 0x8D, 0xEA, 0xC4, 0x49, 0x12, 0x62, 0xD6, 0xE0,
;    0x72, 0x17, 0x3D, 0xB6, 0xEB, 0x9C, 0x2A, 0x22, 0x8C, 0xE6, 0xC1, 0x4B, 0x17, 0x62, 0xD2, 0xDA,
;    0x73, 0x1B, 0x40, 0xB3, 0xE6, 0x9B, 0x2F, 0x27, 0x8C, 0xE1, 0xBE, 0x4E, 0x1D, 0x65, 0xCE, 0xD5,
;    0x74, 0x22, 0x44, 0xAF, 0xDF, 0x99, 0x34, 0x2D, 0x8B, 0xDB, 0xBA, 0x52, 0x23, 0x66, 0xC8, 0xCF,
;    0x75, 0x28, 0x48, 0xAC, 0xD9, 0x98, 0x3A, 0x33, 0x8A, 0xD3, 0xB5, 0x56, 0x2A, 0x69, 0xC3, 0xC9,
;    0x76, 0x30, 0x4D, 0xA8, 0xD1, 0x95, 0x40, 0x3A, 0x8A, 0xCB, 0xAF, 0x5A, 0x33, 0x6B, 0xBC, 0xC1,
;    0x76, 0x38, 0x52, 0xA3, 0xC7, 0x93, 0x48, 0x42, 0x88, 0xC2, 0xAA, 0x5E, 0x3D, 0x6E, 0xB3, 0xB9,
;    0x78, 0x42, 0x58, 0x9E, 0xBE, 0x91, 0x4F, 0x4A, 0x87, 0xB8, 0xA4, 0x63, 0x46, 0x71, 0xAC, 0xB0,
;    0x79, 0x4C, 0x5F, 0x9A, 0xB4, 0x8D, 0x58, 0x53, 0x85, 0xAF, 0x9E, 0x68, 0x51, 0x73, 0xA3, 0xA7,
;    0x7A, 0x56, 0x65, 0x94, 0xA9, 0x8B, 0x60, 0x5D, 0x85, 0xA4, 0x96, 0x6D, 0x5C, 0x76, 0x9A, 0x9D,
;    0x7C, 0x60, 0x6C, 0x8F, 0x9E, 0x88, 0x69, 0x67, 0x83, 0x99, 0x8F, 0x73, 0x67, 0x79, 0x92, 0x93,
;    0x7D, 0x6C, 0x73, 0x88, 0x92, 0x85, 0x72, 0x71, 0x82, 0x8E, 0x88, 0x79, 0x73, 0x7C, 0x89, 0x89,
;    0x7E, 0x77, 0x7B, 0x83, 0x86, 0x82, 0x7C, 0x7C, 0x80, 0x82, 0x81, 0x7F, 0x7F, 0x7F, 0x7F, 0x7F,
;    0x80, 0x82, 0x81, 0x7D, 0x7A, 0x7E, 0x85, 0x86, 0x7E, 0x77, 0x7A, 0x85, 0x8A, 0x82, 0x75, 0x74,
;    0x81, 0x8E, 0x88, 0x78, 0x6F, 0x7B, 0x8E, 0x8F, 0x7D, 0x6D, 0x73, 0x8B, 0x96, 0x86, 0x6D, 0x69,
;    0x83, 0x99, 0x90, 0x71, 0x63, 0x78, 0x97, 0x9A, 0x7C, 0x61, 0x6B, 0x90, 0xA1, 0x88, 0x63, 0x61,
;    0x84, 0xA3, 0x97, 0x6D, 0x58, 0x74, 0xA0, 0xA4, 0x7A, 0x56, 0x64, 0x96, 0xAD, 0x8C, 0x5B, 0x57,
;    0x86, 0xAE, 0x9E, 0x67, 0x4D, 0x72, 0xA8, 0xAD, 0x7A, 0x4C, 0x5E, 0x9B, 0xB7, 0x8E, 0x52, 0x4D,
;    0x87, 0xB8, 0xA4, 0x61, 0x43, 0x70, 0xB1, 0xB7, 0x78, 0x42, 0x58, 0xA0, 0xC1, 0x91, 0x4B, 0x45,
;    0x88, 0xC2, 0xAA, 0x5D, 0x39, 0x6D, 0xB8, 0xBE, 0x76, 0x38, 0x52, 0xA4, 0xCB, 0x94, 0x44, 0x3D,
;    0x89, 0xCB, 0xB0, 0x58, 0x31, 0x6A, 0xBF, 0xC7, 0x76, 0x30, 0x4D, 0xA8, 0xD4, 0x97, 0x3C, 0x35,
;    0x8A, 0xD2, 0xB5, 0x55, 0x28, 0x68, 0xC6, 0xCE, 0x75, 0x29, 0x47, 0xAD, 0xDB, 0x98, 0x36, 0x2E,
;    0x8C, 0xDA, 0xBA, 0x51, 0x21, 0x66, 0xCB, 0xD4, 0x74, 0x21, 0x43, 0xB0, 0xE2, 0x9B, 0x30, 0x29,
;    0x8D, 0xE1, 0xBE, 0x4E, 0x1A, 0x64, 0xD0, 0xD9, 0x74, 0x1C, 0x3F, 0xB4, 0xE8, 0x9C, 0x2D, 0x24,
;    0x8C, 0xE6, 0xC2, 0x4B, 0x15, 0x62, 0xD4, 0xDE, 0x73, 0x17, 0x3C, 0xB5, 0xED, 0x9D, 0x29, 0x1F,
;    0x8D, 0xEA, 0xC3, 0x49, 0x11, 0x61, 0xD8, 0xE1, 0x72, 0x14, 0x3A, 0xB7, 0xF0, 0x9E, 0x26, 0x1C,
;    0x8D, 0xED, 0xC7, 0x47, 0x0E, 0x61, 0xDA, 0xE3, 0x72, 0x10, 0x38, 0xB9, 0xF3, 0x9F, 0x24, 0x1A,
;    0x8E, 0xEF, 0xC7, 0x46, 0x0B, 0x60, 0xDB, 0xE5, 0x71, 0x0E, 0x37, 0xB9, 0xF4, 0x9E, 0x23, 0x19,
;    0x8E, 0xF1, 0xC8, 0x45, 0x0A, 0x60, 0xDC, 0xE6, 0x72, 0x0F, 0x37, 0xBA, 0xF3, 0x9F, 0x23, 0x1A,
;    0x8D, 0xF1, 0xC8, 0x46, 0x0B, 0x60, 0xDB, 0xE5, 0x71, 0x0F, 0x38, 0xB9, 0xF4, 0x9F, 0x23, 0x1A,
;    0x8E, 0xEF, 0xC7, 0x47, 0x0D, 0x61, 0xDA, 0xE3, 0x71, 0x10, 0x39, 0xB8, 0xF1, 0x9E, 0x26, 0x1C,
;    0x8E, 0xEC, 0xC5, 0x47, 0x0F, 0x61, 0xD8, 0xE1, 0x71, 0x14, 0x3B, 0xB6, 0xEE, 0x9C, 0x28, 0x1F,
;    0x8D, 0xE9, 0xC3, 0x49, 0x13, 0x63, 0xD5, 0xDE, 0x73, 0x18, 0x3E, 0xB4, 0xEA, 0x9C, 0x2C, 0x23,
;    0x8C, 0xE5, 0xC0, 0x4C, 0x18, 0x64, 0xD1, 0xD9, 0x73, 0x1D, 0x41, 0xB1, 0xE4, 0x9B, 0x30, 0x28,
;    0x8C, 0xDF, 0xBC, 0x4F, 0x1D, 0x65, 0xCC, 0xD4, 0x74, 0x23, 0x45, 0xAE, 0xDD, 0x98, 0x35, 0x2E,
;    0x8A, 0xD8, 0xB8, 0x52, 0x24, 0x67, 0xC7, 0xCD, 0x74, 0x2A, 0x49, 0xAA, 0xD6, 0x97, 0x3B, 0x35,
;    0x8A, 0xD1, 0xB3, 0x56, 0x2D, 0x69, 0xC0, 0xC7, 0x76, 0x32, 0x4E, 0xA6, 0xCE, 0x95, 0x43, 0x3C,
;    0x89, 0xC9, 0xAE, 0x5B, 0x36, 0x6C, 0xBA, 0xBF, 0x76, 0x3B, 0x54, 0xA2, 0xC6, 0x92, 0x49, 0x44,
;    0x87, 0xC0, 0xA9, 0x5F, 0x3F, 0x6E, 0xB1, 0xB7, 0x78, 0x44, 0x5A, 0x9D, 0xBB, 0x90, 0x51, 0x4D,
;    0x87, 0xB7, 0xA2, 0x65, 0x49, 0x71, 0xAA, 0xAE, 0x79, 0x4E, 0x60, 0x98, 0xB1, 0x8D, 0x59, 0x56,
;    0x85, 0xAC, 0x9B, 0x6A, 0x54, 0x73, 0xA1, 0xA4, 0x7B, 0x58, 0x67, 0x93, 0xA6, 0x8A, 0x62, 0x60,
;    0x84, 0xA1, 0x95, 0x6F, 0x5E, 0x76, 0x98, 0x9B, 0x7C, 0x64, 0x6E, 0x8D, 0x9B, 0x87, 0x6B, 0x69,
;    0x82, 0x96, 0x8E, 0x75, 0x6A, 0x79, 0x90, 0x90, 0x7D, 0x6E, 0x75, 0x88, 0x8F, 0x84, 0x76, 0x74,
;    0x7D, 0x8A, 0x89, 0x7F, 0x75, 0x79, 0x83, 0x87, 0x82, 0x7B, 0x7A, 0x80, 0x83, 0x81, 0x7E, 0x7D,
;    0x7F, 0x80, 0x7F, 0x7F, 0x81, 0x81, 0x7D, 0x7C, 0x7E, 0x83, 0x85, 0x7F, 0x78, 0x7A, 0x84, 0x8A,
;    0x82, 0x77, 0x74, 0x80, 0x8D, 0x89, 0x79, 0x70, 0x7A, 0x8D, 0x90, 0x7D, 0x6D, 0x72, 0x89, 0x95,
;    0x85, 0x6E, 0x6A, 0x82, 0x98, 0x90, 0x72, 0x64, 0x77, 0x95, 0x9A, 0x7C, 0x62, 0x6B, 0x8F, 0xA1,
;    0x8A, 0x65, 0x60, 0x83, 0xA3, 0x97, 0x6E, 0x59, 0x73, 0x9E, 0xA4, 0x7C, 0x58, 0x64, 0x94, 0xAC,
;    0x8D, 0x5C, 0x56, 0x83, 0xAC, 0x9F, 0x69, 0x4D, 0x70, 0xA7, 0xAD, 0x7B, 0x4D, 0x5D, 0x99, 0xB7,
;    0x90, 0x54, 0x4E, 0x85, 0xB7, 0xA5, 0x64, 0x44, 0x6D, 0xAE, 0xB7, 0x7A, 0x43, 0x56, 0x9D, 0xC0,
;    0x93, 0x4D, 0x44, 0x86, 0xC1, 0xAB, 0x5F, 0x3A, 0x6B, 0xB6, 0xBF, 0x79, 0x3A, 0x50, 0xA2, 0xCA,
;    0x97, 0x46, 0x3C, 0x86, 0xCA, 0xB2, 0x5B, 0x31, 0x67, 0xBD, 0xC7, 0x78, 0x32, 0x4B, 0xA6, 0xD3,
;    0x99, 0x3F, 0x34, 0x87, 0xD2, 0xB7, 0x58, 0x29, 0x65, 0xC3, 0xCF, 0x78, 0x29, 0x45, 0xAA, 0xDA,
;    0x9B, 0x38, 0x2D, 0x88, 0xD9, 0xBC, 0x54, 0x21, 0x63, 0xC9, 0xD5, 0x77, 0x23, 0x41, 0xAD, 0xE1,
;    0x9D, 0x34, 0x26, 0x89, 0xDF, 0xC1, 0x50, 0x1A, 0x61, 0xCE, 0xDA, 0x76, 0x1E, 0x3D, 0xB0, 0xE8,
;    0x9F, 0x30, 0x22, 0x89, 0xE5, 0xC4, 0x4E, 0x15, 0x60, 0xD2, 0xDF, 0x76, 0x18, 0x39, 0xB2, 0xEC,
;    0xA0, 0x2B, 0x1E, 0x89, 0xE9, 0xC7, 0x4C, 0x11, 0x5E, 0xD5, 0xE3, 0x75, 0x14, 0x37, 0xB4, 0xF0,
;    0xA2, 0x29, 0x1B, 0x89, 0xEB, 0xC8, 0x4A, 0x0D, 0x5D, 0xD7, 0xE5, 0x75, 0x12, 0x35, 0xB5, 0xF3,
;    0xA2, 0x27, 0x19, 0x8A, 0xEF, 0xCA, 0x49, 0x0B, 0x5C, 0xD9, 0xE8, 0x75, 0x10, 0x34, 0xB6, 0xF5,
;    0xA3, 0x26, 0x16, 0x89, 0xEF, 0xCB, 0x4A, 0x0A, 0x5C, 0xDA, 0xE8, 0x75, 0x0F, 0x33, 0xB6, 0xF5,
;    0xA2, 0x25, 0x17, 0x8A, 0xF0, 0xCB, 0x49, 0x0A, 0x5C, 0xDA, 0xE7, 0x75, 0x10, 0x34, 0xB6, 0xF4,
;    0xA3, 0x26, 0x18, 0x89, 0xEE, 0xCA, 0x4A, 0x0B, 0x5D, 0xD8, 0xE6, 0x75, 0x11, 0x36, 0xB5, 0xF2,
;    0xA2, 0x28, 0x19, 0x89, 0xED, 0xC9, 0x4B, 0x0F, 0x5D, 0xD6, 0xE4, 0x76, 0x15, 0x38, 0xB3, 0xEF,
;    0xA1, 0x2A, 0x1E, 0x89, 0xE8, 0xC6, 0x4D, 0x12, 0x5F, 0xD3, 0xE0, 0x76, 0x18, 0x3B, 0xB1, 0xEA,
;    0x9F, 0x2D, 0x21, 0x89, 0xE4, 0xC3, 0x4F, 0x17, 0x60, 0xD0, 0xDB, 0x76, 0x1E, 0x3E, 0xAE, 0xE5,
;    0x9E, 0x32, 0x26, 0x88, 0xDF, 0xC0, 0x52, 0x1E, 0x62, 0xCB, 0xD6, 0x77, 0x24, 0x41, 0xAC, 0xDF,
;    0x9D, 0x38, 0x2C, 0x88, 0xD9, 0xBB, 0x54, 0x23, 0x63, 0xC5, 0xCF, 0x77, 0x2A, 0x46, 0xA8, 0xD7,
;    0x9A, 0x3D, 0x33, 0x87, 0xD1, 0xB6, 0x59, 0x2C, 0x66, 0xBF, 0xC9, 0x78, 0x32, 0x4B, 0xA4, 0xCF,
;    0x98, 0x44, 0x3A, 0x87, 0xC9, 0xB1, 0x5C, 0x34, 0x69, 0xB9, 0xC1, 0x79, 0x3B, 0x51, 0xA1, 0xC5,
;    0x95, 0x4B, 0x42, 0x85, 0xC0, 0xAA, 0x60, 0x3E, 0x6C, 0xB1, 0xB8, 0x7A, 0x43, 0x58, 0x9C, 0xBC,
;    0x92, 0x51, 0x4B, 0x84, 0xB7, 0xA4, 0x66, 0x48, 0x6F, 0xAA, 0xB0, 0x7B, 0x4D, 0x5E, 0x97, 0xB2,
;    0x8F, 0x59, 0x55, 0x84, 0xAD, 0x9D, 0x6A, 0x53, 0x73, 0xA1, 0xA6, 0x7C, 0x58, 0x65, 0x92, 0xA7,
;    0x8B, 0x62, 0x5E, 0x82, 0xA2, 0x96, 0x70, 0x5E, 0x76, 0x98, 0x9C, 0x7D, 0x63, 0x6C, 0x8C, 0x9C,
;    0x87, 0x6B, 0x68, 0x82, 0x97, 0x8F, 0x75, 0x69, 0x79, 0x90, 0x92, 0x7E, 0x6E, 0x73, 0x87, 0x90,
;    0x84, 0x74, 0x72, 0x81, 0x8C, 0x88, 0x7A, 0x74, 0x7C, 0x86, 0x87, 0x7F, 0x79, 0x7C, 0x82, 0x84,
;    0x81, 0x7F, 0x80, 0x7F, 0x7F, 0x81, 0x80, 0x80, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81,
;    0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81,
;    0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81,
;    0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81,
;    0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x80, 0x81, 0x81, 0x81, 0x81, 0x80, 0x81, 0x81, 0x81,
;    0x81, 0x80, 0x80, 0x81, 0x81, 0x81, 0x80, 0x80, 0x81, 0x81, 0x81, 0x80, 0x80, 0x80, 0x81, 0x81,
;    0x81, 0x80, 0x80, 0x81, 0x81, 0x81, 0x80, 0x80, 0x80, 0x81, 0x81, 0x80, 0x80, 0x80, 0x81, 0x81,
;    0x80, 0x80, 0x80, 0x80, 0x81, 0x81, 0x80, 0x80, 0x80, 0x81, 0x81, 0x80, 0x80, 0x80, 0x81, 0x81,
;    0x80, 0x80, 0x80, 0x80, 0x81, 0x80, 0x80, 0x80, 0x80, 0x81, 0x81, 0x80, 0x80, 0x80, 0x81, 0x81,
;    0x80, 0x80, 0x80, 0x80, 0x81, 0x80, 0x80, 0x80, 0x80, 0x81, 0x80, 0x80, 0x80, 0x80, 0x80, 0x81,
;    0x80, 0x80, 0x80, 0x80, 0x81, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80,
;    0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80,
;    0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80,
;    0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80,
;    0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80,
;    0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80,
;    0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80,
;    0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80,
;    0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80,
;    0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80,
;    0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80,
;    0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80,
;    0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80,
;    0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80,
;    0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80,
;    0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80,
;    0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80,
;    0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80,
;    0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80,
;    0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80,
;    0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80,
;    0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x7F, 0x80, 0x80, 0x7F,
;    0x7F, 0x80, 0x80, 0x7F, 0x80, 0x80, 0x7F, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80,
;    0x80, 0x80, 0x7F, 0x7F, 0x80, 0x7F, 0x7F, 0x80, 0x80, 0x7F, 0x80, 0x80, 0x80, 0x80, 0x7F, 0x80,
;    0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80,
;    0x80, 0x80, 0x80, 0x80, 0x7F, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80,
;    0x80, 0x80, 0x7F, 0x80, 0x80, 0x80, 0x7F, 0x80, 0x80, 0x7F, 0x80, 0x7F, 0x80, 0x80, 0x80, 0x80,
;    0x80, 0x80, 0x80, 0x80, 0x7F, 0x80, 0x80, 0x80, 0x80, 0x7F, 0x80, 0x7F, 0x80, 0x80, 0x80, 0x80,
;    0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x7F, 0x80,
;    0x7F, 0x80, 0x80, 0x80, 0x7F, 0x80, 0x80, 0x7F, 0x80, 0x7F, 0x80, 0x80, 0x80, 0x80, 0x7F, 0x80,
;    0x80, 0x80, 0x80, 0x7F, 0x80, 0x80, 0x80, 0x7F, 0x80, 0x7F, 0x7F, 0x80, 0x80, 0x80, 0x80, 0x80,
;    0x7F, 0x80, 0x80, 0x80, 0x7F, 0x80, 0x80, 0x80, 0x80, 0x7F, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80,
;    0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x7F, 0x80, 0x80, 0x80, 0x80, 0x7F, 0x80, 0x80,
;    0x80, 0x80, 0x80, 0x7F, 0x7F, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x7F, 0x80, 0x80, 0x80,
;    0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x7F, 0x80, 0x80, 0x80,
;    0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80,
;    0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80,
;    0x80, 0x7F, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x7F, 0x80, 0x7F, 0x80, 0x7F, 0x7F, 0x7F,
;    0x80, 0x7F, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x7F, 0x80, 0x7F, 0x80, 0x7F,
;    0x80, 0x80, 0x7F, 0x80, 0x80, 0x7F, 0x80, 0x80, 0x80, 0x7F, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80,
;    0x80, 0x80, 0x80, 0x80, 0x80, 0x7F, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x7F, 0x80, 0x80,
;    0x7F, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x7F, 0x7F, 0x80, 0x80, 0x80, 0x7F, 0x80, 0x80, 0x7F,
;    0x80, 0x80, 0x7F, 0x80, 0x7F, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80,
;    0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x7F, 0x80, 0x80, 0x7F, 0x80, 0x7F, 0x80, 0x80,
;    0x80, 0x7F, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x7F, 0x80, 0x80, 0x80, 0x7F, 0x80,
;    0x7F, 0x7F, 0x80, 0x80, 0x7F, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x7F, 0x80, 0x80, 0x80,
;    0x80, 0x80, 0x80, 0x7F, 0x7F, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x7F, 0x80, 0x7F,
;    0x80, 0x7F, 0x80, 0x7F, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x7F, 0x80, 0x80, 0x80, 0x80, 0x80,
;    0x80, 0x80, 0x7F, 0x80, 0x7F, 0x80, 0x80, 0x80, 0x80, 0x7F, 0x7F, 0x80, 0x7F, 0x80, 0x80, 0x80,
;    0x7F, 0x80, 0x80, 0x80, 0x80, 0x80, 0x7F, 0x80, 0x80, 0x80, 0x80, 0x80, 0x7F, 0x80, 0x7F, 0x80,
;    0x80, 0x80, 0x7F, 0x80, 0x7F, 0x80, 0x80, 0x80, 0x7F, 0x80, 0x80, 0x80, 0x7F, 0x80, 0x80, 0x80,
;    0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x7F, 0x80, 0x7F, 0x80, 0x7F, 0x80, 0x7F,
;    0x80, 0x7F, 0x80, 0x7F, 0x80, 0x7F, 0x80, 0x7F, 0x80, 0x7F, 0x80, 0x7F, 0x80, 0x7F, 0x80, 0x7F,
;    0x80, 0x7F, 0x80, 0x7F, 0x80, 0x7F, 0x80, 0x7F, 0x80, 0x7F, 0x80, 0x7F, 0x80, 0x7F, 0x80, 0x7F,
;    0x80, 0x7F, 0x80, 0x7F, 0x80, 0x7F, 0x80, 0x7F, 0x80, 0x7F, 0x80, 0x7F, 0x80, 0x7F, 0x80, 0x7F,
;    0x80, 0x7F, 0x80, 0x7F, 0x80, 0x7F, 0x80, 0x7F, 0x80, 0x7F, 0x80, 0x7F, 0x80, 0x7F, 0x80, 0x80,
;    0x7F, 0x80, 0x7F, 0x80, 0x7F, 0x80, 0x7F, 0x7F, 0x7E, 0x75, 0x57, 0x60, 0x91, 0xAC, 0x8F, 0x5C,
;    0x54, 0x7F, 0xAC, 0x9F, 0x6B, 0x4C, 0x6C, 0xA4, 0xAE, 0x7E, 0x4D, 0x59, 0x96, 0xB6, 0x92, 0x55,
;    0x4A, 0x80, 0xB5, 0xA7, 0x66, 0x41, 0x68, 0xAB, 0xB8, 0x7D, 0x43, 0x51, 0x99, 0xC1, 0x96, 0x4F,
;    0x40, 0x7F, 0xBF, 0xAF, 0x62, 0x38, 0x65, 0xB2, 0xC1, 0x7D, 0x39, 0x4A, 0x9C, 0xCB, 0x9B, 0x46,
;    0x38, 0x80, 0xC7, 0xB5, 0x5F, 0x2F, 0x61, 0xB9, 0xC8, 0x7D, 0x33, 0x44, 0xA0, 0xD2, 0x9D, 0x41,
;    0x30, 0x80, 0xCF, 0xBB, 0x5C, 0x26, 0x5E, 0xBF, 0xD1, 0x7D, 0x2A, 0x3F, 0xA3, 0xDB, 0xA0, 0x3C,
;    0x29, 0x81, 0xD6, 0xC1, 0x58, 0x1F, 0x5C, 0xC4, 0xD7, 0x7C, 0x24, 0x3B, 0xA6, 0xE1, 0xA3, 0x36,
;    0x23, 0x81, 0xDD, 0xC5, 0x55, 0x19, 0x59, 0xC8, 0xDD, 0x7C, 0x1E, 0x37, 0xA9, 0xE8, 0xA5, 0x33,
;    0x1E, 0x81, 0xE2, 0xC8, 0x54, 0x13, 0x57, 0xCC, 0xE2, 0x7D, 0x19, 0x34, 0xAB, 0xEC, 0xA6, 0x2F,
;    0x1A, 0x81, 0xE6, 0xCB, 0x52, 0x10, 0x56, 0xD0, 0xE6, 0x7C, 0x15, 0x31, 0xAC, 0xF0, 0xA8, 0x2C,
;    0x16, 0x81, 0xE9, 0xCE, 0x51, 0x0C, 0x55, 0xD2, 0xE8, 0x7D, 0x13, 0x2F, 0xAD, 0xF3, 0xA9, 0x2B,
;    0x14, 0x81, 0xEB, 0xD0, 0x50, 0x09, 0x54, 0xD3, 0xEA, 0x7C, 0x12, 0x2E, 0xAE, 0xF4, 0xA9, 0x2A,
;    0x13, 0x81, 0xED, 0xD1, 0x4F, 0x09, 0x54, 0xD4, 0xEB, 0x7D, 0x12, 0x2D, 0xAE, 0xF4, 0xAA, 0x2A,
;    0x13, 0x82, 0xEC, 0xD0, 0x4F, 0x09, 0x54, 0xD3, 0xEA, 0x7D, 0x11, 0x2E, 0xAE, 0xF4, 0xA9, 0x2B,
;    0x14, 0x82, 0xEB, 0xCF, 0x51, 0x0B, 0x55, 0xD2, 0xE8, 0x7C, 0x14, 0x30, 0xAD, 0xF2, 0xA9, 0x2C,
;    0x17, 0x82, 0xE9, 0xCD, 0x52, 0x0E, 0x56, 0xD0, 0xE6, 0x7D, 0x17, 0x31, 0xAC, 0xEE, 0xA7, 0x2F,
;    0x19, 0x81, 0xE5, 0xCB, 0x53, 0x12, 0x57, 0xCE, 0xE2, 0x7C, 0x1B, 0x35, 0xAA, 0xEA, 0xA6, 0x32,
;    0x1D, 0x81, 0xE1, 0xC8, 0x55, 0x16, 0x59, 0xCB, 0xDE, 0x7D, 0x1F, 0x38, 0xA8, 0xE5, 0xA4, 0x36,
;    0x23, 0x80, 0xDB, 0xC4, 0x57, 0x1D, 0x5B, 0xC5, 0xD8, 0x7D, 0x26, 0x3C, 0xA5, 0xDE, 0xA2, 0x3B,
;    0x29, 0x81, 0xD5, 0xBF, 0x5A, 0x23, 0x5E, 0xC0, 0xD2, 0x7D, 0x2C, 0x42, 0xA3, 0xD7, 0x9F, 0x41,
;    0x30, 0x81, 0xCE, 0xB9, 0x5E, 0x2C, 0x61, 0xBB, 0xCA, 0x7D, 0x34, 0x48, 0xA0, 0xCF, 0x9C, 0x46,
;    0x39, 0x81, 0xC6, 0xB4, 0x61, 0x35, 0x65, 0xB5, 0xC2, 0x7E, 0x3C, 0x4E, 0x9C, 0xC6, 0x99, 0x4D,
;    0x41, 0x80, 0xBD, 0xAD, 0x65, 0x3E, 0x68, 0xAD, 0xB9, 0x7E, 0x46, 0x55, 0x98, 0xBB, 0x95, 0x54,
;    0x4A, 0x81, 0xB5, 0xA6, 0x69, 0x48, 0x6B, 0xA6, 0xB0, 0x7F, 0x4F, 0x5C, 0x94, 0xB0, 0x91, 0x5C,
;    0x53, 0x81, 0xAB, 0x9F, 0x6D, 0x53, 0x6F, 0x9E, 0xA6, 0x7F, 0x5A, 0x64, 0x90, 0xA6, 0x8D, 0x64,
;    0x5E, 0x80, 0xA0, 0x97, 0x72, 0x5E, 0x74, 0x96, 0x9C, 0x7F, 0x64, 0x6B, 0x8A, 0x9B, 0x89, 0x6D,
;    0x68, 0x7F, 0x95, 0x8F, 0x77, 0x6A, 0x77, 0x8E, 0x91, 0x7F, 0x6E, 0x74, 0x86, 0x8F, 0x85, 0x76,
;    0x74, 0x7F, 0x8A, 0x88, 0x7B, 0x75, 0x7C, 0x86, 0x87, 0x80, 0x7A, 0x7C, 0x82, 0x83, 0x81, 0x7E,
;    0x7D, 0x7F, 0x80, 0x7F, 0x80, 0x82, 0x81, 0x7D, 0x7C, 0x80, 0x85, 0x84, 0x7C, 0x78, 0x7C, 0x86,
;    0x88, 0x7F, 0x75, 0x76, 0x84, 0x8D, 0x85, 0x75, 0x71, 0x81, 0x8F, 0x8C, 0x78, 0x6C, 0x78, 0x8F,
;    0x94, 0x7F, 0x6A, 0x6E, 0x89, 0x99, 0x88, 0x6C, 0x66, 0x80, 0x9B, 0x93, 0x73, 0x60, 0x74, 0x97,
;    0x9E, 0x7F, 0x5F, 0x67, 0x8F, 0xA4, 0x8D, 0x64, 0x5C, 0x81, 0xA6, 0x9C, 0x6F, 0x55, 0x70, 0x9F,
;    0xA8, 0x7E, 0x55, 0x5F, 0x92, 0xAF, 0x91, 0x5D, 0x52, 0x81, 0xAF, 0xA4, 0x6B, 0x4B, 0x6C, 0xA7,
;    0xB1, 0x7E, 0x4B, 0x58, 0x96, 0xB9, 0x95, 0x54, 0x49, 0x81, 0xB9, 0xAA, 0x66, 0x40, 0x69, 0xAE,
;    0xBB, 0x7E, 0x41, 0x51, 0x9B, 0xC3, 0x99, 0x4E, 0x40, 0x81, 0xC2, 0xB2, 0x62, 0x36, 0x65, 0xB5,
;    0xC4, 0x7E, 0x38, 0x4B, 0x9F, 0xCD, 0x9B, 0x47, 0x37, 0x81, 0xCB, 0xB7, 0x5F, 0x2E, 0x61, 0xBB,
;    0xCC, 0x7D, 0x31, 0x45, 0xA2, 0xD6, 0x9F, 0x40, 0x2F, 0x81, 0xD2, 0xBD, 0x5B, 0x26, 0x5E, 0xC1,
;    0xD4, 0x7D, 0x2A, 0x40, 0xA6, 0xDD, 0xA1, 0x3B, 0x29, 0x81, 0xD8, 0xC1, 0x58, 0x1E, 0x5C, 0xC7,
;    0xDA, 0x7E, 0x24, 0x3B, 0xA8, 0xE4, 0xA4, 0x37, 0x23, 0x82, 0xDF, 0xC6, 0x56, 0x18, 0x5A, 0xCB,
;    0xDF, 0x7D, 0x1E, 0x36, 0xAA, 0xE9, 0xA6, 0x33, 0x1E, 0x81, 0xE4, 0xCA, 0x54, 0x13, 0x58, 0xCE,
;    0xE4, 0x7D, 0x19, 0x33, 0xAC, 0xEE, 0xA8, 0x2F, 0x19, 0x81, 0xE8, 0xCD, 0x52, 0x0F, 0x57, 0xD1,
;    0xE8, 0x7D, 0x17, 0x2D, 0x96, 0xF0, 0xBE, 0x40, 0x08, 0x52, 0xD0, 0xEA, 0x81, 0x16, 0x2C, 0xAA,
;    0xF3, 0xAD, 0x2F, 0x14, 0x7E, 0xEB, 0xD3, 0x55, 0x0B, 0x51, 0xD1, 0xEC, 0x81, 0x14, 0x2B, 0xAB,
;    0xF5, 0xAE, 0x2E, 0x12, 0x7F, 0xEB, 0xD4, 0x54, 0x0A, 0x51, 0xD2, 0xED, 0x81, 0x13, 0x2B, 0xAB,
;    0xF5, 0xAE, 0x2E, 0x12, 0x7E, 0xEC, 0xD4, 0x54, 0x0B, 0x51, 0xD1, 0xEC, 0x82, 0x14, 0x2B, 0xAB,
;    0xF4, 0xAE, 0x2E, 0x13, 0x7E, 0xEA, 0xD3, 0x55, 0x0B, 0x52, 0xD1, 0xEB, 0x81, 0x15, 0x2D, 0xAA,
;    0xF3, 0xAD, 0x2F, 0x16, 0x7E, 0xE9, 0xD1, 0x56, 0x0F, 0x53, 0xCE, 0xE8, 0x81, 0x19, 0x2F, 0xA9,
;    0xEF, 0xAB, 0x33, 0x19, 0x7E, 0xE5, 0xCF, 0x57, 0x13, 0x54, 0xCB, 0xE5, 0x81, 0x1C, 0x32, 0xA7,
;    0xEB, 0xAA, 0x35, 0x1D, 0x7E, 0xE0, 0xCB, 0x59, 0x17, 0x56, 0xC8, 0xE0, 0x81, 0x21, 0x36, 0xA5,
;    0xE5, 0xA8, 0x39, 0x22, 0x7E, 0xDB, 0xC7, 0x5B, 0x1D, 0x59, 0xC3, 0xDA, 0x81, 0x27, 0x3B, 0xA3,
;    0xDF, 0xA5, 0x3E, 0x28, 0x7E, 0xD6, 0xC3, 0x5D, 0x23, 0x5B, 0xBF, 0xD3, 0x81, 0x2D, 0x3F, 0xA0,
;    0xD8, 0xA2, 0x43, 0x2F, 0x7E, 0xCD, 0xBD, 0x61, 0x2C, 0x5E, 0xB9, 0xCC, 0x81, 0x35, 0x45, 0x9D,
;    0xD0, 0x9F, 0x49, 0x37, 0x7E, 0xC7, 0xB7, 0x63, 0x34, 0x61, 0xB4, 0xC5, 0x81, 0x3D, 0x4C, 0x9A,
;    0xC6, 0x9B, 0x4F, 0x3F, 0x7E, 0xBD, 0xAF, 0x67, 0x3D, 0x66, 0xAC, 0xBB, 0x81, 0x46, 0x53, 0x96,
;    0xBC, 0x97, 0x56, 0x49, 0x7F, 0xB5, 0xA9, 0x6C, 0x48, 0x69, 0xA5, 0xB2, 0x81, 0x4F, 0x5A, 0x92,
;    0xB1, 0x93, 0x5D, 0x53, 0x7F, 0xAB, 0xA1, 0x6F, 0x53, 0x6E, 0x9F, 0xA7, 0x80, 0x59, 0x62, 0x8E,
;    0xA7, 0x8F, 0x65, 0x5D, 0x7E, 0xA0, 0x98, 0x73, 0x5D, 0x72, 0x96, 0x9D, 0x80, 0x64, 0x6A, 0x8A,
;    0x9C, 0x8A, 0x6C, 0x67, 0x7F, 0x96, 0x91, 0x77, 0x69, 0x77, 0x8E, 0x93, 0x80, 0x6F, 0x72, 0x86,
;    0x90, 0x86, 0x75, 0x72, 0x7F, 0x8C, 0x88, 0x7B, 0x74, 0x7B, 0x86, 0x88, 0x80, 0x79, 0x7B, 0x81,
;    0x84, 0x81, 0x7D, 0x7C, 0x80, 0x81, 0x80, 0x80, 0x80, 0x80, 0x7D, 0x7D, 0x80, 0x84, 0x83, 0x7D,
;    0x79, 0x7D, 0x86, 0x88, 0x7F, 0x76, 0x78, 0x84, 0x8D, 0x85, 0x76, 0x71, 0x7F, 0x8F, 0x8C, 0x78,
;    0x6C, 0x78, 0x8E, 0x93, 0x80, 0x6B, 0x70, 0x88, 0x99, 0x8A, 0x6E, 0x67, 0x7F, 0x99, 0x94, 0x75,
;    0x61, 0x74, 0x96, 0x9E, 0x80, 0x60, 0x68, 0x8C, 0xA2, 0x8E, 0x65, 0x5C, 0x80, 0xA4, 0x9D, 0x71,
;    0x56, 0x70, 0x9E, 0xA9, 0x81, 0x57, 0x5F, 0x91, 0xAE, 0x92, 0x5E, 0x52, 0x80, 0xAE, 0xA4, 0x6D,
;    0x4C, 0x6B, 0xA5, 0xB2, 0x80, 0x4D, 0x57, 0x94, 0xB9, 0x96, 0x57, 0x49, 0x7F, 0xB7, 0xAB, 0x69,
;    0x41, 0x67, 0xAC, 0xBC, 0x80, 0x43, 0x50, 0x99, 0xC3, 0x9A, 0x4F, 0x40, 0x7F, 0xC0, 0xB2, 0x65,
;    0x37, 0x63, 0xB3, 0xC4, 0x80, 0x3A, 0x49, 0x9C, 0xCC, 0x9D, 0x49, 0x37, 0x7F, 0xC8, 0xB9, 0x61,
;    0x2E, 0x5F, 0xB9, 0xCD, 0x81, 0x33, 0x44, 0x9F, 0xD5, 0xA2, 0x44, 0x2F, 0x7F, 0xD0, 0xBF, 0x5F,
;    0x27, 0x5C, 0xBF, 0xD4, 0x80, 0x2B, 0x3E, 0xA2, 0xDC, 0xA4, 0x3D, 0x28, 0x7F, 0xD7, 0xC4, 0x5C,
;    0x1F, 0x59, 0xC3, 0xDA, 0x80, 0x25, 0x39, 0xA5, 0xE3, 0xA7, 0x3A, 0x22, 0x7F, 0xDD, 0xC9, 0x5A,
;    0x18, 0x57, 0xC8, 0xE1, 0x81, 0x20, 0x34, 0xA6, 0xE9, 0xA9, 0x35, 0x1D, 0x7E, 0xE2, 0xCD, 0x58,
;    0x14, 0x54, 0xCC, 0xE5, 0x81, 0x1B, 0x30, 0xA8, 0xEE, 0xAB, 0x33, 0x18, 0x7E, 0xE6, 0xD0, 0x57,
;    0x10, 0x53, 0xCF, 0xE9, 0x80, 0x18, 0x2F, 0xAA, 0xF2, 0xAD, 0x30, 0x15, 0x7F, 0xE9, 0xD2, 0x55,
;    0x0C, 0x52, 0xD1, 0xEB, 0x81, 0x15, 0x2C, 0xAA, 0xF3, 0xAE, 0x2E, 0x14, 0x7E, 0xEA, 0xD3, 0x55,
;    0x0B, 0x52, 0xD2, 0xEC, 0x81, 0x14, 0x2C, 0xAB, 0xF4, 0xAE, 0x2E, 0x12, 0x7E, 0xEC, 0xD4, 0x54,
;    0x0A, 0x51, 0xD2, 0xED, 0x81, 0x14, 0x2C, 0xAB, 0xF5, 0xAE, 0x2D, 0x12, 0x7E, 0xEB, 0xD3, 0x54,
;    0x0A, 0x52, 0xD1, 0xEC, 0x82, 0x14, 0x2C, 0xAB, 0xF4, 0xAD, 0x2E, 0x14, 0x7E, 0xEA, 0xD3, 0x55,
;    0x0D, 0x52, 0xD0, 0xEA, 0x81, 0x16, 0x2D, 0xAA, 0xF2, 0xAD, 0x2F, 0x16, 0x7E, 0xE7, 0xD0, 0x56,
;    0x0F, 0x53, 0xCE, 0xE8, 0x81, 0x19, 0x30, 0xA8, 0xEE, 0xAB, 0x32, 0x19, 0x7E, 0xE4, 0xCD, 0x57,
;    0x13, 0x55, 0xCB, 0xE4, 0x81, 0x1D, 0x33, 0xA7, 0xEA, 0xA9, 0x36, 0x1E, 0x7E, 0xDF, 0xCA, 0x5A,
;    0x18, 0x57, 0xC7, 0xDE, 0x81, 0x22, 0x37, 0xA5, 0xE4, 0xA7, 0x3A, 0x23, 0x7E, 0xDA, 0xC6, 0x5B,
;    0x1E, 0x59, 0xC2, 0xD8, 0x81, 0x28, 0x3C, 0xA2, 0xDD, 0xA5, 0x3F, 0x2A, 0x7F, 0xD4, 0xC1, 0x5E,
;    0x26, 0x5D, 0xBE, 0xD2, 0x80, 0x2F, 0x41, 0x9F, 0xD6, 0xA1, 0x44, 0x31, 0x7E, 0xCC, 0xBB, 0x61,
;    0x2E, 0x5F, 0xB8, 0xCA, 0x81, 0x37, 0x47, 0x9D, 0xCD, 0x9E, 0x4A, 0x39, 0x7F, 0xC4, 0xB5, 0x64,
;    0x37, 0x63, 0xB1, 0xC2, 0x80, 0x3F, 0x4E, 0x99, 0xC5, 0x9A, 0x50, 0x42, 0x7F, 0xBC, 0xAD, 0x67,
;    0x40, 0x67, 0xAB, 0xB9, 0x80, 0x48, 0x55, 0x95, 0xB9, 0x96, 0x58, 0x4B, 0x7E, 0xB2, 0xA7, 0x6C,
;    0x4B, 0x6B, 0xA4, 0xAF, 0x80, 0x51, 0x5C, 0x91, 0xAF, 0x92, 0x5F, 0x54, 0x7F, 0xA9, 0x9F, 0x70,
;    0x55, 0x6F, 0x9C, 0xA5, 0x80, 0x5C, 0x64, 0x8D, 0xA4, 0x8E, 0x67, 0x5C, 0x77, 0x9A, 0x9C, 0x7A,
;    0x60, 0x69, 0x89, 0x9C, 0x8C, 0x6D, 0x66, 0x7E, 0x97, 0x93, 0x77, 0x68, 0x75, 0x8E, 0x94, 0x81,
;    0x6E, 0x71, 0x85, 0x92, 0x87, 0x75, 0x71, 0x7F, 0x8C, 0x89, 0x7B, 0x74, 0x7A, 0x86, 0x89, 0x81,
;    0x79, 0x7B, 0x82, 0x85, 0x81, 0x7C, 0x7C, 0x7F, 0x82, 0x80, 0x7E, 0x80, 0x80, 0x7E, 0x7E, 0x7F,
;    0x82, 0x83, 0x7D, 0x79, 0x7C, 0x84, 0x87, 0x80, 0x77, 0x78, 0x83, 0x8A, 0x84, 0x77, 0x73, 0x80,
;    0x8D, 0x8C, 0x79, 0x6E, 0x77, 0x8C, 0x92, 0x80, 0x6D, 0x70, 0x87, 0x97, 0x8A, 0x6F, 0x67, 0x7E,
;    0x99, 0x94, 0x76, 0x63, 0x73, 0x94, 0x9C, 0x81, 0x62, 0x67, 0x8C, 0xA2, 0x8F, 0x67, 0x5D, 0x7E,
;    0xA2, 0x9C, 0x72, 0x57, 0x6E, 0x9C, 0xA8, 0x81, 0x58, 0x5E, 0x8F, 0xAD, 0x93, 0x5F, 0x52, 0x7D,
;    0xAC, 0xA4, 0x6E, 0x4C, 0x69, 0xA3, 0xB2, 0x81, 0x4E, 0x56, 0x92, 0xB8, 0x98, 0x58, 0x48, 0x7D,
;    0xB5, 0xAC, 0x6B, 0x41, 0x65, 0xAA, 0xBC, 0x82, 0x44, 0x4F, 0x96, 0xC2, 0x9C, 0x52, 0x3F, 0x7C,
;    0xBF, 0xB3, 0x67, 0x38, 0x60, 0xB1, 0xC4, 0x83, 0x3D, 0x48, 0x9A, 0xCC, 0xA1, 0x4C, 0x36, 0x7C,
;    0xC7, 0xBA, 0x65, 0x30, 0x5D, 0xB7, 0xCD, 0x83, 0x34, 0x42, 0x9C, 0xD4, 0xA3, 0x46, 0x2E, 0x7C,
;    0xCF, 0xC0, 0x61, 0x27, 0x5A, 0xBB, 0xD4, 0x84, 0x2D, 0x3B, 0x9F, 0xDC, 0xA7, 0x41, 0x27, 0x7B,
;    0xD5, 0xC6, 0x5F, 0x1F, 0x56, 0xC0, 0xDB, 0x84, 0x27, 0x37, 0xA2, 0xE3, 0xAA, 0x3C, 0x20, 0x7B,
;    0xDB, 0xCA, 0x5D, 0x19, 0x54, 0xC5, 0xE0, 0x84, 0x21, 0x32, 0xA3, 0xE8, 0xAC, 0x39, 0x1C, 0x7B,
;    0xE0, 0xCE, 0x5B, 0x14, 0x52, 0xC8, 0xE6, 0x85, 0x1D, 0x2F, 0xA4, 0xED, 0xAF, 0x35, 0x18, 0x7B,
;    0xE4, 0xD2, 0x5A, 0x0F, 0x50, 0xCB, 0xEA, 0x85, 0x19, 0x2C, 0xA6, 0xF1, 0xB0, 0x32, 0x14, 0x7A,
;    0xE7, 0xD4, 0x58, 0x0C, 0x4E, 0xCD, 0xEC, 0x85, 0x17, 0x2A, 0xA7, 0xF3, 0xB1, 0x31, 0x12, 0x7A,
;    0xEA, 0xD6, 0x58, 0x0A, 0x4E, 0xCF, 0xEE, 0x85, 0x16, 0x29, 0xA7, 0xF5, 0xB2, 0x31, 0x11, 0x7A,
;    0xEA, 0xD7, 0x58, 0x09, 0x4D, 0xCF, 0xEE, 0x85, 0x15, 0x29, 0xA7, 0xF5, 0xB2, 0x30, 0x11, 0x7A,
;    0xE9, 0xD7, 0x58, 0x0A, 0x4E, 0xCE, 0xEE, 0x86, 0x15, 0x29, 0xA7, 0xF4, 0xB2, 0x32, 0x12, 0x7A,
;    0xE8, 0xD5, 0x58, 0x0C, 0x4E, 0xCD, 0xEC, 0x85, 0x18, 0x2A, 0xA7, 0xF2, 0xB1, 0x33, 0x15, 0x7A,
;    0xE6, 0xD3, 0x59, 0x0F, 0x4F, 0xCB, 0xE9, 0x84, 0x1A, 0x2D, 0xA6, 0xEF, 0xAF, 0x35, 0x18, 0x7A,
;    0xE2, 0xD0, 0x5A, 0x12, 0x51, 0xC9, 0xE6, 0x84, 0x1E, 0x30, 0xA4, 0xE9, 0xAD, 0x39, 0x1D, 0x7B,
;    0xDE, 0xCD, 0x5C, 0x18, 0x53, 0xC5, 0xE0, 0x85, 0x23, 0x34, 0xA2, 0xE5, 0xAB, 0x3C, 0x21, 0x7A,
;    0xD9, 0xC9, 0x5E, 0x1E, 0x56, 0xC1, 0xDA, 0x84, 0x29, 0x39, 0x9F, 0xDE, 0xA8, 0x41, 0x28, 0x7B,
;    0xD3, 0xC3, 0x61, 0x25, 0x59, 0xBB, 0xD4, 0x85, 0x30, 0x3F, 0x9D, 0xD6, 0xA5, 0x46, 0x2F, 0x7C,
;    0xCC, 0xBE, 0x64, 0x2D, 0x5C, 0xB6, 0xCC, 0x83, 0x37, 0x44, 0x9A, 0xCE, 0xA1, 0x4B, 0x37, 0x7B,
;    0xC4, 0xB7, 0x66, 0x35, 0x60, 0xB0, 0xC3, 0x83, 0x40, 0x4B, 0x96, 0xC4, 0x9E, 0x52, 0x40, 0x7C,
;    0xBB, 0xB0, 0x6A, 0x3F, 0x64, 0xAA, 0xBA, 0x82, 0x48, 0x52, 0x93, 0xBB, 0x99, 0x59, 0x4A, 0x7D,
;    0xB2, 0xA9, 0x6D, 0x4A, 0x68, 0xA3, 0xB1, 0x82, 0x51, 0x5B, 0x90, 0xB1, 0x95, 0x60, 0x54, 0x7D,
;    0xA8, 0xA1, 0x71, 0x54, 0x6D, 0x9C, 0xA7, 0x82, 0x5B, 0x63, 0x8C, 0xA6, 0x90, 0x67, 0x5E, 0x7E,
;    0x9F, 0x99, 0x75, 0x60, 0x72, 0x95, 0x9C, 0x81, 0x66, 0x6B, 0x89, 0x9A, 0x8B, 0x6F, 0x68, 0x7E,
;    0x94, 0x90, 0x79, 0x6B, 0x78, 0x8D, 0x91, 0x81, 0x70, 0x73, 0x81, 0x80, 0x7F, 0x80, 0x7F, 0x80,
;    0x81, 0x80, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81,
;    0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81,
;    0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81,
;    0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81,
;    0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81,
;    0x81, 0x81, 0x81, 0x80, 0x81, 0x81, 0x81, 0x81, 0x80, 0x81, 0x81, 0x81, 0x81, 0x80, 0x80, 0x81,
;    0x81, 0x81, 0x80, 0x80, 0x81, 0x81, 0x81, 0x80, 0x80, 0x80, 0x81, 0x81, 0x81, 0x80, 0x80, 0x81,
;    0x81, 0x81, 0x80, 0x80, 0x80, 0x81, 0x81, 0x80, 0x80, 0x80, 0x81, 0x81, 0x80, 0x80, 0x80, 0x80,
;    0x81, 0x81, 0x80, 0x80, 0x80, 0x81, 0x81, 0x80, 0x80, 0x80, 0x81, 0x81, 0x80, 0x80, 0x80, 0x80,
;    0x81, 0x80, 0x80, 0x80, 0x80, 0x81, 0x81, 0x80, 0x80, 0x80, 0x80, 0x81, 0x80, 0x80, 0x80, 0x80,
;    0x81, 0x80, 0x80, 0x80, 0x80, 0x81, 0x80, 0x80, 0x80, 0x80, 0x80, 0x81, 0x80, 0x80, 0x80, 0x80,
;    0x81, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80,
;    0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80,
;    0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80,
;    0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80,
;    0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80,
;    0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80,
;    0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80,
;    0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80,
;    0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80,
;    0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80,
;    0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80,
;    0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80,
;    0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80,
;    0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80,
;    0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80,
;    0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80,
;    0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80,
;    0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80,
;    0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80,
;    0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80,
;    0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x7F, 0x80, 0x80, 0x80, 0x7F, 0x80, 0x7F, 0x7F,
;    0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x7F, 0x80, 0x80, 0x80, 0x7F, 0x80, 0x80,
;    0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80,
;    0x80, 0x80, 0x7F, 0x80, 0x7F, 0x7F, 0x7F, 0x80, 0x80, 0x80, 0x7F, 0x80, 0x80, 0x80, 0x80, 0x80,
;    0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x7F, 0x7F, 0x80, 0x80, 0x80, 0x80, 0x7F, 0x7F,
;    0x80, 0x7F, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x7F, 0x80, 0x80, 0x80,
;    0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80,
;    0x80, 0x80, 0x80, 0x80, 0x80, 0x7F, 0x80, 0x80, 0x80, 0x80, 0x7F, 0x7F, 0x80, 0x80, 0x80, 0x80,
;    0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x7F, 0x80, 0x80, 0x7F, 0x80, 0x80,
;    0x80, 0x80, 0x80, 0x80, 0x80, 0x7F, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x7F, 0x7F, 0x7F, 0x7F,
;    0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80,
;    0x80, 0x80, 0x80, 0x7F, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80,
;    0x7F, 0x7F, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80,
;    0x80, 0x7F, 0x7F, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x7F, 0x80, 0x80, 0x80,
;    0x7F, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x7F, 0x80, 0x7F, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80,
;    0x7F, 0x80, 0x80, 0x80, 0x80, 0x80, 0x7F, 0x80, 0x7F, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80,
;    0x80, 0x80, 0x80, 0x80, 0x7F, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80,
;    0x80, 0x7F, 0x80, 0x80, 0x80, 0x7F, 0x7F, 0x7F, 0x80, 0x80, 0x7F, 0x80, 0x80, 0x80, 0x80, 0x7F,
;    0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x7F, 0x80, 0x80, 0x80, 0x80, 0x7F, 0x80, 0x7F, 0x80, 0x80,
;    0x80, 0x80, 0x80, 0x80, 0x7F, 0x80, 0x80, 0x7F, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80,
;    0x80, 0x80, 0x80, 0x80, 0x80, 0x7F, 0x80, 0x80, 0x80, 0x7F, 0x80, 0x80, 0x80, 0x80, 0x7F, 0x80,
;    0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x7F, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80,
;    0x80, 0x80, 0x80, 0x80, 0x7F, 0x7F, 0x80, 0x80, 0x80, 0x7F, 0x80, 0x80, 0x80, 0x80, 0x7F, 0x80,
;    0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x7F, 0x80, 0x80,
;    0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x7F, 0x80, 0x80, 0x80, 0x7F,
;    0x80, 0x80, 0x7F, 0x80, 0x80, 0x7F, 0x80, 0x7F, 0x80, 0x7F, 0x7F, 0x80, 0x80, 0x80, 0x80, 0x80,
;    0x80, 0x80, 0x7F, 0x80, 0x80, 0x80, 0x80, 0x80, 0x7F, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80,
;    0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x7F, 0x80, 0x80, 0x7F,
;    0x7F, 0x80, 0x80, 0x80, 0x7F, 0x80, 0x7F, 0x80, 0x7F, 0x80, 0x7F, 0x80, 0x7F, 0x80, 0x7F, 0x80,
;    0x7F, 0x80, 0x7F, 0x80, 0x7F, 0x80, 0x7F, 0x80, 0x7F, 0x80, 0x7F, 0x80, 0x7F, 0x80, 0x7F, 0x80,
;    0x7F, 0x80, 0x7F, 0x80, 0x7F, 0x80, 0x7F, 0x80, 0x7F, 0x80, 0x7F, 0x80, 0x7F, 0x80, 0x7F, 0x80,
;    0x7F, 0x80, 0x7F, 0x80, 0x7F, 0x80, 0x7F, 0x80, 0x7F, 0x80, 0x7F, 0x80, 0x7F, 0x80, 0x80, 0x80,
;    0x7F, 0x80, 0x80, 0x80, 0x80, 0x7F, 0x80, 0x7F, 0x80, 0x7F, 0x80, 0x7F, 0x80, 0x7F, 0x80, 0x7F,
;    0x80, 0x7F, 0x80, 0x7F, 0x80, 0x7F, 0x80, 0x7F, 0x80, 0x7F, 0x80, 0x7F, 0x80, 0x7F, 0x80, 0x7F,
;    0x80, 0x7F, 0x80, 0x7F, 0x80, 0x7F, 0x80, 0x7F, 0x80, 0x7F, 0x80, 0x7F, 0x80, 0x7F, 0x80, 0x7F,
;    0x80, 0x7F, 0x7F, 0x7F, 0x92, 0x9A, 0x76, 0x5D, 0x6B, 0x92, 0xA1, 0x85, 0x5E, 0x5F, 0x87, 0xA6,
;    0x95, 0x68, 0x56, 0x77, 0xA3, 0xA3, 0x75, 0x52, 0x65, 0x99, 0xAC, 0x87, 0x55, 0x56, 0x89, 0xB0,
;    0x9A, 0x61, 0x4B, 0x75, 0xAB, 0xAB, 0x73, 0x47, 0x60, 0x9F, 0xB7, 0x89, 0x4D, 0x4E, 0x8B, 0xBB,
;    0xA0, 0x5A, 0x41, 0x73, 0xB4, 0xB4, 0x70, 0x3D, 0x5A, 0xA4, 0xC1, 0x8B, 0x45, 0x45, 0x8D, 0xC3,
;    0xA5, 0x56, 0x37, 0x71, 0xBC, 0xBB, 0x6F, 0x34, 0x55, 0xAA, 0xC9, 0x8C, 0x3D, 0x3E, 0x8E, 0xCC,
;    0xAA, 0x50, 0x2E, 0x6F, 0xC4, 0xC3, 0x6D, 0x2C, 0x50, 0xAF, 0xD2, 0x8E, 0x36, 0x37, 0x91, 0xD4,
;    0xAF, 0x4C, 0x28, 0x6E, 0xCB, 0xC9, 0x6B, 0x24, 0x4C, 0xB3, 0xD9, 0x8F, 0x2F, 0x31, 0x92, 0xDC,
;    0xB3, 0x48, 0x20, 0x6D, 0xD1, 0xD0, 0x6A, 0x1E, 0x48, 0xB7, 0xE0, 0x90, 0x2A, 0x2B, 0x94, 0xE3,
;    0xB6, 0x44, 0x1A, 0x6C, 0xD6, 0xD4, 0x68, 0x18, 0x46, 0xBA, 0xE6, 0x92, 0x25, 0x27, 0x95, 0xE9,
;    0xB9, 0x41, 0x14, 0x6B, 0xDA, 0xD9, 0x67, 0x13, 0x43, 0xBD, 0xEB, 0x93, 0x22, 0x23, 0x96, 0xEC,
;    0xBC, 0x40, 0x11, 0x6A, 0xDE, 0xDC, 0x67, 0x0F, 0x41, 0xBF, 0xEF, 0x94, 0x1F, 0x21, 0x96, 0xF0,
;    0xBE, 0x3E, 0x0D, 0x6A, 0xE0, 0xDE, 0x66, 0x0D, 0x40, 0xC0, 0xF1, 0x94, 0x1D, 0x1F, 0x96, 0xF1,
;    0xBE, 0x3C, 0x0C, 0x69, 0xE1, 0xDF, 0x66, 0x0C, 0x3F, 0xC1, 0xF2, 0x95, 0x1C, 0x1D, 0x97, 0xF2,
;    0xBF, 0x3D, 0x0C, 0x6A, 0xE1, 0xE0, 0x67, 0x0B, 0x3E, 0xC2, 0xF2, 0x94, 0x1C, 0x1E, 0x97, 0xF1,
;    0xBE, 0x3C, 0x0B, 0x6A, 0xE1, 0xDF, 0x67, 0x0C, 0x40, 0xC1, 0xF1, 0x94, 0x1D, 0x1F, 0x97, 0xF1,
;    0xBE, 0x3D, 0x0E, 0x6A, 0xDF, 0xDE, 0x67, 0x0E, 0x40, 0xC0, 0xEF, 0x94, 0x1F, 0x21, 0x97, 0xEE,
;    0xBC, 0x3F, 0x11, 0x6A, 0xDD, 0xDC, 0x68, 0x11, 0x42, 0xBE, 0xEB, 0x93, 0x23, 0x25, 0x95, 0xEA,
;    0xBB, 0x42, 0x14, 0x6B, 0xD9, 0xD8, 0x69, 0x15, 0x44, 0xBB, 0xE7, 0x92, 0x26, 0x28, 0x94, 0xE6,
;    0xB8, 0x44, 0x1A, 0x6C, 0xD5, 0xD3, 0x6A, 0x1B, 0x48, 0xB8, 0xE2, 0x91, 0x2B, 0x2D, 0x93, 0xE0,
;    0xB5, 0x47, 0x20, 0x6E, 0xCF, 0xCE, 0x6B, 0x22, 0x4B, 0xB4, 0xDB, 0x90, 0x30, 0x33, 0x92, 0xD9,
;    0xB0, 0x4B, 0x27, 0x6F, 0xCA, 0xC8, 0x6D, 0x29, 0x50, 0xB1, 0xD3, 0x8E, 0x37, 0x39, 0x91, 0xD2,
;    0xAD, 0x51, 0x2F, 0x70, 0xC2, 0xC1, 0x6F, 0x31, 0x54, 0xAC, 0xCB, 0x8D, 0x3F, 0x41, 0x8F, 0xC9,
;    0xA7, 0x56, 0x38, 0x72, 0xBB, 0xBA, 0x70, 0x3A, 0x59, 0xA7, 0xC2, 0x8B, 0x47, 0x48, 0x8D, 0xBF,
;    0xA2, 0x5B, 0x42, 0x74, 0xB3, 0xB2, 0x73, 0x44, 0x5F, 0xA0, 0xB8, 0x8A, 0x4F, 0x51, 0x8B, 0xB6,
;    0x9D, 0x61, 0x4B, 0x75, 0xAB, 0xAA, 0x75, 0x4E, 0x64, 0x9A, 0xAD, 0x88, 0x58, 0x59, 0x88, 0xAB,
;    0x97, 0x66, 0x55, 0x78, 0xA1, 0xA1, 0x77, 0x59, 0x6B, 0x94, 0xA3, 0x86, 0x61, 0x62, 0x86, 0xA0,
;    0x91, 0x6E, 0x60, 0x7A, 0x98, 0x96, 0x79, 0x65, 0x71, 0x8E, 0x98, 0x84, 0x6B, 0x6C, 0x83, 0x95,
;    0x8B, 0x74, 0x6C, 0x7C, 0x8E, 0x8D, 0x7B, 0x70, 0x77, 0x88, 0x8D, 0x81, 0x75, 0x76, 0x81, 0x8A,
;    0x84, 0x7B, 0x78, 0x7E, 0x85, 0x84, 0x7F, 0x7C, 0x7E, 0x81, 0x82, 0x7F, 0x7E, 0x80, 0x7F, 0x7E,
;    0x7E, 0x81, 0x82, 0x80, 0x7B, 0x7A, 0x81, 0x86, 0x84, 0x7A, 0x75, 0x7D, 0x89, 0x8A, 0x7D, 0x72,
;    0x78, 0x88, 0x8F, 0x83, 0x71, 0x71, 0x83, 0x93, 0x8B, 0x73, 0x6A, 0x7B, 0x94, 0x93, 0x7A, 0x67,
;    0x72, 0x8E, 0x9B, 0x85, 0x67, 0x68, 0x86, 0x9E, 0x90, 0x6D, 0x5F, 0x79, 0x9C, 0x9D, 0x78, 0x5C,
;    0x6B, 0x95, 0xA5, 0x86, 0x5D, 0x5E, 0x88, 0xAA, 0x97, 0x67, 0x54, 0x77, 0xA6, 0xA6, 0x75, 0x51,
;    0x65, 0x9B, 0xB0, 0x88, 0x54, 0x54, 0x8B, 0xB4, 0x9C, 0x61, 0x4A, 0x75, 0xAF, 0xAE, 0x74, 0x46,
;    0x60, 0xA2, 0xBA, 0x8A, 0x4C, 0x4D, 0x8D, 0xBE, 0xA2, 0x5B, 0x3F, 0x73, 0xB8, 0xB7, 0x71, 0x3C,
;    0x5A, 0xA7, 0xC4, 0x8C, 0x43, 0x43, 0x8F, 0xC7, 0xA7, 0x55, 0x36, 0x72, 0xBF, 0xBE, 0x6F, 0x33,
;    0x55, 0xAC, 0xCE, 0x8E, 0x3D, 0x3E, 0x90, 0xD0, 0xAD, 0x51, 0x2E, 0x71, 0xC7, 0xC6, 0x6D, 0x2B,
;    0x50, 0xB1, 0xD5, 0x90, 0x35, 0x36, 0x92, 0xD8, 0xB0, 0x4B, 0x26, 0x6F, 0xCD, 0xCC, 0x6C, 0x23,
;    0x4C, 0xB6, 0xDC, 0x91, 0x2F, 0x30, 0x94, 0xDF, 0xB4, 0x48, 0x20, 0x6D, 0xD2, 0xD2, 0x6A, 0x1D,
;    0x48, 0xB9, 0xE2, 0x92, 0x2A, 0x2B, 0x94, 0xE5, 0xB7, 0x45, 0x19, 0x6D, 0xD7, 0xD7, 0x68, 0x19,
;    0x3F, 0xA6, 0xEB, 0xA8, 0x34, 0x1C, 0x7C, 0xDA, 0xDB, 0x6D, 0x15, 0x41, 0xBA, 0xEC, 0x98, 0x25,
;    0x22, 0x93, 0xEC, 0xC0, 0x43, 0x11, 0x67, 0xDC, 0xDF, 0x6C, 0x11, 0x3F, 0xBC, 0xEF, 0x98, 0x22,
;    0x1F, 0x94, 0xEF, 0xC1, 0x41, 0x0E, 0x67, 0xDE, 0xE1, 0x6B, 0x0E, 0x3D, 0xBD, 0xF2, 0x99, 0x20,
;    0x1D, 0x94, 0xF2, 0xC2, 0x40, 0x0D, 0x66, 0xDF, 0xE2, 0x6B, 0x0D, 0x3C, 0xBE, 0xF3, 0x99, 0x20,
;    0x1C, 0x93, 0xF2, 0xC3, 0x41, 0x0B, 0x66, 0xE0, 0xE3, 0x6B, 0x0C, 0x3D, 0xBF, 0xF3, 0x99, 0x20,
;    0x1C, 0x93, 0xF2, 0xC3, 0x40, 0x0C, 0x66, 0xDF, 0xE2, 0x6B, 0x0D, 0x3C, 0xBE, 0xF2, 0x99, 0x20,
;    0x1E, 0x94, 0xF0, 0xC2, 0x41, 0x0D, 0x67, 0xDE, 0xE1, 0x6C, 0x10, 0x3E, 0xBD, 0xEF, 0x98, 0x23,
;    0x20, 0x93, 0xEE, 0xC0, 0x43, 0x11, 0x67, 0xDC, 0xDE, 0x6C, 0x12, 0x40, 0xBB, 0xED, 0x98, 0x25,
;    0x22, 0x93, 0xEA, 0xBE, 0x45, 0x14, 0x68, 0xD9, 0xDB, 0x6D, 0x17, 0x42, 0xB9, 0xE8, 0x96, 0x29,
;    0x27, 0x92, 0xE6, 0xBC, 0x48, 0x19, 0x6A, 0xD4, 0xD6, 0x6D, 0x1C, 0x46, 0xB6, 0xE3, 0x96, 0x2E,
;    0x2C, 0x91, 0xE0, 0xB8, 0x4B, 0x1F, 0x6A, 0xCF, 0xD1, 0x6E, 0x22, 0x49, 0xB2, 0xDD, 0x94, 0x33,
;    0x31, 0x8F, 0xD9, 0xB4, 0x4F, 0x26, 0x6D, 0xC9, 0xCA, 0x70, 0x2A, 0x4D, 0xAE, 0xD5, 0x92, 0x39,
;    0x38, 0x8E, 0xD2, 0xAF, 0x53, 0x2E, 0x6E, 0xC3, 0xC4, 0x72, 0x31, 0x53, 0xAA, 0xCC, 0x90, 0x41,
;    0x3F, 0x8D, 0xCA, 0xAB, 0x57, 0x37, 0x6F, 0xBB, 0xBC, 0x73, 0x3B, 0x57, 0xA5, 0xC3, 0x8E, 0x48,
;    0x47, 0x8B, 0xC0, 0xA5, 0x5D, 0x40, 0x71, 0xB3, 0xB4, 0x75, 0x44, 0x5C, 0x9F, 0xBA, 0x8C, 0x50,
;    0x50, 0x89, 0xB6, 0x9F, 0x62, 0x4A, 0x74, 0xAB, 0xAC, 0x76, 0x4E, 0x62, 0x9A, 0xB0, 0x8B, 0x59,
;    0x58, 0x88, 0xAC, 0x9A, 0x68, 0x55, 0x76, 0xA2, 0xA2, 0x78, 0x58, 0x69, 0x94, 0xA5, 0x87, 0x62,
;    0x61, 0x85, 0xA1, 0x93, 0x6E, 0x60, 0x79, 0x99, 0x99, 0x7B, 0x63, 0x6F, 0x8E, 0x9A, 0x85, 0x6B,
;    0x6B, 0x84, 0x96, 0x8C, 0x74, 0x6B, 0x7C, 0x8F, 0x8F, 0x7D, 0x6F, 0x76, 0x87, 0x8E, 0x83, 0x75,
;    0x75, 0x81, 0x8A, 0x85, 0x7A, 0x77, 0x7E, 0x85, 0x85, 0x7E, 0x7B, 0x7C, 0x81, 0x83, 0x80, 0x7F,
;    0x7F, 0x7F, 0x7F, 0x7F, 0x80, 0x82, 0x80, 0x7C, 0x7C, 0x81, 0x86, 0x84, 0x7B, 0x76, 0x7D, 0x88,
;    0x89, 0x7D, 0x73, 0x78, 0x88, 0x8E, 0x83, 0x73, 0x71, 0x83, 0x92, 0x8A, 0x74, 0x6B, 0x7B, 0x91,
;    0x93, 0x7B, 0x68, 0x71, 0x8D, 0x99, 0x85, 0x68, 0x67, 0x85, 0x9D, 0x91, 0x6E, 0x60, 0x79, 0x9B,
;    0x9C, 0x7A, 0x5D, 0x6A, 0x94, 0xA4, 0x87, 0x5F, 0x5E, 0x87, 0xA8, 0x97, 0x69, 0x55, 0x76, 0xA4,
;    0xA6, 0x78, 0x52, 0x65, 0x9A, 0xAF, 0x8A, 0x56, 0x55, 0x89, 0xB2, 0x9E, 0x63, 0x4A, 0x74, 0xAD,
;    0xAF, 0x75, 0x48, 0x5F, 0x9F, 0xBA, 0x8C, 0x4E, 0x4C, 0x8A, 0xBC, 0xA3, 0x5D, 0x40, 0x72, 0xB5,
;    0xB7, 0x73, 0x3D, 0x59, 0xA5, 0xC4, 0x8F, 0x45, 0x43, 0x8C, 0xC6, 0xA9, 0x58, 0x37, 0x70, 0xBD,
;    0xBF, 0x73, 0x35, 0x52, 0xA9, 0xCD, 0x91, 0x3F, 0x3D, 0x8E, 0xCE, 0xAE, 0x53, 0x2F, 0x6E, 0xC4,
;    0xC7, 0x71, 0x2D, 0x4E, 0xAE, 0xD6, 0x93, 0x38, 0x35, 0x8F, 0xD7, 0xB3, 0x4F, 0x26, 0x6C, 0xCB,
;    0xCD, 0x6F, 0x25, 0x4A, 0xB2, 0xDC, 0x94, 0x31, 0x2F, 0x91, 0xDE, 0xB7, 0x4B, 0x1F, 0x6A, 0xD0,
;    0xD2, 0x6E, 0x1E, 0x46, 0xB6, 0xE3, 0x95, 0x2C, 0x2A, 0x92, 0xE4, 0xBA, 0x48, 0x19, 0x69, 0xD6,
;    0xD8, 0x6D, 0x19, 0x43, 0xB9, 0xE9, 0x96, 0x27, 0x25, 0x93, 0xE9, 0xBE, 0x45, 0x14, 0x67, 0xDA,
;    0xDC, 0x6C, 0x14, 0x40, 0xBB, 0xEC, 0x97, 0x25, 0x22, 0x93, 0xED, 0xC0, 0x43, 0x11, 0x68, 0xDC,
;    0xDF, 0x6B, 0x10, 0x3E, 0xBD, 0xF0, 0x98, 0x22, 0x1F, 0x93, 0xF0, 0xC2, 0x42, 0x0E, 0x66, 0xDE,
;    0xE1, 0x6C, 0x0E, 0x3C, 0xBE, 0xF2, 0x99, 0x20, 0x1D, 0x94, 0xF2, 0xC3, 0x40, 0x0C, 0x67, 0xE0,
;    0xE2, 0x6B, 0x0D, 0x3D, 0xBF, 0xF3, 0x99, 0x1F, 0x1C, 0x94, 0xF3, 0xC2, 0x40, 0x0C, 0x66, 0xE0,
;    0xE3, 0x6B, 0x0D, 0x3C, 0xBF, 0xF3, 0x99, 0x20, 0x1D, 0x94, 0xF2, 0xC3, 0x40, 0x0D, 0x66, 0xDF,
;    0xE2, 0x6B, 0x0D, 0x3D, 0xBE, 0xF2, 0x99, 0x21, 0x1E, 0x94, 0xF0, 0xC1, 0x42, 0x0E, 0x67, 0xDD,
;    0xE0, 0x6C, 0x0F, 0x3E, 0xBD, 0xEF, 0x98, 0x23, 0x20, 0x93, 0xEE, 0xC0, 0x43, 0x11, 0x67, 0xDB,
;    0xDD, 0x6C, 0x13, 0x40, 0xBA, 0xEB, 0x98, 0x26, 0x24, 0x92, 0xEA, 0xBE, 0x46, 0x16, 0x68, 0xD7,
;    0xD9, 0x6D, 0x18, 0x43, 0xB8, 0xE6, 0x96, 0x29, 0x27, 0x91, 0xE4, 0xBA, 0x48, 0x1A, 0x69, 0xD2,
;    0xD5, 0x6E, 0x1D, 0x46, 0xB5, 0xE1, 0x95, 0x2F, 0x2D, 0x91, 0xDE, 0xB7, 0x4B, 0x21, 0x6B, 0xCE,
;    0xCF, 0x6F, 0x24, 0x4A, 0xB1, 0xDB, 0x93, 0x34, 0x32, 0x90, 0xD8, 0xB3, 0x4F, 0x28, 0x6C, 0xC8,
;    0xC9, 0x70, 0x2B, 0x4E, 0xAD, 0xD3, 0x91, 0x3B, 0x3A, 0x8D, 0xCF, 0xAE, 0x54, 0x31, 0x6E, 0xC0,
;    0xC2, 0x72, 0x33, 0x53, 0xA9, 0xCB, 0x90, 0x41, 0x41, 0x8D, 0xC7, 0xAA, 0x5A, 0x39, 0x70, 0xB9,
;    0xBA, 0x74, 0x3D, 0x59, 0xA4, 0xC1, 0x8E, 0x4A, 0x4A, 0x8B, 0xBE, 0xA3, 0x5E, 0x43, 0x72, 0xB0,
;    0xB2, 0x75, 0x46, 0x5E, 0x9E, 0xB8, 0x8C, 0x52, 0x4C, 0x7E, 0xAF, 0xA7, 0x6D, 0x4D, 0x68, 0x9A,
;    0xB0, 0x8C, 0x59, 0x56, 0x86, 0xAC, 0x9B, 0x69, 0x54, 0x75, 0xA1, 0xA4, 0x7A, 0x58, 0x68, 0x94,
;    0xA6, 0x89, 0x62, 0x61, 0x84, 0xA1, 0x94, 0x6F, 0x5E, 0x78, 0x99, 0x9A, 0x7B, 0x63, 0x6E, 0x8D,
;    0x9A, 0x86, 0x6B, 0x6A, 0x83, 0x96, 0x8D, 0x75, 0x6A, 0x7B, 0x90, 0x90, 0x7D, 0x6E, 0x76, 0x88,
;    0x8F, 0x84, 0x75, 0x74, 0x82, 0x8B, 0x86, 0x7A, 0x75, 0x7D, 0x86, 0x87, 0x7F, 0x7A, 0x7D, 0x82,
;    0x83, 0x81, 0x7E, 0x7D, 0x7F, 0x80, 0x7F, 0x80, 0x82, 0x80, 0x7D, 0x7D, 0x81, 0x85, 0x83, 0x7C,
;    0x78, 0x7D, 0x87, 0x88, 0x7E, 0x74, 0x78, 0x86, 0x8D, 0x83, 0x74, 0x72, 0x82, 0x90, 0x8B, 0x76,
;    0x6C, 0x7B, 0x90, 0x93, 0x7C, 0x69, 0x70, 0x8C, 0x99, 0x86, 0x6A, 0x68, 0x84, 0x9C, 0x91, 0x70,
;    0x61, 0x77, 0x9A, 0x9D, 0x7B, 0x5E, 0x6A, 0x92, 0xA4, 0x88, 0x61, 0x5E, 0x85, 0xA7, 0x98, 0x6A,
;    0x55, 0x75, 0xA2, 0xA5, 0x79, 0x53, 0x64, 0x98, 0xAF, 0x8C, 0x59, 0x55, 0x87, 0xB1, 0x9E, 0x65,
;    0x4B, 0x72, 0xAB, 0xAF, 0x77, 0x48, 0x5E, 0x9D, 0xB9, 0x8E, 0x4F, 0x4C, 0x88, 0xBB, 0xA5, 0x60,
;    0x41, 0x70, 0xB3, 0xB7, 0x76, 0x3F, 0x57, 0xA1, 0xC3, 0x91, 0x48, 0x43, 0x8A, 0xC4, 0xAB, 0x5B,
;    0x37, 0x6D, 0xBA, 0xC1, 0x74, 0x35, 0x52, 0xA6, 0xCC, 0x93, 0x41, 0x3B, 0x8A, 0xCD, 0xB1, 0x56,
;    0x2F, 0x6C, 0xC2, 0xC7, 0x73, 0x2D, 0x4C, 0xAC, 0xD5, 0x95, 0x3A, 0x34, 0x8B, 0xD5, 0xB5, 0x52,
;    0x26, 0x69, 0xC9, 0xCF, 0x72, 0x26, 0x48, 0xAF, 0xDD, 0x97, 0x34, 0x2E, 0x8D, 0xDC, 0xB9, 0x4E,
;    0x1F, 0x67, 0xCE, 0xD5, 0x72, 0x20, 0x44, 0xB3, 0xE3, 0x99, 0x2F, 0x29, 0x8E, 0xE2, 0xBD, 0x4B,
;    0x19, 0x65, 0xD3, 0xDA, 0x71, 0x1A, 0x40, 0xB5, 0xE8, 0x9A, 0x2B, 0x23, 0x8F, 0xE8, 0xC0, 0x48,
;    0x14, 0x64, 0xD6, 0xDE, 0x70, 0x15, 0x3D, 0xB7, 0xED, 0x9B, 0x26, 0x20, 0x8F, 0xEB, 0xC3, 0x47,
;    0x10, 0x64, 0xDA, 0xE1, 0x6F, 0x12, 0x3B, 0xBA, 0xF1, 0x9C, 0x24, 0x1C, 0x90, 0xEE, 0xC4, 0x45,
;    0x0D, 0x62, 0xDC, 0xE3, 0x6F, 0x10, 0x3A, 0xBB, 0xF3, 0x9D, 0x22, 0x1B, 0x90, 0xF1, 0xC5, 0x45,
;    0x0C, 0x63, 0xDD, 0xE5, 0x6F, 0x0E, 0x39, 0xBC, 0xF4, 0x9C, 0x22, 0x1A, 0x90, 0xF2, 0xC7, 0x44,
;    0x0B, 0x62, 0xDE, 0xE4, 0x6F, 0x0E, 0x39, 0xBB, 0xF4, 0x9C, 0x21, 0x1A, 0x90, 0xF1, 0xC6, 0x44,
;    0x0B, 0x63, 0xDD, 0xE4, 0x6F, 0x0F, 0x3A, 0xBA, 0xF3, 0x9D, 0x23, 0x1C, 0x8F, 0xEF, 0xC5, 0x45,
;    0x0E, 0x63, 0xDB, 0xE3, 0x6F, 0x11, 0x3B, 0xB9, 0xF0, 0x9B, 0x25, 0x1E, 0x8F, 0xED, 0xC4, 0x46,
;    0x10, 0x64, 0xD9, 0xDF, 0x70, 0x14, 0x3D, 0xB8, 0xED, 0x9A, 0x28, 0x21, 0x8E, 0xE9, 0xC1, 0x48,
;    0x14, 0x65, 0xD6, 0xDB, 0x71, 0x18, 0x3F, 0xB6, 0xE8, 0x9A, 0x2C, 0x25, 0x8F, 0xE4, 0xBF, 0x4B,
;    0x19, 0x65, 0xD1, 0xD7, 0x71, 0x1E, 0x43, 0xB3, 0xE3, 0x99, 0x30, 0x2B, 0x8D, 0xDF, 0xBA, 0x4E,
;    0x20, 0x68, 0xCC, 0xD2, 0x72, 0x24, 0x47, 0xAF, 0xDC, 0x97, 0x36, 0x31, 0x8C, 0xD7, 0xB6, 0x52,
;    0x27, 0x6A, 0xC6, 0xCC, 0x73, 0x2B, 0x4C, 0xAB, 0xD4, 0x94, 0x3C, 0x37, 0x8B, 0xD0, 0xB1, 0x56,
;    0x30, 0x6B, 0xBF, 0xC5, 0x75, 0x34, 0x50, 0xA7, 0xCB, 0x93, 0x43, 0x3F, 0x8A, 0xC7, 0xAC, 0x5A,
;    0x38, 0x6D, 0xB8, 0xBC, 0x76, 0x3C, 0x56, 0xA2, 0xC3, 0x90, 0x4B, 0x47, 0x89, 0xBE, 0xA6, 0x5F,
;	0x43, 0x70, 0xB0, 0xB3, 0x77, 0x46, 0x5D, 0x9D, 0xB8, 0x8D, 0x52, 0x50, 0x87, 0xB4, 0x9F, 0x65,
;	0x4C, 0x73, 0xA8, 0xAB, 0x78, 0x50, 0x63, 0x97, 0xAE, 0x8B, 0x5B, 0x59, 0x86, 0xAA, 0x99, 0x6B,
;	0x4C, 0x49, 0x53, 0x54, 0x38, 0x00, 0x00, 0x00, 0x49, 0x4E, 0x46, 0x4F, 0x49, 0x43, 0x4F, 0x50,
;	0x16, 0x00, 0x00, 0x00, 0x41, 0x31, 0x20, 0x46, 0x72, 0x65, 0x65, 0x20, 0x53, 0x6F, 0x75, 0x6E,
;	0x64, 0x20, 0x45, 0x66, 0x66, 0x65, 0x63, 0x74, 0x73, 0x00, 0x49, 0x4E, 0x41, 0x4D, 0x0E, 0x00,
;	0x00, 0x00, 0x4D, 0x69, 0x73, 0x73, 0x6C, 0x65, 0x20, 0x42, 0x65, 0x65, 0x70, 0x20, 0x33, 0x00
;};
;
;
;// Timer1 overflow interrupt service routine
;interrupt [TIM1_OVF] void timer1_ovf_isr(void)
; 0000 021D {

	.CSEG
_timer1_ovf_isr:
	ST   -Y,R30
	IN   R30,SREG
; 0000 021E if(t1ovf)t1ovf--;
	TST  R5
	BREQ _0x3
	DEC  R5
; 0000 021F 
; 0000 0220 }
_0x3:
	OUT  SREG,R30
	LD   R30,Y+
	RETI
;
;// Declare your global variables here
; void play_hoshdar(void)
; 0000 0224 {
_play_hoshdar:
; 0000 0225 
; 0000 0226  ply idx;
; 0000 0227  for(idx=0;idx<8128;idx++)
	ST   -Y,R17
	ST   -Y,R16
;	idx -> R16,R17
	__GETWRN 16,17,0
_0x5:
	__CPWRN 16,17,8128
	BRSH _0x6
; 0000 0228       {
; 0000 0229         OCR1B = hoshdar[idx];
	MOVW R30,R16
	SUBI R30,LOW(-_hoshdar*2)
	SBCI R31,HIGH(-_hoshdar*2)
	LPM  R30,Z
	LDI  R31,0
	OUT  0x28+1,R31
	OUT  0x28,R30
; 0000 022A         t1ovf=2;
	LDI  R30,LOW(2)
	MOV  R5,R30
; 0000 022B         while(t1ovf);
_0x7:
	TST  R5
	BRNE _0x7
; 0000 022C       }
	__ADDWRN 16,17,1
	RJMP _0x5
_0x6:
; 0000 022D   OCR1B = 0;
	LDI  R30,LOW(0)
	LDI  R31,HIGH(0)
	OUT  0x28+1,R31
	OUT  0x28,R30
; 0000 022E }
	LD   R16,Y+
	LD   R17,Y+
	RET
;void main(void)
; 0000 0230 {
_main:
; 0000 0231 // Declare your local variables here
; 0000 0232 
; 0000 0233 // Input/Output Ports initialization
; 0000 0234 // Port A initialization
; 0000 0235 // Func7=In Func6=In Func5=In Func4=In Func3=In Func2=In Func1=In Func0=In
; 0000 0236 // State7=T State6=T State5=T State4=T State3=T State2=T State1=T State0=T
; 0000 0237 PORTA=0x00;
	LDI  R30,LOW(0)
	OUT  0x1B,R30
; 0000 0238 DDRA=0x00;
	OUT  0x1A,R30
; 0000 0239 
; 0000 023A // Port B initialization
; 0000 023B // Func7=In Func6=In Func5=In Func4=In Func3=In Func2=In Func1=In Func0=In
; 0000 023C // State7=T State6=T State5=T State4=T State3=T State2=T State1=T State0=P
; 0000 023D PORTB=0x00;
	OUT  0x18,R30
; 0000 023E DDRB=0x00;
	OUT  0x17,R30
; 0000 023F 
; 0000 0240 // Port C initialization
; 0000 0241 // Func7=In Func6=In Func5=In Func4=In Func3=In Func2=In Func1=In Func0=In
; 0000 0242 // State7=T State6=T State5=T State4=T State3=T State2=T State1=T State0=T
; 0000 0243 PORTC=0x00;
	OUT  0x15,R30
; 0000 0244 DDRC=0x00;
	OUT  0x14,R30
; 0000 0245 
; 0000 0246 // Port D initialization
; 0000 0247 // Func7=In Func6=In Func5=In Func4=Out Func3=In Func2=In Func1=In Func0=In
; 0000 0248 // State7=T State6=T State5=T State4=0 State3=T State2=T State1=T State0=T
; 0000 0249 PORTD=0x00;
	OUT  0x12,R30
; 0000 024A DDRD=0x10;
	LDI  R30,LOW(16)
	OUT  0x11,R30
; 0000 024B 
; 0000 024C // Timer/Counter 0 initialization
; 0000 024D // Clock source: System Clock
; 0000 024E // Clock value: Timer 0 Stopped
; 0000 024F // Mode: Normal top=0xFF
; 0000 0250 // OC0 output: Disconnected
; 0000 0251 TCCR0=0x00;
	LDI  R30,LOW(0)
	OUT  0x33,R30
; 0000 0252 TCNT0=0x00;
	OUT  0x32,R30
; 0000 0253 OCR0=0x00;
	OUT  0x3C,R30
; 0000 0254 
; 0000 0255 // Timer/Counter 1 initialization
; 0000 0256 // Clock source: System Clock
; 0000 0257 // Clock value: 8000.000 kHz
; 0000 0258 // Mode: Ph. correct PWM top=0x00FF
; 0000 0259 // OC1A output: Discon.
; 0000 025A // OC1B output: Non-Inv.
; 0000 025B // Noise Canceler: Off
; 0000 025C // Input Capture on Falling Edge
; 0000 025D // Timer1 Overflow Interrupt: On
; 0000 025E // Input Capture Interrupt: Off
; 0000 025F // Compare A Match Interrupt: Off
; 0000 0260 // Compare B Match Interrupt: Off
; 0000 0261 TCCR1A=0x21;
	LDI  R30,LOW(33)
	OUT  0x2F,R30
; 0000 0262 TCCR1B=0x01;
	LDI  R30,LOW(1)
	OUT  0x2E,R30
; 0000 0263 TCNT1H=0x00;
	LDI  R30,LOW(0)
	OUT  0x2D,R30
; 0000 0264 TCNT1L=0x00;
	OUT  0x2C,R30
; 0000 0265 ICR1H=0x00;
	OUT  0x27,R30
; 0000 0266 ICR1L=0x00;
	OUT  0x26,R30
; 0000 0267 OCR1AH=0x00;
	OUT  0x2B,R30
; 0000 0268 OCR1AL=0x00;
	OUT  0x2A,R30
; 0000 0269 OCR1BH=0x00;
	OUT  0x29,R30
; 0000 026A OCR1BL=0x00;
	OUT  0x28,R30
; 0000 026B 
; 0000 026C // Timer/Counter 2 initialization
; 0000 026D // Clock source: System Clock
; 0000 026E // Clock value: Timer2 Stopped
; 0000 026F // Mode: Normal top=0xFF
; 0000 0270 // OC2 output: Disconnected
; 0000 0271 ASSR=0x00;
	OUT  0x22,R30
; 0000 0272 TCCR2=0x00;
	OUT  0x25,R30
; 0000 0273 TCNT2=0x00;
	OUT  0x24,R30
; 0000 0274 OCR2=0x00;
	OUT  0x23,R30
; 0000 0275 
; 0000 0276 // External Interrupt(s) initialization
; 0000 0277 // INT0: Off
; 0000 0278 // INT1: Off
; 0000 0279 // INT2: Off
; 0000 027A MCUCR=0x00;
	OUT  0x35,R30
; 0000 027B MCUCSR=0x00;
	OUT  0x34,R30
; 0000 027C 
; 0000 027D // Timer(s)/Counter(s) Interrupt(s) initialization
; 0000 027E TIMSK=0x04;
	LDI  R30,LOW(4)
	OUT  0x39,R30
; 0000 027F 
; 0000 0280 // USART initialization
; 0000 0281 // USART disabled
; 0000 0282 UCSRB=0x00;
	LDI  R30,LOW(0)
	OUT  0xA,R30
; 0000 0283 
; 0000 0284 // Analog Comparator initialization
; 0000 0285 // Analog Comparator: Off
; 0000 0286 // Analog Comparator Input Capture by Timer/Counter 1: Off
; 0000 0287 ACSR=0x80;
	LDI  R30,LOW(128)
	OUT  0x8,R30
; 0000 0288 SFIOR=0x00;
	LDI  R30,LOW(0)
	OUT  0x30,R30
; 0000 0289 
; 0000 028A // ADC initialization
; 0000 028B // ADC disabled
; 0000 028C ADCSRA=0x00;
	OUT  0x6,R30
; 0000 028D 
; 0000 028E // SPI initialization
; 0000 028F // SPI disabled
; 0000 0290 SPCR=0x00;
	OUT  0xD,R30
; 0000 0291 
; 0000 0292 // TWI initialization
; 0000 0293 // TWI disabled
; 0000 0294 TWCR=0x00;
	OUT  0x36,R30
; 0000 0295 
; 0000 0296 // Global enable interrupts
; 0000 0297 #asm("sei")
	sei
; 0000 0298 
; 0000 0299 while (1)
_0xA:
; 0000 029A       {
; 0000 029B 
; 0000 029C          play_hoshdar();
	RCALL _play_hoshdar
; 0000 029D       }
	RJMP _0xA
; 0000 029E }
_0xD:
	RJMP _0xD

	.CSEG

	.CSEG
;END OF CODE MARKER
__END_OF_CODE:
